-- MySQL dump 10.14  Distrib 5.5.37-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: keystone
-- ------------------------------------------------------
-- Server version	5.5.39-MariaDB-wsrep

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `assignment`
--

DROP TABLE IF EXISTS `assignment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `assignment` (
  `type` enum('UserProject','GroupProject','UserDomain','GroupDomain') NOT NULL,
  `actor_id` varchar(64) NOT NULL,
  `target_id` varchar(64) NOT NULL,
  `role_id` varchar(64) NOT NULL,
  `inherited` tinyint(1) NOT NULL,
  PRIMARY KEY (`type`,`actor_id`,`target_id`,`role_id`),
  KEY `role_id` (`role_id`),
  KEY `ix_actor_id` (`actor_id`),
  CONSTRAINT `assignment_ibfk_1` FOREIGN KEY (`role_id`) REFERENCES `role` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `assignment`
--

LOCK TABLES `assignment` WRITE;
/*!40000 ALTER TABLE `assignment` DISABLE KEYS */;
INSERT INTO `assignment` VALUES ('UserProject','6ced64159d9d4978b90c89493e641e66','6a8cd4adf7214206b66c4ddd1fcd35ce','5cb63c172b344abbb7f262f6fb66fcf7',0),('UserProject','7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7','5cb63c172b344abbb7f262f6fb66fcf7',0),('UserProject','8824a89100b94dea88ce8cdbcf477550','6a8cd4adf7214206b66c4ddd1fcd35ce','5cb63c172b344abbb7f262f6fb66fcf7',0),('UserProject','a5acac763f604eb882ae0acf8090141b','6a8cd4adf7214206b66c4ddd1fcd35ce','5cb63c172b344abbb7f262f6fb66fcf7',0),('UserProject','d2688f45b3b143cf9bd1f735954bcd2d','6a8cd4adf7214206b66c4ddd1fcd35ce','5cb63c172b344abbb7f262f6fb66fcf7',0),('UserProject','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','5cb63c172b344abbb7f262f6fb66fcf7',0),('UserProject','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','9fe2ff9ee4384b1894a90878d3e92bab',0);
/*!40000 ALTER TABLE `assignment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `credential`
--

DROP TABLE IF EXISTS `credential`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `credential` (
  `id` varchar(64) NOT NULL,
  `user_id` varchar(64) NOT NULL,
  `project_id` varchar(64) DEFAULT NULL,
  `blob` text NOT NULL,
  `type` varchar(255) NOT NULL,
  `extra` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `credential`
--

LOCK TABLES `credential` WRITE;
/*!40000 ALTER TABLE `credential` DISABLE KEYS */;
/*!40000 ALTER TABLE `credential` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `domain`
--

DROP TABLE IF EXISTS `domain`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `domain` (
  `id` varchar(64) NOT NULL,
  `name` varchar(64) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `extra` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ixu_domain_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `domain`
--

LOCK TABLES `domain` WRITE;
/*!40000 ALTER TABLE `domain` DISABLE KEYS */;
INSERT INTO `domain` VALUES ('default','Default',1,'{\"description\": \"Owns users and tenants (i.e. projects) available on Identity API v2.\"}');
/*!40000 ALTER TABLE `domain` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `endpoint`
--

DROP TABLE IF EXISTS `endpoint`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `endpoint` (
  `id` varchar(64) NOT NULL,
  `legacy_endpoint_id` varchar(64) DEFAULT NULL,
  `interface` varchar(8) NOT NULL,
  `service_id` varchar(64) NOT NULL,
  `url` text NOT NULL,
  `extra` text,
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  `region_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `service_id` (`service_id`),
  KEY `fk_endpoint_region_id` (`region_id`),
  CONSTRAINT `endpoint_service_id_fkey` FOREIGN KEY (`service_id`) REFERENCES `service` (`id`),
  CONSTRAINT `fk_endpoint_region_id` FOREIGN KEY (`region_id`) REFERENCES `region` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `endpoint`
--

LOCK TABLES `endpoint` WRITE;
/*!40000 ALTER TABLE `endpoint` DISABLE KEYS */;
INSERT INTO `endpoint` VALUES ('01d2145a422e4dddb73f92b898a9e901','a73a4ca4aa61486dbe6af46d2535c8f5','internal','8a7f9f79076b4402a69c6ea8715940e3','http://10.192.25.189:8776/v2/%(tenant_id)s','{}',1,'RegionOne'),('17d7896876b6449785b0d05f8c413c9d','620d008746cd44e689687b630d11c14c','internal','ba5573a0fe724735a1a68a3e98f13f29','http://10.192.25.189:8773/services/Cloud','{}',1,'RegionOne'),('1d31cb46b5b840dc853427d2e62cee58','12147253b4a540919452aef15a200a39','internal','5a9400458d4b44b7912e6edfd9d79daa','http://10.192.25.189:9292','{}',1,'RegionOne'),('20bd6374517143e0b4571194754cfe8d','345047e1b4364cf9bbdee699cfb7dabc','public','5c33ccc4642b4207acdbe8b54753795f','http://10.192.25.189:8774/v3','{}',1,'RegionOne'),('3b0ce4e786e6451b914a3696a74a9ed8','345047e1b4364cf9bbdee699cfb7dabc','internal','5c33ccc4642b4207acdbe8b54753795f','http://10.192.25.189:8774/v3','{}',1,'RegionOne'),('3d6e1aa159cc48a688005bc9fe3432e0','4c72148f38d24c049711002b8d7a21ab','public','ef94405fc94845a9bacbc41b84382110','http://10.192.25.189:8776/v1/%(tenant_id)s','{}',1,'RegionOne'),('3e93ebe533464770b986073fa8d90f11','1f5b99429ab24c81a0e4f66dbb7aa995','internal','54261a55d64b42068b6426c2a92b4bdd','http://10.192.25.189:8774/v2/%(tenant_id)s','{}',1,'RegionOne'),('6612054c55324e02acc8a29584c33672','32df06b76ed64800b45443a00574149c','internal','f2ffa019c37c4537af0b5f916d2c92b0','http://10.192.25.189:9696/','{}',1,'RegionOne'),('80e675135a1145eeaea5f27f99bd2c4e','345047e1b4364cf9bbdee699cfb7dabc','admin','5c33ccc4642b4207acdbe8b54753795f','http://10.192.25.189:8774/v3','{}',1,'RegionOne'),('8360e1b6e3f140f2ba6a92bc23dce701','12147253b4a540919452aef15a200a39','public','5a9400458d4b44b7912e6edfd9d79daa','http://10.192.25.189:9292','{}',1,'RegionOne'),('8a6c1837725941389fa5012154979f7d','32df06b76ed64800b45443a00574149c','admin','f2ffa019c37c4537af0b5f916d2c92b0','http://10.192.25.189:9696/','{}',1,'RegionOne'),('964d6a21cdec4a5789cd44d54586c6f0','a73a4ca4aa61486dbe6af46d2535c8f5','admin','8a7f9f79076b4402a69c6ea8715940e3','http://10.192.25.189:8776/v2/%(tenant_id)s','{}',1,'RegionOne'),('999422ef41704ad4bbedd9f49182c881','12147253b4a540919452aef15a200a39','admin','5a9400458d4b44b7912e6edfd9d79daa','http://10.192.25.189:9292','{}',1,'RegionOne'),('b100fddbccb9414cb8fc945cdad8cd13','620d008746cd44e689687b630d11c14c','public','ba5573a0fe724735a1a68a3e98f13f29','http://10.192.25.189:8773/services/Cloud','{}',1,'RegionOne'),('b94177bb895544d8a85318e36c56d286','32df06b76ed64800b45443a00574149c','public','f2ffa019c37c4537af0b5f916d2c92b0','http://10.192.25.189:9696/','{}',1,'RegionOne'),('c85b6a89fc0943e6b77992566ac890eb','a73a4ca4aa61486dbe6af46d2535c8f5','public','8a7f9f79076b4402a69c6ea8715940e3','http://10.192.25.189:8776/v2/%(tenant_id)s','{}',1,'RegionOne'),('d22f8f1ccd344cc59a21f188f9409dbc','98a032dce5134d3aa4ef0eff1a466df1','public','fd3185bdbded4bb48e8a9a1fba5f23c4','http://10.192.25.189:5000/v2.0','{}',1,'RegionOne'),('d830b11269154a259f891613d3d8e59c','4c72148f38d24c049711002b8d7a21ab','admin','ef94405fc94845a9bacbc41b84382110','http://10.192.25.189:8776/v1/%(tenant_id)s','{}',1,'RegionOne'),('da6d8f3622424ffa9041afd7c8a07eb8','1f5b99429ab24c81a0e4f66dbb7aa995','public','54261a55d64b42068b6426c2a92b4bdd','http://10.192.25.189:8774/v2/%(tenant_id)s','{}',1,'RegionOne'),('e0218da3dbd644d8913149765fa7b4e1','620d008746cd44e689687b630d11c14c','admin','ba5573a0fe724735a1a68a3e98f13f29','http://10.192.25.189:8773/services/Admin','{}',1,'RegionOne'),('e354286ba7cb43a4a8fe3b56ce5fafe9','98a032dce5134d3aa4ef0eff1a466df1','internal','fd3185bdbded4bb48e8a9a1fba5f23c4','http://10.192.25.189:5000/v2.0','{}',1,'RegionOne'),('ec04826e63984183a88855839e9c5973','98a032dce5134d3aa4ef0eff1a466df1','admin','fd3185bdbded4bb48e8a9a1fba5f23c4','http://10.192.25.189:35357/v2.0','{}',1,'RegionOne'),('efcb45b1ae6c45689efbc9f5310f1bd1','1f5b99429ab24c81a0e4f66dbb7aa995','admin','54261a55d64b42068b6426c2a92b4bdd','http://10.192.25.189:8774/v2/%(tenant_id)s','{}',1,'RegionOne'),('ff82ea334813459f85b4598be0252893','4c72148f38d24c049711002b8d7a21ab','internal','ef94405fc94845a9bacbc41b84382110','http://10.192.25.189:8776/v1/%(tenant_id)s','{}',1,'RegionOne');
/*!40000 ALTER TABLE `endpoint` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `group`
--

DROP TABLE IF EXISTS `group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `group` (
  `id` varchar(64) NOT NULL,
  `domain_id` varchar(64) NOT NULL,
  `name` varchar(64) NOT NULL,
  `description` text,
  `extra` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ixu_group_name_domain_id` (`domain_id`,`name`),
  CONSTRAINT `fk_group_domain_id` FOREIGN KEY (`domain_id`) REFERENCES `domain` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `group`
--

LOCK TABLES `group` WRITE;
/*!40000 ALTER TABLE `group` DISABLE KEYS */;
/*!40000 ALTER TABLE `group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `id_mapping`
--

DROP TABLE IF EXISTS `id_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `id_mapping` (
  `public_id` varchar(64) NOT NULL,
  `domain_id` varchar(64) NOT NULL,
  `local_id` varchar(64) NOT NULL,
  `entity_type` enum('user','group') NOT NULL,
  PRIMARY KEY (`public_id`),
  UNIQUE KEY `domain_id` (`domain_id`,`local_id`,`entity_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `id_mapping`
--

LOCK TABLES `id_mapping` WRITE;
/*!40000 ALTER TABLE `id_mapping` DISABLE KEYS */;
/*!40000 ALTER TABLE `id_mapping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrate_version`
--

DROP TABLE IF EXISTS `migrate_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `migrate_version` (
  `repository_id` varchar(250) NOT NULL,
  `repository_path` text,
  `version` int(11) DEFAULT NULL,
  PRIMARY KEY (`repository_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrate_version`
--

LOCK TABLES `migrate_version` WRITE;
/*!40000 ALTER TABLE `migrate_version` DISABLE KEYS */;
INSERT INTO `migrate_version` VALUES ('keystone','/usr/lib/python2.7/site-packages/keystone/common/sql/migrate_repo',55),('revoke','/usr/lib/python2.7/site-packages/keystone/contrib/revoke/migrate_repo',2);
/*!40000 ALTER TABLE `migrate_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `policy`
--

DROP TABLE IF EXISTS `policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `policy` (
  `id` varchar(64) NOT NULL,
  `type` varchar(255) NOT NULL,
  `blob` text NOT NULL,
  `extra` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `policy`
--

LOCK TABLES `policy` WRITE;
/*!40000 ALTER TABLE `policy` DISABLE KEYS */;
/*!40000 ALTER TABLE `policy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project`
--

DROP TABLE IF EXISTS `project`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `project` (
  `id` varchar(64) NOT NULL,
  `name` varchar(64) NOT NULL,
  `extra` text,
  `description` text,
  `enabled` tinyint(1) DEFAULT NULL,
  `domain_id` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ixu_project_name_domain_id` (`domain_id`,`name`),
  CONSTRAINT `fk_project_domain_id` FOREIGN KEY (`domain_id`) REFERENCES `domain` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project`
--

LOCK TABLES `project` WRITE;
/*!40000 ALTER TABLE `project` DISABLE KEYS */;
INSERT INTO `project` VALUES ('0cef1f5f1fb94e42aa5581e1fbf926e7','admin','{}','admin tenant',1,'default'),('6a8cd4adf7214206b66c4ddd1fcd35ce','services','{}','Tenant for the openstack services',1,'default'),('f19ee36b9fc2463b933bfaa6bb6dea33','orange','{}','',1,'default');
/*!40000 ALTER TABLE `project` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `region`
--

DROP TABLE IF EXISTS `region`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `region` (
  `id` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `parent_region_id` varchar(255) DEFAULT NULL,
  `extra` text,
  `url` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `region`
--

LOCK TABLES `region` WRITE;
/*!40000 ALTER TABLE `region` DISABLE KEYS */;
INSERT INTO `region` VALUES ('RegionOne','',NULL,'{}',NULL);
/*!40000 ALTER TABLE `region` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `revocation_event`
--

DROP TABLE IF EXISTS `revocation_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `revocation_event` (
  `id` varchar(64) NOT NULL,
  `domain_id` varchar(64) DEFAULT NULL,
  `project_id` varchar(64) DEFAULT NULL,
  `user_id` varchar(64) DEFAULT NULL,
  `role_id` varchar(64) DEFAULT NULL,
  `trust_id` varchar(64) DEFAULT NULL,
  `consumer_id` varchar(64) DEFAULT NULL,
  `access_token_id` varchar(64) DEFAULT NULL,
  `issued_before` datetime NOT NULL,
  `expires_at` datetime DEFAULT NULL,
  `revoked_at` datetime NOT NULL,
  `audit_id` varchar(32) DEFAULT NULL,
  `audit_chain_id` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_revocation_event_revoked_at` (`revoked_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `revocation_event`
--

LOCK TABLES `revocation_event` WRITE;
/*!40000 ALTER TABLE `revocation_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `revocation_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role` (
  `id` varchar(64) NOT NULL,
  `name` varchar(255) NOT NULL,
  `extra` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ixu_role_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role`
--

LOCK TABLES `role` WRITE;
/*!40000 ALTER TABLE `role` DISABLE KEYS */;
INSERT INTO `role` VALUES ('5cb63c172b344abbb7f262f6fb66fcf7','admin','{}'),('9fe2ff9ee4384b1894a90878d3e92bab','_member_','{}');
/*!40000 ALTER TABLE `role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `service`
--

DROP TABLE IF EXISTS `service`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `service` (
  `id` varchar(64) NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `extra` text,
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `service`
--

LOCK TABLES `service` WRITE;
/*!40000 ALTER TABLE `service` DISABLE KEYS */;
INSERT INTO `service` VALUES ('54261a55d64b42068b6426c2a92b4bdd','compute','{\"name\": \"nova\", \"description\": \"Openstack Compute Service\"}',1),('5a9400458d4b44b7912e6edfd9d79daa','image','{\"name\": \"glance\", \"description\": \"Openstack Image Service\"}',1),('5c33ccc4642b4207acdbe8b54753795f','computev3','{\"name\": \"novav3\", \"description\": \"Openstack Compute Service v3\"}',1),('8a7f9f79076b4402a69c6ea8715940e3','volumev2','{\"name\": \"cinderv2\", \"description\": \"Cinder Service v2\"}',1),('ba5573a0fe724735a1a68a3e98f13f29','ec2','{\"name\": \"nova_ec2\", \"description\": \"EC2 Service\"}',1),('ef94405fc94845a9bacbc41b84382110','volume','{\"name\": \"cinder\", \"description\": \"Cinder Service\"}',1),('f2ffa019c37c4537af0b5f916d2c92b0','network','{\"name\": \"neutron\", \"description\": \"Neutron Networking Service\"}',1),('fd3185bdbded4bb48e8a9a1fba5f23c4','identity','{\"name\": \"keystone\", \"description\": \"OpenStack Identity Service\"}',1);
/*!40000 ALTER TABLE `service` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `token`
--

DROP TABLE IF EXISTS `token`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `token` (
  `id` varchar(64) NOT NULL,
  `expires` datetime DEFAULT NULL,
  `extra` text,
  `valid` tinyint(1) NOT NULL,
  `trust_id` varchar(64) DEFAULT NULL,
  `user_id` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_token_expires` (`expires`),
  KEY `ix_token_expires_valid` (`expires`,`valid`),
  KEY `ix_token_user_id` (`user_id`),
  KEY `ix_token_trust_id` (`trust_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `token`
--

LOCK TABLES `token` WRITE;
/*!40000 ALTER TABLE `token` DISABLE KEYS */;
INSERT INTO `token` VALUES ('122ebf39806d4c0f917d60c32b751088','2014-11-17 12:13:29','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:29.977046\", \"expires\": \"2014-11-17T12:13:29Z\", \"id\": \"122ebf39806d4c0f917d60c32b751088\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"iw8Apj6SReWKdyrqCq8uug\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"glance\", \"roles_links\": [], \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"glance\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"glance\", \"name\": \"glance\", \"enabled\": true, \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"glance@localhost\"}, \"key\": \"122ebf39806d4c0f917d60c32b751088\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'8824a89100b94dea88ce8cdbcf477550'),('148c852cfe8c439bba660519741f2d02','2014-11-17 12:11:09','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:11:09.507845\", \"expires\": \"2014-11-17T12:11:09Z\", \"id\": \"148c852cfe8c439bba660519741f2d02\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"b1Tm2MrGQ66TwxFXqniCNA\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"neutron\", \"roles_links\": [], \"id\": \"a5acac763f604eb882ae0acf8090141b\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"neutron\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"neutron\", \"name\": \"neutron\", \"enabled\": true, \"id\": \"a5acac763f604eb882ae0acf8090141b\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"neutron@localhost\"}, \"key\": \"148c852cfe8c439bba660519741f2d02\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'a5acac763f604eb882ae0acf8090141b'),('1bf2991352ad43548faaeac0916908e3','2014-11-17 12:11:56','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:11:57.289386\", \"expires\": \"2014-11-17T12:11:56Z\", \"id\": \"1bf2991352ad43548faaeac0916908e3\", \"audit_ids\": [\"BFQSnSxFQiW5v1IW1glBHA\", \"WQ1IkuafRxSWHP7U7Sa_og\"]}, \"serviceCatalog\": [], \"user\": {\"username\": \"admin\", \"roles_links\": [], \"id\": \"7b79f78147004646bf6760fb66328d62\", \"roles\": [], \"name\": \"admin\"}, \"metadata\": {\"is_admin\": 0, \"roles\": []}}}, \"user\": {\"username\": \"admin\", \"name\": \"admin\", \"enabled\": true, \"id\": \"7b79f78147004646bf6760fb66328d62\", \"tenantId\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"email\": \"root@localhost\"}, \"key\": \"1bf2991352ad43548faaeac0916908e3\", \"token_version\": \"v2.0\", \"tenant\": null, \"metadata\": {\"roles\": []}}',1,NULL,'7b79f78147004646bf6760fb66328d62'),('1ca393b99a5b4f35b65a9c20c05fe098','2014-11-17 12:11:48','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:11:48.868462\", \"expires\": \"2014-11-17T12:11:48Z\", \"id\": \"1ca393b99a5b4f35b65a9c20c05fe098\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"V5AfnYk5TOytVxyT3rETIA\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"cinder\", \"roles_links\": [], \"id\": \"d2688f45b3b143cf9bd1f735954bcd2d\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"cinder\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"cinder\", \"name\": \"cinder\", \"enabled\": true, \"id\": \"d2688f45b3b143cf9bd1f735954bcd2d\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"cinder@localhost\"}, \"key\": \"1ca393b99a5b4f35b65a9c20c05fe098\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'d2688f45b3b143cf9bd1f735954bcd2d'),('1dc5f7974f9446b997bafa1cc5ee437c','2014-11-17 12:49:35','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:49:35.521573\", \"expires\": \"2014-11-17T12:49:35Z\", \"id\": \"1dc5f7974f9446b997bafa1cc5ee437c\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"audit_ids\": [\"S1Xnh6chRKOUqF9NEl1U5g\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"admin\", \"roles_links\": [], \"id\": \"7b79f78147004646bf6760fb66328d62\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"admin\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"admin\", \"name\": \"admin\", \"enabled\": true, \"id\": \"7b79f78147004646bf6760fb66328d62\", \"tenantId\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"email\": \"root@localhost\"}, \"key\": \"1dc5f7974f9446b997bafa1cc5ee437c\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'7b79f78147004646bf6760fb66328d62'),('23af22294b5f42d8aea7419677b6e7df','2014-11-17 12:13:31','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:31.473473\", \"expires\": \"2014-11-17T12:13:31Z\", \"id\": \"23af22294b5f42d8aea7419677b6e7df\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"pIrYY1_7S5CVl6eFcEvaxw\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"glance\", \"roles_links\": [], \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"glance\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"glance\", \"name\": \"glance\", \"enabled\": true, \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"glance@localhost\"}, \"key\": \"23af22294b5f42d8aea7419677b6e7df\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'8824a89100b94dea88ce8cdbcf477550'),('27a7b20e5f6b48a4a81d7903b725a148','2014-11-17 12:12:57','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:01.951431\", \"expires\": \"2014-11-17T12:12:57Z\", \"id\": \"27a7b20e5f6b48a4a81d7903b725a148\", \"audit_ids\": [\"x8mxDDwRSHyA6iGnF8kGzw\", \"DHZsnKuwSuKHS37lP5Z4BQ\"]}, \"serviceCatalog\": [], \"user\": {\"username\": \"vswamy\", \"roles_links\": [], \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"roles\": [], \"name\": \"vswamy\"}, \"metadata\": {\"is_admin\": 0, \"roles\": []}}}, \"user\": {\"username\": \"vswamy\", \"name\": \"vswamy\", \"enabled\": true, \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"tenantId\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"email\": \"vswamy@versa-networks.com\"}, \"key\": \"27a7b20e5f6b48a4a81d7903b725a148\", \"token_version\": \"v2.0\", \"tenant\": null, \"metadata\": {\"roles\": []}}',1,NULL,'dbe0cd358dda4ed18181e885deb94dc7'),('2a2afcddb2664936bdb000d56602c41b','2014-11-17 12:13:30','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:30.985422\", \"expires\": \"2014-11-17T12:13:30Z\", \"id\": \"2a2afcddb2664936bdb000d56602c41b\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"ddOdWX1tSFyuEdl9KFCFKQ\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"neutron\", \"roles_links\": [], \"id\": \"a5acac763f604eb882ae0acf8090141b\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"neutron\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"neutron\", \"name\": \"neutron\", \"enabled\": true, \"id\": \"a5acac763f604eb882ae0acf8090141b\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"neutron@localhost\"}, \"key\": \"2a2afcddb2664936bdb000d56602c41b\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'a5acac763f604eb882ae0acf8090141b'),('2a89cf1c903a480cb1129d5af2bcaadf','2014-11-17 12:13:45','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:45.264759\", \"expires\": \"2014-11-17T12:13:45Z\", \"id\": \"2a89cf1c903a480cb1129d5af2bcaadf\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"16SgEP6VSwSHYBoATZYaqA\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"glance\", \"roles_links\": [], \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"glance\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"glance\", \"name\": \"glance\", \"enabled\": true, \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"glance@localhost\"}, \"key\": \"2a89cf1c903a480cb1129d5af2bcaadf\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'8824a89100b94dea88ce8cdbcf477550'),('2b376440c34249c1a230452c1840443c','2014-11-17 12:12:57','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:12:58.148557\", \"expires\": \"2014-11-17T12:12:57Z\", \"id\": \"2b376440c34249c1a230452c1840443c\", \"audit_ids\": [\"ZGr8cF8hTgiW7PzrzFsCFg\", \"DHZsnKuwSuKHS37lP5Z4BQ\"]}, \"serviceCatalog\": [], \"user\": {\"username\": \"vswamy\", \"roles_links\": [], \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"roles\": [], \"name\": \"vswamy\"}, \"metadata\": {\"is_admin\": 0, \"roles\": []}}}, \"user\": {\"username\": \"vswamy\", \"name\": \"vswamy\", \"enabled\": true, \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"tenantId\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"email\": \"vswamy@versa-networks.com\"}, \"key\": \"2b376440c34249c1a230452c1840443c\", \"token_version\": \"v2.0\", \"tenant\": null, \"metadata\": {\"roles\": []}}',1,NULL,'dbe0cd358dda4ed18181e885deb94dc7'),('2e176f73f5094bf7b0985d7a9d8e003d','2014-11-17 12:12:57','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:12:57.165249\", \"expires\": \"2014-11-17T12:12:57Z\", \"id\": \"2e176f73f5094bf7b0985d7a9d8e003d\", \"tenant\": {\"id\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"enabled\": true, \"description\": \"\", \"name\": \"orange\"}, \"audit_ids\": [\"7bnDtMYjQm20ZA0H8D2lPQ\", \"DHZsnKuwSuKHS37lP5Z4BQ\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/f19ee36b9fc2463b933bfaa6bb6dea33\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/f19ee36b9fc2463b933bfaa6bb6dea33\", \"publicURL\": \"http://10.192.25.189:8774/v2/f19ee36b9fc2463b933bfaa6bb6dea33\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/f19ee36b9fc2463b933bfaa6bb6dea33\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/f19ee36b9fc2463b933bfaa6bb6dea33\", \"publicURL\": \"http://10.192.25.189:8776/v2/f19ee36b9fc2463b933bfaa6bb6dea33\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/f19ee36b9fc2463b933bfaa6bb6dea33\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/f19ee36b9fc2463b933bfaa6bb6dea33\", \"publicURL\": \"http://10.192.25.189:8776/v1/f19ee36b9fc2463b933bfaa6bb6dea33\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"vswamy\", \"roles_links\": [], \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"roles\": [{\"name\": \"_member_\"}, {\"name\": \"admin\"}], \"name\": \"vswamy\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"9fe2ff9ee4384b1894a90878d3e92bab\", \"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"vswamy\", \"name\": \"vswamy\", \"enabled\": true, \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"tenantId\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"email\": \"vswamy@versa-networks.com\"}, \"key\": \"2e176f73f5094bf7b0985d7a9d8e003d\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"enabled\": true, \"description\": \"\", \"name\": \"orange\"}, \"metadata\": {\"roles\": [\"9fe2ff9ee4384b1894a90878d3e92bab\", \"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',0,NULL,'dbe0cd358dda4ed18181e885deb94dc7'),('34f23f63848941ae96f5c85ff807fd0a','2014-11-17 12:11:56','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:12:49.023092\", \"expires\": \"2014-11-17T12:11:56Z\", \"id\": \"34f23f63848941ae96f5c85ff807fd0a\", \"audit_ids\": [\"l0_TG8Z3THCQ9Z_MjeRP4w\", \"WQ1IkuafRxSWHP7U7Sa_og\"]}, \"serviceCatalog\": [], \"user\": {\"username\": \"admin\", \"roles_links\": [], \"id\": \"7b79f78147004646bf6760fb66328d62\", \"roles\": [], \"name\": \"admin\"}, \"metadata\": {\"is_admin\": 0, \"roles\": []}}}, \"user\": {\"username\": \"admin\", \"name\": \"admin\", \"enabled\": true, \"id\": \"7b79f78147004646bf6760fb66328d62\", \"tenantId\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"email\": \"root@localhost\"}, \"key\": \"34f23f63848941ae96f5c85ff807fd0a\", \"token_version\": \"v2.0\", \"tenant\": null, \"metadata\": {\"roles\": []}}',1,NULL,'7b79f78147004646bf6760fb66328d62'),('435bd872fbcd4bc7a9fd84191d96121c','2014-11-17 12:13:35','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:35.555167\", \"expires\": \"2014-11-17T12:13:35Z\", \"id\": \"435bd872fbcd4bc7a9fd84191d96121c\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"_YX3JCnaSbiYMEpwnZiGVg\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"nova\", \"roles_links\": [], \"id\": \"6ced64159d9d4978b90c89493e641e66\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"nova\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"nova\", \"name\": \"nova\", \"enabled\": true, \"id\": \"6ced64159d9d4978b90c89493e641e66\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"nova@localhost\"}, \"key\": \"435bd872fbcd4bc7a9fd84191d96121c\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'6ced64159d9d4978b90c89493e641e66'),('44e25c9d5bb74331994dddbf90189e50','2014-11-17 12:52:02','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:52:02.932067\", \"expires\": \"2014-11-17T12:52:02Z\", \"id\": \"44e25c9d5bb74331994dddbf90189e50\", \"audit_ids\": [\"nTWNkzq-Rp-yb1uWDoBizQ\", \"mnq1AOYZRdet-8fo8OHcCQ\"]}, \"serviceCatalog\": [], \"user\": {\"username\": \"vswamy\", \"roles_links\": [], \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"roles\": [], \"name\": \"vswamy\"}, \"metadata\": {\"is_admin\": 0, \"roles\": []}}}, \"user\": {\"username\": \"vswamy\", \"name\": \"vswamy\", \"enabled\": true, \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"tenantId\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"email\": \"vswamy@versa-networks.com\"}, \"key\": \"44e25c9d5bb74331994dddbf90189e50\", \"token_version\": \"v2.0\", \"tenant\": null, \"metadata\": {\"roles\": []}}',1,NULL,'dbe0cd358dda4ed18181e885deb94dc7'),('4d8dbc143cc64c82a8afbfe8b356801b','2014-11-17 12:11:56','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:11:56.084470\", \"expires\": \"2014-11-17T12:11:56Z\", \"id\": \"4d8dbc143cc64c82a8afbfe8b356801b\", \"audit_ids\": [\"WQ1IkuafRxSWHP7U7Sa_og\"]}, \"serviceCatalog\": [], \"user\": {\"username\": \"admin\", \"roles_links\": [], \"id\": \"7b79f78147004646bf6760fb66328d62\", \"roles\": [], \"name\": \"admin\"}, \"metadata\": {\"is_admin\": 0, \"roles\": []}}}, \"user\": {\"username\": \"admin\", \"name\": \"admin\", \"enabled\": true, \"id\": \"7b79f78147004646bf6760fb66328d62\", \"tenantId\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"email\": \"root@localhost\"}, \"key\": \"4d8dbc143cc64c82a8afbfe8b356801b\", \"token_version\": \"v2.0\", \"tenant\": null, \"metadata\": {\"roles\": []}}',1,NULL,'7b79f78147004646bf6760fb66328d62'),('5897f3866b7a4890abf9dcac564a3142','2014-11-17 12:52:02','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:52:02.557750\", \"expires\": \"2014-11-17T12:52:02Z\", \"id\": \"5897f3866b7a4890abf9dcac564a3142\", \"tenant\": {\"id\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"enabled\": true, \"description\": \"\", \"name\": \"orange\"}, \"audit_ids\": [\"u_2zzAVsT0eJBV4TRodK9A\", \"mnq1AOYZRdet-8fo8OHcCQ\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/f19ee36b9fc2463b933bfaa6bb6dea33\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/f19ee36b9fc2463b933bfaa6bb6dea33\", \"publicURL\": \"http://10.192.25.189:8774/v2/f19ee36b9fc2463b933bfaa6bb6dea33\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/f19ee36b9fc2463b933bfaa6bb6dea33\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/f19ee36b9fc2463b933bfaa6bb6dea33\", \"publicURL\": \"http://10.192.25.189:8776/v2/f19ee36b9fc2463b933bfaa6bb6dea33\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/f19ee36b9fc2463b933bfaa6bb6dea33\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/f19ee36b9fc2463b933bfaa6bb6dea33\", \"publicURL\": \"http://10.192.25.189:8776/v1/f19ee36b9fc2463b933bfaa6bb6dea33\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"vswamy\", \"roles_links\": [], \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"roles\": [{\"name\": \"_member_\"}, {\"name\": \"admin\"}], \"name\": \"vswamy\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"9fe2ff9ee4384b1894a90878d3e92bab\", \"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"vswamy\", \"name\": \"vswamy\", \"enabled\": true, \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"tenantId\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"email\": \"vswamy@versa-networks.com\"}, \"key\": \"5897f3866b7a4890abf9dcac564a3142\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"enabled\": true, \"description\": \"\", \"name\": \"orange\"}, \"metadata\": {\"roles\": [\"9fe2ff9ee4384b1894a90878d3e92bab\", \"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'dbe0cd358dda4ed18181e885deb94dc7'),('5a7900b1be684d118fcc7f17fd34da01','2014-11-17 12:13:04','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:04.108820\", \"expires\": \"2014-11-17T12:13:04Z\", \"id\": \"5a7900b1be684d118fcc7f17fd34da01\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"296SuYT3QtCvZ_jQHOpVYQ\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"cinder\", \"roles_links\": [], \"id\": \"d2688f45b3b143cf9bd1f735954bcd2d\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"cinder\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"cinder\", \"name\": \"cinder\", \"enabled\": true, \"id\": \"d2688f45b3b143cf9bd1f735954bcd2d\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"cinder@localhost\"}, \"key\": \"5a7900b1be684d118fcc7f17fd34da01\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'d2688f45b3b143cf9bd1f735954bcd2d'),('5bff8f9ee09d4b8b9ea9dca700767d0a','2014-11-17 12:12:57','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:12:57.308247\", \"expires\": \"2014-11-17T12:12:57Z\", \"id\": \"5bff8f9ee09d4b8b9ea9dca700767d0a\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"3_agQ4WJSaKSpEKSmcrPFA\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"nova\", \"roles_links\": [], \"id\": \"6ced64159d9d4978b90c89493e641e66\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"nova\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"nova\", \"name\": \"nova\", \"enabled\": true, \"id\": \"6ced64159d9d4978b90c89493e641e66\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"nova@localhost\"}, \"key\": \"5bff8f9ee09d4b8b9ea9dca700767d0a\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'6ced64159d9d4978b90c89493e641e66'),('66e4b36ba2234485b1bf6c203ddf402e','2014-11-17 12:11:57','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:11:57.032182\", \"expires\": \"2014-11-17T12:11:57Z\", \"id\": \"66e4b36ba2234485b1bf6c203ddf402e\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"uRK05_J6Qbaf4Y7ERxmCJQ\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"neutron\", \"roles_links\": [], \"id\": \"a5acac763f604eb882ae0acf8090141b\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"neutron\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"neutron\", \"name\": \"neutron\", \"enabled\": true, \"id\": \"a5acac763f604eb882ae0acf8090141b\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"neutron@localhost\"}, \"key\": \"66e4b36ba2234485b1bf6c203ddf402e\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'a5acac763f604eb882ae0acf8090141b'),('6cb843c5198c4657a16826f0a3cb805e','2014-11-17 12:11:56','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:11:56.123736\", \"expires\": \"2014-11-17T12:11:56Z\", \"id\": \"6cb843c5198c4657a16826f0a3cb805e\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"audit_ids\": [\"pACDlJ1mRvuOnskhAufWJw\", \"WQ1IkuafRxSWHP7U7Sa_og\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"admin\", \"roles_links\": [], \"id\": \"7b79f78147004646bf6760fb66328d62\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"admin\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"admin\", \"name\": \"admin\", \"enabled\": true, \"id\": \"7b79f78147004646bf6760fb66328d62\", \"tenantId\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"email\": \"root@localhost\"}, \"key\": \"6cb843c5198c4657a16826f0a3cb805e\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',0,NULL,'7b79f78147004646bf6760fb66328d62'),('6d31223dedea48d386037ff11381437c','2014-11-17 12:11:32','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:11:32.055553\", \"expires\": \"2014-11-17T12:11:32Z\", \"id\": \"6d31223dedea48d386037ff11381437c\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"61-wVlDNSAS8tE1-NDBETg\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"neutron\", \"roles_links\": [], \"id\": \"a5acac763f604eb882ae0acf8090141b\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"neutron\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"neutron\", \"name\": \"neutron\", \"enabled\": true, \"id\": \"a5acac763f604eb882ae0acf8090141b\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"neutron@localhost\"}, \"key\": \"6d31223dedea48d386037ff11381437c\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'a5acac763f604eb882ae0acf8090141b'),('6f8fa1ac806d4648b17e29108404acc2','2014-11-17 12:10:30','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:10:30.095025\", \"expires\": \"2014-11-17T12:10:30Z\", \"id\": \"6f8fa1ac806d4648b17e29108404acc2\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"audit_ids\": [\"p2Mm4RL8SLO03CDjWLUeRA\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"admin\", \"roles_links\": [], \"id\": \"7b79f78147004646bf6760fb66328d62\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"admin\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"admin\", \"name\": \"admin\", \"enabled\": true, \"id\": \"7b79f78147004646bf6760fb66328d62\", \"tenantId\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"email\": \"root@localhost\"}, \"key\": \"6f8fa1ac806d4648b17e29108404acc2\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'7b79f78147004646bf6760fb66328d62'),('740cf57aa196453b914c6b0b3e36aae2','2014-11-17 12:13:34','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:34.189189\", \"expires\": \"2014-11-17T12:13:34Z\", \"id\": \"740cf57aa196453b914c6b0b3e36aae2\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"I7cylnB9SiilorVW-X89_g\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"nova\", \"roles_links\": [], \"id\": \"6ced64159d9d4978b90c89493e641e66\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"nova\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"nova\", \"name\": \"nova\", \"enabled\": true, \"id\": \"6ced64159d9d4978b90c89493e641e66\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"nova@localhost\"}, \"key\": \"740cf57aa196453b914c6b0b3e36aae2\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'6ced64159d9d4978b90c89493e641e66'),('79f17323b3f742328fdc58bb2b94244b','2014-11-17 12:12:57','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:12:57.123039\", \"expires\": \"2014-11-17T12:12:57Z\", \"id\": \"79f17323b3f742328fdc58bb2b94244b\", \"audit_ids\": [\"DHZsnKuwSuKHS37lP5Z4BQ\"]}, \"serviceCatalog\": [], \"user\": {\"username\": \"vswamy\", \"roles_links\": [], \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"roles\": [], \"name\": \"vswamy\"}, \"metadata\": {\"is_admin\": 0, \"roles\": []}}}, \"user\": {\"username\": \"vswamy\", \"name\": \"vswamy\", \"enabled\": true, \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"tenantId\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"email\": \"vswamy@versa-networks.com\"}, \"key\": \"79f17323b3f742328fdc58bb2b94244b\", \"token_version\": \"v2.0\", \"tenant\": null, \"metadata\": {\"roles\": []}}',1,NULL,'dbe0cd358dda4ed18181e885deb94dc7'),('90344a0532eb4595afa8c986fcac399e','2014-11-17 12:13:03','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:03.926389\", \"expires\": \"2014-11-17T12:13:03Z\", \"id\": \"90344a0532eb4595afa8c986fcac399e\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"9uIbg61OQzaaWoRK7BgHSw\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"glance\", \"roles_links\": [], \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"glance\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"glance\", \"name\": \"glance\", \"enabled\": true, \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"glance@localhost\"}, \"key\": \"90344a0532eb4595afa8c986fcac399e\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'8824a89100b94dea88ce8cdbcf477550'),('942e794313574851adc2ca8959b12568','2014-11-17 12:09:11','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:09:11.428199\", \"expires\": \"2014-11-17T12:09:11Z\", \"id\": \"942e794313574851adc2ca8959b12568\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"audit_ids\": [\"iY_TKxefS3aIglyoZ2LWdw\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"admin\", \"roles_links\": [], \"id\": \"7b79f78147004646bf6760fb66328d62\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"admin\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"admin\", \"name\": \"admin\", \"enabled\": true, \"id\": \"7b79f78147004646bf6760fb66328d62\", \"tenantId\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"email\": \"root@localhost\"}, \"key\": \"942e794313574851adc2ca8959b12568\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'7b79f78147004646bf6760fb66328d62'),('9cbef513f4f24493a624e1336046bfaf','2014-11-17 12:13:31','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:31.356149\", \"expires\": \"2014-11-17T12:13:31Z\", \"id\": \"9cbef513f4f24493a624e1336046bfaf\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"n4cQ-W4tSLm19U7XsexVNg\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"glance\", \"roles_links\": [], \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"glance\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"glance\", \"name\": \"glance\", \"enabled\": true, \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"glance@localhost\"}, \"key\": \"9cbef513f4f24493a624e1336046bfaf\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'8824a89100b94dea88ce8cdbcf477550'),('a3ca9891d4c14acb9f2e0163c09d2c3a','2014-11-17 12:08:45','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:08:45.083590\", \"expires\": \"2014-11-17T12:08:45Z\", \"id\": \"a3ca9891d4c14acb9f2e0163c09d2c3a\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"audit_ids\": [\"FodaEMHwQVmYK9FHsiYlkw\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"admin\", \"roles_links\": [], \"id\": \"7b79f78147004646bf6760fb66328d62\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"admin\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"admin\", \"name\": \"admin\", \"enabled\": true, \"id\": \"7b79f78147004646bf6760fb66328d62\", \"tenantId\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"email\": \"root@localhost\"}, \"key\": \"a3ca9891d4c14acb9f2e0163c09d2c3a\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'7b79f78147004646bf6760fb66328d62'),('a3cfb1092a28458294ed7f964b1ae48d','2014-11-17 12:09:22','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:09:22.884826\", \"expires\": \"2014-11-17T12:09:22Z\", \"id\": \"a3cfb1092a28458294ed7f964b1ae48d\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"audit_ids\": [\"MCx-l46lTtqrzQ7OJPA7vw\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"admin\", \"roles_links\": [], \"id\": \"7b79f78147004646bf6760fb66328d62\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"admin\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"admin\", \"name\": \"admin\", \"enabled\": true, \"id\": \"7b79f78147004646bf6760fb66328d62\", \"tenantId\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"email\": \"root@localhost\"}, \"key\": \"a3cfb1092a28458294ed7f964b1ae48d\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'7b79f78147004646bf6760fb66328d62'),('a4f9e389e9474310ae6bffe6a2770a87','2014-11-17 12:13:03','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:03.804727\", \"expires\": \"2014-11-17T12:13:03Z\", \"id\": \"a4f9e389e9474310ae6bffe6a2770a87\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"mIXidEgjSruLR_IaJz2ffg\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"glance\", \"roles_links\": [], \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"glance\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"glance\", \"name\": \"glance\", \"enabled\": true, \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"glance@localhost\"}, \"key\": \"a4f9e389e9474310ae6bffe6a2770a87\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'8824a89100b94dea88ce8cdbcf477550'),('a55546c51fab49b8a86f7952081052c3','2014-11-17 12:12:57','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:19.213056\", \"expires\": \"2014-11-17T12:12:57Z\", \"id\": \"a55546c51fab49b8a86f7952081052c3\", \"audit_ids\": [\"QgGDx4vMREWRj4rH-sk3Cw\", \"DHZsnKuwSuKHS37lP5Z4BQ\"]}, \"serviceCatalog\": [], \"user\": {\"username\": \"vswamy\", \"roles_links\": [], \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"roles\": [], \"name\": \"vswamy\"}, \"metadata\": {\"is_admin\": 0, \"roles\": []}}}, \"user\": {\"username\": \"vswamy\", \"name\": \"vswamy\", \"enabled\": true, \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"tenantId\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"email\": \"vswamy@versa-networks.com\"}, \"key\": \"a55546c51fab49b8a86f7952081052c3\", \"token_version\": \"v2.0\", \"tenant\": null, \"metadata\": {\"roles\": []}}',1,NULL,'dbe0cd358dda4ed18181e885deb94dc7'),('b658cf37e92c4e16a8910b57973c34cc','2014-11-17 12:11:31','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:11:31.969462\", \"expires\": \"2014-11-17T12:11:31Z\", \"id\": \"b658cf37e92c4e16a8910b57973c34cc\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"audit_ids\": [\"5glsMfxPSiansw1LOodmAQ\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"admin\", \"roles_links\": [], \"id\": \"7b79f78147004646bf6760fb66328d62\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"admin\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"admin\", \"name\": \"admin\", \"enabled\": true, \"id\": \"7b79f78147004646bf6760fb66328d62\", \"tenantId\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"email\": \"root@localhost\"}, \"key\": \"b658cf37e92c4e16a8910b57973c34cc\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'7b79f78147004646bf6760fb66328d62'),('be54182a848b4664b74f73f557da3939','2014-11-17 12:10:30','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:10:30.280169\", \"expires\": \"2014-11-17T12:10:30Z\", \"id\": \"be54182a848b4664b74f73f557da3939\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"p74va45FQsO94yQjB6nl-A\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"neutron\", \"roles_links\": [], \"id\": \"a5acac763f604eb882ae0acf8090141b\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"neutron\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"neutron\", \"name\": \"neutron\", \"enabled\": true, \"id\": \"a5acac763f604eb882ae0acf8090141b\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"neutron@localhost\"}, \"key\": \"be54182a848b4664b74f73f557da3939\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'a5acac763f604eb882ae0acf8090141b'),('c2ff97bbc35c49aaa84914d572035b41','2014-11-17 12:11:56','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:11:56.207865\", \"expires\": \"2014-11-17T12:11:56Z\", \"id\": \"c2ff97bbc35c49aaa84914d572035b41\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"gR-k7ZvERmyOAZXGJJQKrg\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"nova\", \"roles_links\": [], \"id\": \"6ced64159d9d4978b90c89493e641e66\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"nova\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"nova\", \"name\": \"nova\", \"enabled\": true, \"id\": \"6ced64159d9d4978b90c89493e641e66\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"nova@localhost\"}, \"key\": \"c2ff97bbc35c49aaa84914d572035b41\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'6ced64159d9d4978b90c89493e641e66'),('c7e79b937682461d8d842577d6ce45ca','2014-11-17 12:13:18','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:18.826195\", \"expires\": \"2014-11-17T12:13:18Z\", \"id\": \"c7e79b937682461d8d842577d6ce45ca\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"iXCMlPBnTIO7Cgag3P7plw\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"glance\", \"roles_links\": [], \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"glance\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"glance\", \"name\": \"glance\", \"enabled\": true, \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"glance@localhost\"}, \"key\": \"c7e79b937682461d8d842577d6ce45ca\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'8824a89100b94dea88ce8cdbcf477550'),('d88641ab579843a7a782edc78de0c9c6','2014-11-17 12:13:30','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:13:30.388438\", \"expires\": \"2014-11-17T12:13:30Z\", \"id\": \"d88641ab579843a7a782edc78de0c9c6\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"NHMp8QHdR5qtYQum9D_tPg\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"glance\", \"roles_links\": [], \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"glance\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"glance\", \"name\": \"glance\", \"enabled\": true, \"id\": \"8824a89100b94dea88ce8cdbcf477550\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"glance@localhost\"}, \"key\": \"d88641ab579843a7a782edc78de0c9c6\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'8824a89100b94dea88ce8cdbcf477550'),('dbad5af302bd4b059201ddddccf26d61','2014-11-17 12:52:02','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:52:02.517074\", \"expires\": \"2014-11-17T12:52:02Z\", \"id\": \"dbad5af302bd4b059201ddddccf26d61\", \"audit_ids\": [\"mnq1AOYZRdet-8fo8OHcCQ\"]}, \"serviceCatalog\": [], \"user\": {\"username\": \"vswamy\", \"roles_links\": [], \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"roles\": [], \"name\": \"vswamy\"}, \"metadata\": {\"is_admin\": 0, \"roles\": []}}}, \"user\": {\"username\": \"vswamy\", \"name\": \"vswamy\", \"enabled\": true, \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"tenantId\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"email\": \"vswamy@versa-networks.com\"}, \"key\": \"dbad5af302bd4b059201ddddccf26d61\", \"token_version\": \"v2.0\", \"tenant\": null, \"metadata\": {\"roles\": []}}',1,NULL,'dbe0cd358dda4ed18181e885deb94dc7'),('dc578c1082f843dcb5be209d65f95cf5','2014-11-17 12:52:02','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:52:03.642871\", \"expires\": \"2014-11-17T12:52:02Z\", \"id\": \"dc578c1082f843dcb5be209d65f95cf5\", \"audit_ids\": [\"YKMQaA7HTRiJ8T8hG44Y3A\", \"mnq1AOYZRdet-8fo8OHcCQ\"]}, \"serviceCatalog\": [], \"user\": {\"username\": \"vswamy\", \"roles_links\": [], \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"roles\": [], \"name\": \"vswamy\"}, \"metadata\": {\"is_admin\": 0, \"roles\": []}}}, \"user\": {\"username\": \"vswamy\", \"name\": \"vswamy\", \"enabled\": true, \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"tenantId\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"email\": \"vswamy@versa-networks.com\"}, \"key\": \"dc578c1082f843dcb5be209d65f95cf5\", \"token_version\": \"v2.0\", \"tenant\": null, \"metadata\": {\"roles\": []}}',1,NULL,'dbe0cd358dda4ed18181e885deb94dc7'),('e4e5f00cec7840fa95fa51dfb1eedc1a','2014-11-17 12:11:47','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:11:47.973104\", \"expires\": \"2014-11-17T12:11:47Z\", \"id\": \"e4e5f00cec7840fa95fa51dfb1eedc1a\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"audit_ids\": [\"ij2esxy3Su2tbDAX8E5pAQ\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8774/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v2/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\", \"publicURL\": \"http://10.192.25.189:8776/v1/6a8cd4adf7214206b66c4ddd1fcd35ce\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"nova\", \"roles_links\": [], \"id\": \"6ced64159d9d4978b90c89493e641e66\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"nova\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"nova\", \"name\": \"nova\", \"enabled\": true, \"id\": \"6ced64159d9d4978b90c89493e641e66\", \"tenantId\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"email\": \"nova@localhost\"}, \"key\": \"e4e5f00cec7840fa95fa51dfb1eedc1a\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"6a8cd4adf7214206b66c4ddd1fcd35ce\", \"enabled\": true, \"description\": \"Tenant for the openstack services\", \"name\": \"services\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'6ced64159d9d4978b90c89493e641e66'),('ea736e7ab815493490eb131c7f45742d','2014-11-17 12:52:02','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:52:14.465749\", \"expires\": \"2014-11-17T12:52:02Z\", \"id\": \"ea736e7ab815493490eb131c7f45742d\", \"audit_ids\": [\"BEjpZvAcQQu9BU_p_7L2Aw\", \"mnq1AOYZRdet-8fo8OHcCQ\"]}, \"serviceCatalog\": [], \"user\": {\"username\": \"vswamy\", \"roles_links\": [], \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"roles\": [], \"name\": \"vswamy\"}, \"metadata\": {\"is_admin\": 0, \"roles\": []}}}, \"user\": {\"username\": \"vswamy\", \"name\": \"vswamy\", \"enabled\": true, \"id\": \"dbe0cd358dda4ed18181e885deb94dc7\", \"tenantId\": \"f19ee36b9fc2463b933bfaa6bb6dea33\", \"email\": \"vswamy@versa-networks.com\"}, \"key\": \"ea736e7ab815493490eb131c7f45742d\", \"token_version\": \"v2.0\", \"tenant\": null, \"metadata\": {\"roles\": []}}',1,NULL,'dbe0cd358dda4ed18181e885deb94dc7'),('efdc31314e2a4e82a6f33998991f50df','2014-11-17 12:50:20','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:50:20.286409\", \"expires\": \"2014-11-17T12:50:20Z\", \"id\": \"efdc31314e2a4e82a6f33998991f50df\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"audit_ids\": [\"yl68NK-6SseP9fc163zPxQ\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"admin\", \"roles_links\": [], \"id\": \"7b79f78147004646bf6760fb66328d62\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"admin\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"admin\", \"name\": \"admin\", \"enabled\": true, \"id\": \"7b79f78147004646bf6760fb66328d62\", \"tenantId\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"email\": \"root@localhost\"}, \"key\": \"efdc31314e2a4e82a6f33998991f50df\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'7b79f78147004646bf6760fb66328d62'),('f38cb9ce479f496ea088bb9465104c88','2014-11-17 12:11:56','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:12:01.599312\", \"expires\": \"2014-11-17T12:11:56Z\", \"id\": \"f38cb9ce479f496ea088bb9465104c88\", \"audit_ids\": [\"LJC_OgJpSf25LliLf0f2_w\", \"WQ1IkuafRxSWHP7U7Sa_og\"]}, \"serviceCatalog\": [], \"user\": {\"username\": \"admin\", \"roles_links\": [], \"id\": \"7b79f78147004646bf6760fb66328d62\", \"roles\": [], \"name\": \"admin\"}, \"metadata\": {\"is_admin\": 0, \"roles\": []}}}, \"user\": {\"username\": \"admin\", \"name\": \"admin\", \"enabled\": true, \"id\": \"7b79f78147004646bf6760fb66328d62\", \"tenantId\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"email\": \"root@localhost\"}, \"key\": \"f38cb9ce479f496ea088bb9465104c88\", \"token_version\": \"v2.0\", \"tenant\": null, \"metadata\": {\"roles\": []}}',1,NULL,'7b79f78147004646bf6760fb66328d62'),('f402a8835062482d900d582d0f9ce2a0','2014-11-17 12:11:09','{\"bind\": null, \"token_data\": {\"access\": {\"token\": {\"issued_at\": \"2014-11-17T11:11:09.342639\", \"expires\": \"2014-11-17T12:11:09Z\", \"id\": \"f402a8835062482d900d582d0f9ce2a0\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"audit_ids\": [\"SXKGNzkPQIqTMq-Pede0yQ\"]}, \"serviceCatalog\": [{\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3e93ebe533464770b986073fa8d90f11\", \"internalURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8774/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"compute\", \"name\": \"nova\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9696/\", \"region\": \"RegionOne\", \"id\": \"6612054c55324e02acc8a29584c33672\", \"internalURL\": \"http://10.192.25.189:9696/\", \"publicURL\": \"http://10.192.25.189:9696/\"}], \"endpoints_links\": [], \"type\": \"network\", \"name\": \"neutron\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"01d2145a422e4dddb73f92b898a9e901\", \"internalURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v2/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volumev2\", \"name\": \"cinderv2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8774/v3\", \"region\": \"RegionOne\", \"id\": \"20bd6374517143e0b4571194754cfe8d\", \"internalURL\": \"http://10.192.25.189:8774/v3\", \"publicURL\": \"http://10.192.25.189:8774/v3\"}], \"endpoints_links\": [], \"type\": \"computev3\", \"name\": \"novav3\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:9292\", \"region\": \"RegionOne\", \"id\": \"1d31cb46b5b840dc853427d2e62cee58\", \"internalURL\": \"http://10.192.25.189:9292\", \"publicURL\": \"http://10.192.25.189:9292\"}], \"endpoints_links\": [], \"type\": \"image\", \"name\": \"glance\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"region\": \"RegionOne\", \"id\": \"3d6e1aa159cc48a688005bc9fe3432e0\", \"internalURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\", \"publicURL\": \"http://10.192.25.189:8776/v1/0cef1f5f1fb94e42aa5581e1fbf926e7\"}], \"endpoints_links\": [], \"type\": \"volume\", \"name\": \"cinder\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:8773/services/Admin\", \"region\": \"RegionOne\", \"id\": \"17d7896876b6449785b0d05f8c413c9d\", \"internalURL\": \"http://10.192.25.189:8773/services/Cloud\", \"publicURL\": \"http://10.192.25.189:8773/services/Cloud\"}], \"endpoints_links\": [], \"type\": \"ec2\", \"name\": \"nova_ec2\"}, {\"endpoints\": [{\"adminURL\": \"http://10.192.25.189:35357/v2.0\", \"region\": \"RegionOne\", \"id\": \"d22f8f1ccd344cc59a21f188f9409dbc\", \"internalURL\": \"http://10.192.25.189:5000/v2.0\", \"publicURL\": \"http://10.192.25.189:5000/v2.0\"}], \"endpoints_links\": [], \"type\": \"identity\", \"name\": \"keystone\"}], \"user\": {\"username\": \"admin\", \"roles_links\": [], \"id\": \"7b79f78147004646bf6760fb66328d62\", \"roles\": [{\"name\": \"admin\"}], \"name\": \"admin\"}, \"metadata\": {\"is_admin\": 0, \"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}}, \"user\": {\"username\": \"admin\", \"name\": \"admin\", \"enabled\": true, \"id\": \"7b79f78147004646bf6760fb66328d62\", \"tenantId\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"email\": \"root@localhost\"}, \"key\": \"f402a8835062482d900d582d0f9ce2a0\", \"token_version\": \"v2.0\", \"tenant\": {\"id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\", \"enabled\": true, \"description\": \"admin tenant\", \"name\": \"admin\"}, \"metadata\": {\"roles\": [\"5cb63c172b344abbb7f262f6fb66fcf7\"]}}',1,NULL,'7b79f78147004646bf6760fb66328d62');
/*!40000 ALTER TABLE `token` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `trust`
--

DROP TABLE IF EXISTS `trust`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `trust` (
  `id` varchar(64) NOT NULL,
  `trustor_user_id` varchar(64) NOT NULL,
  `trustee_user_id` varchar(64) NOT NULL,
  `project_id` varchar(64) DEFAULT NULL,
  `impersonation` tinyint(1) NOT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `expires_at` datetime DEFAULT NULL,
  `extra` text,
  `remaining_uses` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `trust`
--

LOCK TABLES `trust` WRITE;
/*!40000 ALTER TABLE `trust` DISABLE KEYS */;
/*!40000 ALTER TABLE `trust` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `trust_role`
--

DROP TABLE IF EXISTS `trust_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `trust_role` (
  `trust_id` varchar(64) NOT NULL,
  `role_id` varchar(64) NOT NULL,
  PRIMARY KEY (`trust_id`,`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `trust_role`
--

LOCK TABLES `trust_role` WRITE;
/*!40000 ALTER TABLE `trust_role` DISABLE KEYS */;
/*!40000 ALTER TABLE `trust_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user` (
  `id` varchar(64) NOT NULL,
  `name` varchar(255) NOT NULL,
  `extra` text,
  `password` varchar(128) DEFAULT NULL,
  `enabled` tinyint(1) DEFAULT NULL,
  `domain_id` varchar(64) NOT NULL,
  `default_project_id` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ixu_user_name_domain_id` (`domain_id`,`name`),
  CONSTRAINT `fk_user_domain_id` FOREIGN KEY (`domain_id`) REFERENCES `domain` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` VALUES ('6ced64159d9d4978b90c89493e641e66','nova','{\"email\": \"nova@localhost\"}','$6$rounds=40000$YY.NMcdqwwhZgp/E$lF4JWty6fWnGM5e88jB.pvVwGTfuf8sl9spdiwyIyVDAagBozWz7zCQrrojfGgywNchCDxS.1oLjX/7Y4862Y0',1,'default','6a8cd4adf7214206b66c4ddd1fcd35ce'),('7b79f78147004646bf6760fb66328d62','admin','{\"email\": \"root@localhost\"}','$6$rounds=40000$CQujg.YTppN5QHUu$I7rVcFqRDIjVX.zvF7YdQkdKSeEKf4dMNMP7Yqf1Dl4AIAeO5v8.HIXLUujVjGY893BX9qS3nCuumRIvxehIn1',1,'default','0cef1f5f1fb94e42aa5581e1fbf926e7'),('8824a89100b94dea88ce8cdbcf477550','glance','{\"email\": \"glance@localhost\"}','$6$rounds=40000$GwdTV0S8Jio1DiyZ$jS0G/jW28f4BOynt.LbU8/TEDqILJLjfqRboeN7QMyp3AC6VndSMwPi/hZ2c0vSwZAomAQFWf4eDtiFGMv6Oh/',1,'default','6a8cd4adf7214206b66c4ddd1fcd35ce'),('a5acac763f604eb882ae0acf8090141b','neutron','{\"email\": \"neutron@localhost\"}','$6$rounds=40000$BvznsnagFxuEicks$ES2Pnko0iREmnGdEdNMKwDZz.mwk9JfpqESWQC4NnhZrGjqXUN1faP7ctBovfp.ztOgTNxg/1.geqAb10trHc0',1,'default','6a8cd4adf7214206b66c4ddd1fcd35ce'),('d2688f45b3b143cf9bd1f735954bcd2d','cinder','{\"email\": \"cinder@localhost\"}','$6$rounds=40000$AJ25VPrgbiOBdwVd$zoy9ALkwK.YbYbiCDUPEqPcUYvIsv98EMqP4z9L6idH7ASfeePl800QUg7r84.9driMSjIy8ifF0d1TFkTC5K1',1,'default','6a8cd4adf7214206b66c4ddd1fcd35ce'),('dbe0cd358dda4ed18181e885deb94dc7','vswamy','{\"email\": \"vswamy@versa-networks.com\"}','$6$rounds=40000$l/kr0KjRyv.0FPpZ$U/hhri9nML2x25SRk3NAUA3kHh0Hpb1EJeNaiz0rgMqoFMDav8Jv3x7.0Lc.gDc3n8zQUY9ulRICf65gCKnQ71',1,'default','f19ee36b9fc2463b933bfaa6bb6dea33');
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_group_membership`
--

DROP TABLE IF EXISTS `user_group_membership`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_group_membership` (
  `user_id` varchar(64) NOT NULL,
  `group_id` varchar(64) NOT NULL,
  PRIMARY KEY (`user_id`,`group_id`),
  KEY `group_id` (`group_id`),
  CONSTRAINT `fk_user_group_membership_group_id` FOREIGN KEY (`group_id`) REFERENCES `group` (`id`),
  CONSTRAINT `fk_user_group_membership_user_id` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_group_membership`
--

LOCK TABLES `user_group_membership` WRITE;
/*!40000 ALTER TABLE `user_group_membership` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_group_membership` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-11-17  7:04:16
