-- MySQL dump 10.14  Distrib 5.5.37-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: nova
-- ------------------------------------------------------
-- Server version	5.5.39-MariaDB-wsrep

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `agent_builds`
--

DROP TABLE IF EXISTS `agent_builds`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `agent_builds` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hypervisor` varchar(255) DEFAULT NULL,
  `os` varchar(255) DEFAULT NULL,
  `architecture` varchar(255) DEFAULT NULL,
  `version` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `md5hash` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_agent_builds0hypervisor0os0architecture0deleted` (`hypervisor`,`os`,`architecture`,`deleted`),
  KEY `agent_builds_hypervisor_os_arch_idx` (`hypervisor`,`os`,`architecture`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `agent_builds`
--

LOCK TABLES `agent_builds` WRITE;
/*!40000 ALTER TABLE `agent_builds` DISABLE KEYS */;
/*!40000 ALTER TABLE `agent_builds` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `aggregate_hosts`
--

DROP TABLE IF EXISTS `aggregate_hosts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aggregate_hosts` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `host` varchar(255) DEFAULT NULL,
  `aggregate_id` int(11) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_aggregate_hosts0host0aggregate_id0deleted` (`host`,`aggregate_id`,`deleted`),
  KEY `aggregate_id` (`aggregate_id`),
  CONSTRAINT `aggregate_hosts_ibfk_1` FOREIGN KEY (`aggregate_id`) REFERENCES `aggregates` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `aggregate_hosts`
--

LOCK TABLES `aggregate_hosts` WRITE;
/*!40000 ALTER TABLE `aggregate_hosts` DISABLE KEYS */;
/*!40000 ALTER TABLE `aggregate_hosts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `aggregate_metadata`
--

DROP TABLE IF EXISTS `aggregate_metadata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aggregate_metadata` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `aggregate_id` int(11) NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_aggregate_metadata0aggregate_id0key0deleted` (`aggregate_id`,`key`,`deleted`),
  KEY `aggregate_metadata_key_idx` (`key`),
  CONSTRAINT `aggregate_metadata_ibfk_1` FOREIGN KEY (`aggregate_id`) REFERENCES `aggregates` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `aggregate_metadata`
--

LOCK TABLES `aggregate_metadata` WRITE;
/*!40000 ALTER TABLE `aggregate_metadata` DISABLE KEYS */;
/*!40000 ALTER TABLE `aggregate_metadata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `aggregates`
--

DROP TABLE IF EXISTS `aggregates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aggregates` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `aggregates`
--

LOCK TABLES `aggregates` WRITE;
/*!40000 ALTER TABLE `aggregates` DISABLE KEYS */;
/*!40000 ALTER TABLE `aggregates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `block_device_mapping`
--

DROP TABLE IF EXISTS `block_device_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_device_mapping` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `device_name` varchar(255) DEFAULT NULL,
  `delete_on_termination` tinyint(1) DEFAULT NULL,
  `snapshot_id` varchar(36) DEFAULT NULL,
  `volume_id` varchar(36) DEFAULT NULL,
  `volume_size` int(11) DEFAULT NULL,
  `no_device` tinyint(1) DEFAULT NULL,
  `connection_info` mediumtext,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `source_type` varchar(255) DEFAULT NULL,
  `destination_type` varchar(255) DEFAULT NULL,
  `guest_format` varchar(255) DEFAULT NULL,
  `device_type` varchar(255) DEFAULT NULL,
  `disk_bus` varchar(255) DEFAULT NULL,
  `boot_index` int(11) DEFAULT NULL,
  `image_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `snapshot_id` (`snapshot_id`),
  KEY `volume_id` (`volume_id`),
  KEY `block_device_mapping_instance_uuid_idx` (`instance_uuid`),
  KEY `block_device_mapping_instance_uuid_device_name_idx` (`instance_uuid`,`device_name`),
  KEY `block_device_mapping_instance_uuid_volume_id_idx` (`instance_uuid`,`volume_id`),
  CONSTRAINT `block_device_mapping_instance_uuid_fkey` FOREIGN KEY (`instance_uuid`) REFERENCES `instances` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_device_mapping`
--

LOCK TABLES `block_device_mapping` WRITE;
/*!40000 ALTER TABLE `block_device_mapping` DISABLE KEYS */;
INSERT INTO `block_device_mapping` VALUES ('2014-11-15 11:56:43','2014-11-15 11:56:43','2014-11-15 11:57:32',1,'/dev/vda',1,NULL,NULL,NULL,NULL,NULL,'689c4545-7075-48d8-9fb8-f0959ebf77e6',1,'image','local',NULL,'disk',NULL,0,'04f162b2-973b-40fd-be0f-8c8d6b79d163'),('2014-11-15 11:58:08','2014-11-15 11:58:08','2014-11-15 12:00:52',2,'/dev/vda',1,NULL,NULL,NULL,NULL,NULL,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba',2,'image','local',NULL,'disk',NULL,0,'04f162b2-973b-40fd-be0f-8c8d6b79d163'),('2014-11-17 04:39:18','2014-11-17 04:39:18','2014-11-17 04:40:30',3,'/dev/vda',1,NULL,NULL,NULL,NULL,NULL,'bf738a42-eba6-4e4d-8464-59af554e6c2e',3,'image','local',NULL,'disk',NULL,0,'04f162b2-973b-40fd-be0f-8c8d6b79d163'),('2014-11-17 04:40:44','2014-11-17 04:40:44','2014-11-17 05:16:07',4,'/dev/vda',1,NULL,NULL,NULL,NULL,NULL,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9',4,'image','local',NULL,'disk',NULL,0,'04f162b2-973b-40fd-be0f-8c8d6b79d163'),('2014-11-17 05:17:00','2014-11-17 05:17:00','2014-11-17 05:28:54',5,'/dev/vda',1,NULL,NULL,NULL,NULL,NULL,'59026f0d-8492-4460-b19b-f82db493c045',5,'image','local',NULL,'disk',NULL,0,'04f162b2-973b-40fd-be0f-8c8d6b79d163'),('2014-11-17 05:33:22','2014-11-17 05:33:22','2014-11-17 05:42:54',6,'/dev/vda',1,NULL,NULL,NULL,NULL,NULL,'f0698e80-a9ad-4bda-8ee6-9ac23192078a',6,'image','local',NULL,'disk',NULL,0,'04f162b2-973b-40fd-be0f-8c8d6b79d163'),('2014-11-17 05:59:15','2014-11-17 05:59:16','2014-11-17 06:57:02',7,'/dev/vda',1,NULL,NULL,NULL,NULL,NULL,'aae55470-784d-491f-8101-8f2b63753bed',7,'image','local',NULL,'disk',NULL,0,'04f162b2-973b-40fd-be0f-8c8d6b79d163'),('2014-11-17 07:01:43','2014-11-17 07:01:43','2014-11-17 09:01:38',8,'/dev/vda',1,NULL,NULL,NULL,NULL,NULL,'697d86a2-d20b-44e8-9948-1dc2d389a8bf',8,'image','local',NULL,'disk',NULL,0,'04f162b2-973b-40fd-be0f-8c8d6b79d163'),('2014-11-17 09:06:27','2014-11-17 09:06:28','2014-11-17 09:36:31',9,'/dev/vda',1,NULL,NULL,NULL,NULL,NULL,'999c60a9-df03-4060-bbfd-dd13dac85524',9,'image','local',NULL,'disk',NULL,0,'04f162b2-973b-40fd-be0f-8c8d6b79d163'),('2014-11-17 09:36:46','2014-11-17 09:36:46','2014-11-17 10:22:51',10,'/dev/vda',1,NULL,NULL,NULL,NULL,NULL,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c',10,'image','local',NULL,'disk',NULL,0,'04f162b2-973b-40fd-be0f-8c8d6b79d163'),('2014-11-17 10:23:40','2014-11-17 10:23:40','2014-11-17 10:50:26',11,'/dev/vda',1,NULL,NULL,NULL,NULL,NULL,'3de9ebee-bd05-42b9-a097-755495f162d9',11,'image','local',NULL,'disk',NULL,0,'04f162b2-973b-40fd-be0f-8c8d6b79d163'),('2014-11-17 11:13:30','2014-11-17 11:13:30',NULL,12,'/dev/vda',1,NULL,NULL,NULL,NULL,NULL,'faa52f95-7253-4ad5-a21c-58379bdff349',0,'image','local',NULL,'disk',NULL,0,'04f162b2-973b-40fd-be0f-8c8d6b79d163');
/*!40000 ALTER TABLE `block_device_mapping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bw_usage_cache`
--

DROP TABLE IF EXISTS `bw_usage_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bw_usage_cache` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `start_period` datetime NOT NULL,
  `last_refreshed` datetime DEFAULT NULL,
  `bw_in` bigint(20) DEFAULT NULL,
  `bw_out` bigint(20) DEFAULT NULL,
  `mac` varchar(255) DEFAULT NULL,
  `uuid` varchar(36) DEFAULT NULL,
  `last_ctr_in` bigint(20) DEFAULT NULL,
  `last_ctr_out` bigint(20) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bw_usage_cache_uuid_start_period_idx` (`uuid`,`start_period`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bw_usage_cache`
--

LOCK TABLES `bw_usage_cache` WRITE;
/*!40000 ALTER TABLE `bw_usage_cache` DISABLE KEYS */;
/*!40000 ALTER TABLE `bw_usage_cache` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cells`
--

DROP TABLE IF EXISTS `cells`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cells` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `api_url` varchar(255) DEFAULT NULL,
  `weight_offset` float DEFAULT NULL,
  `weight_scale` float DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `is_parent` tinyint(1) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `transport_url` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_cells0name0deleted` (`name`,`deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cells`
--

LOCK TABLES `cells` WRITE;
/*!40000 ALTER TABLE `cells` DISABLE KEYS */;
/*!40000 ALTER TABLE `cells` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `certificates`
--

DROP TABLE IF EXISTS `certificates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `certificates` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `file_name` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `certificates_project_id_deleted_idx` (`project_id`,`deleted`),
  KEY `certificates_user_id_deleted_idx` (`user_id`,`deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `certificates`
--

LOCK TABLES `certificates` WRITE;
/*!40000 ALTER TABLE `certificates` DISABLE KEYS */;
/*!40000 ALTER TABLE `certificates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `compute_nodes`
--

DROP TABLE IF EXISTS `compute_nodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `compute_nodes` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `service_id` int(11) NOT NULL,
  `vcpus` int(11) NOT NULL,
  `memory_mb` int(11) NOT NULL,
  `local_gb` int(11) NOT NULL,
  `vcpus_used` int(11) NOT NULL,
  `memory_mb_used` int(11) NOT NULL,
  `local_gb_used` int(11) NOT NULL,
  `hypervisor_type` mediumtext NOT NULL,
  `hypervisor_version` int(11) NOT NULL,
  `cpu_info` mediumtext NOT NULL,
  `disk_available_least` int(11) DEFAULT NULL,
  `free_ram_mb` int(11) DEFAULT NULL,
  `free_disk_gb` int(11) DEFAULT NULL,
  `current_workload` int(11) DEFAULT NULL,
  `running_vms` int(11) DEFAULT NULL,
  `hypervisor_hostname` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `host_ip` varchar(39) DEFAULT NULL,
  `supported_instances` text,
  `pci_stats` text,
  `metrics` text,
  `extra_resources` text,
  `stats` text,
  `numa_topology` text,
  PRIMARY KEY (`id`),
  KEY `fk_compute_nodes_service_id` (`service_id`),
  CONSTRAINT `fk_compute_nodes_service_id` FOREIGN KEY (`service_id`) REFERENCES `services` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `compute_nodes`
--

LOCK TABLES `compute_nodes` WRITE;
/*!40000 ALTER TABLE `compute_nodes` DISABLE KEYS */;
INSERT INTO `compute_nodes` VALUES ('2014-11-15 10:01:55','2014-11-17 11:14:26',NULL,1,5,40,64231,383,1,2560,20,'QEMU',1005003,'{\"vendor\": \"Intel\", \"model\": \"SandyBridge\", \"arch\": \"x86_64\", \"features\": [\"vme\", \"dtes64\", \"vmx\", \"erms\", \"xtpr\", \"smep\", \"pcid\", \"est\", \"monitor\", \"smx\", \"tm\", \"acpi\", \"osxsave\", \"ht\", \"dca\", \"pdcm\", \"pdpe1gb\", \"fsgsbase\", \"f16c\", \"ds\", \"tm2\", \"ss\", \"pbe\", \"ds_cpl\", \"rdrand\"], \"topology\": {\"cores\": 10, \"threads\": 2, \"sockets\": 1}}',352,61671,363,0,1,'c1.example.com',0,'10.192.25.193','[[\"i686\", \"qemu\", \"hvm\"], [\"i686\", \"kvm\", \"hvm\"], [\"x86_64\", \"qemu\", \"hvm\"], [\"x86_64\", \"kvm\", \"hvm\"]]','[]','[]',NULL,'{\"num_task_None\": 1, \"io_workload\": 0, \"num_instances\": 1, \"num_proj_f19ee36b9fc2463b933bfaa6bb6dea33\": 1, \"num_os_type_None\": 1, \"num_vm_active\": 1}','{\"cells\": [{\"mem\": {\"total\": 32733, \"used\": 0}, \"cpu_usage\": 0, \"cpus\": \"0,1,2,3,4,5,6,7,8,9,20,21,22,23,24,25,26,27,28,29\", \"id\": 0}, {\"mem\": {\"total\": 32768, \"used\": 0}, \"cpu_usage\": 0, \"cpus\": \"10,11,12,13,14,15,16,17,18,19,30,31,32,33,34,35,36,37,38,39\", \"id\": 1}]}');
/*!40000 ALTER TABLE `compute_nodes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `console_pools`
--

DROP TABLE IF EXISTS `console_pools`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `console_pools` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address` varchar(39) DEFAULT NULL,
  `username` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `console_type` varchar(255) DEFAULT NULL,
  `public_hostname` varchar(255) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `compute_host` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_console_pools0host0console_type0compute_host0deleted` (`host`,`console_type`,`compute_host`,`deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `console_pools`
--

LOCK TABLES `console_pools` WRITE;
/*!40000 ALTER TABLE `console_pools` DISABLE KEYS */;
/*!40000 ALTER TABLE `console_pools` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `consoles`
--

DROP TABLE IF EXISTS `consoles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `consoles` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_name` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `port` int(11) DEFAULT NULL,
  `pool_id` int(11) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pool_id` (`pool_id`),
  KEY `consoles_instance_uuid_idx` (`instance_uuid`),
  CONSTRAINT `consoles_ibfk_1` FOREIGN KEY (`pool_id`) REFERENCES `console_pools` (`id`),
  CONSTRAINT `consoles_instance_uuid_fkey` FOREIGN KEY (`instance_uuid`) REFERENCES `instances` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `consoles`
--

LOCK TABLES `consoles` WRITE;
/*!40000 ALTER TABLE `consoles` DISABLE KEYS */;
/*!40000 ALTER TABLE `consoles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dns_domains`
--

DROP TABLE IF EXISTS `dns_domains`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dns_domains` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` tinyint(1) DEFAULT NULL,
  `domain` varchar(255) NOT NULL,
  `scope` varchar(255) DEFAULT NULL,
  `availability_zone` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`domain`),
  KEY `project_id` (`project_id`),
  KEY `dns_domains_domain_deleted_idx` (`domain`,`deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dns_domains`
--

LOCK TABLES `dns_domains` WRITE;
/*!40000 ALTER TABLE `dns_domains` DISABLE KEYS */;
/*!40000 ALTER TABLE `dns_domains` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fixed_ips`
--

DROP TABLE IF EXISTS `fixed_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fixed_ips` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address` varchar(39) DEFAULT NULL,
  `network_id` int(11) DEFAULT NULL,
  `allocated` tinyint(1) DEFAULT NULL,
  `leased` tinyint(1) DEFAULT NULL,
  `reserved` tinyint(1) DEFAULT NULL,
  `virtual_interface_id` int(11) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_fixed_ips0address0deleted` (`address`,`deleted`),
  KEY `network_id` (`network_id`),
  KEY `fixed_ips_virtual_interface_id_fkey` (`virtual_interface_id`),
  KEY `address` (`address`),
  KEY `fixed_ips_instance_uuid_fkey` (`instance_uuid`),
  KEY `fixed_ips_host_idx` (`host`),
  KEY `fixed_ips_network_id_host_deleted_idx` (`network_id`,`host`,`deleted`),
  KEY `fixed_ips_address_reserved_network_id_deleted_idx` (`address`,`reserved`,`network_id`,`deleted`),
  KEY `fixed_ips_deleted_allocated_idx` (`address`,`deleted`,`allocated`),
  CONSTRAINT `fixed_ips_instance_uuid_fkey` FOREIGN KEY (`instance_uuid`) REFERENCES `instances` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fixed_ips`
--

LOCK TABLES `fixed_ips` WRITE;
/*!40000 ALTER TABLE `fixed_ips` DISABLE KEYS */;
/*!40000 ALTER TABLE `fixed_ips` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `floating_ips`
--

DROP TABLE IF EXISTS `floating_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `floating_ips` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address` varchar(39) DEFAULT NULL,
  `fixed_ip_id` int(11) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `auto_assigned` tinyint(1) DEFAULT NULL,
  `pool` varchar(255) DEFAULT NULL,
  `interface` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_floating_ips0address0deleted` (`address`,`deleted`),
  KEY `fixed_ip_id` (`fixed_ip_id`),
  KEY `floating_ips_host_idx` (`host`),
  KEY `floating_ips_project_id_idx` (`project_id`),
  KEY `floating_ips_pool_deleted_fixed_ip_id_project_id_idx` (`pool`,`deleted`,`fixed_ip_id`,`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `floating_ips`
--

LOCK TABLES `floating_ips` WRITE;
/*!40000 ALTER TABLE `floating_ips` DISABLE KEYS */;
/*!40000 ALTER TABLE `floating_ips` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_actions`
--

DROP TABLE IF EXISTS `instance_actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_actions` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `action` varchar(255) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `request_id` varchar(255) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `start_time` datetime DEFAULT NULL,
  `finish_time` datetime DEFAULT NULL,
  `message` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `instance_uuid_idx` (`instance_uuid`),
  KEY `request_id_idx` (`request_id`),
  CONSTRAINT `fk_instance_actions_instance_uuid` FOREIGN KEY (`instance_uuid`) REFERENCES `instances` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_actions`
--

LOCK TABLES `instance_actions` WRITE;
/*!40000 ALTER TABLE `instance_actions` DISABLE KEYS */;
INSERT INTO `instance_actions` VALUES ('2014-11-15 11:56:43',NULL,NULL,1,'create','689c4545-7075-48d8-9fb8-f0959ebf77e6','req-e8d03bdd-f23d-43ec-9c40-34fe764de256','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-15 11:56:43',NULL,NULL,0),('2014-11-15 11:57:32',NULL,NULL,2,'delete','689c4545-7075-48d8-9fb8-f0959ebf77e6','req-9abedd0d-af22-4d6b-8e39-500529e259d7','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-15 11:57:32',NULL,NULL,0),('2014-11-15 11:58:08',NULL,NULL,3,'create','b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','req-7e9e09f4-9158-4eeb-af8a-c944d1119f25','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-15 11:58:08',NULL,NULL,0),('2014-11-15 12:00:51',NULL,NULL,4,'delete','b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','req-55e26768-a48d-4129-8f61-924b7c7a7272','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-15 12:00:51',NULL,NULL,0),('2014-11-17 04:39:18',NULL,NULL,5,'create','bf738a42-eba6-4e4d-8464-59af554e6c2e','req-def5cda5-d017-4ac8-aa13-a0a76d804be0','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-17 04:39:18',NULL,NULL,0),('2014-11-17 04:40:30',NULL,NULL,6,'delete','bf738a42-eba6-4e4d-8464-59af554e6c2e','req-3167a2cb-5764-40aa-9e58-8536201500ca','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-17 04:40:29',NULL,NULL,0),('2014-11-17 04:40:44',NULL,NULL,7,'create','e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','req-8451c6d8-56d9-4f89-980f-cc0791520d21','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-17 04:40:43',NULL,NULL,0),('2014-11-17 05:16:07',NULL,NULL,8,'delete','e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','req-24b6f626-9d1c-4b95-97c9-92420648064a','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-17 05:16:06',NULL,NULL,0),('2014-11-17 05:17:00',NULL,NULL,9,'create','59026f0d-8492-4460-b19b-f82db493c045','req-89bdd93a-2450-496d-b721-7b710529d91a','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-17 05:17:00',NULL,NULL,0),('2014-11-17 05:28:53',NULL,NULL,10,'delete','59026f0d-8492-4460-b19b-f82db493c045','req-8515a330-ed55-4d96-be75-1dc4b93aa407','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-17 05:28:53',NULL,NULL,0),('2014-11-17 05:33:22',NULL,NULL,11,'create','f0698e80-a9ad-4bda-8ee6-9ac23192078a','req-1d4628d1-d079-487a-b005-6c1b61982333','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-17 05:33:22',NULL,NULL,0),('2014-11-17 05:42:53',NULL,NULL,12,'delete','f0698e80-a9ad-4bda-8ee6-9ac23192078a','req-0f7fa1a9-ff15-4cc2-8a04-f63a0545f560','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-17 05:42:53',NULL,NULL,0),('2014-11-17 05:59:15',NULL,NULL,13,'create','aae55470-784d-491f-8101-8f2b63753bed','req-b51b581e-c41b-46c5-bf8b-b8ba57232746','7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7','2014-11-17 05:59:15',NULL,NULL,0),('2014-11-17 06:57:01',NULL,NULL,14,'delete','aae55470-784d-491f-8101-8f2b63753bed','req-11d90e19-4040-4301-b86c-ef53031ea0e1','7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7','2014-11-17 06:57:01',NULL,NULL,0),('2014-11-17 07:01:43',NULL,NULL,15,'create','697d86a2-d20b-44e8-9948-1dc2d389a8bf','req-dc846442-86e1-4dba-b385-01ea36c57796','7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7','2014-11-17 07:01:43',NULL,NULL,0),('2014-11-17 09:01:37',NULL,NULL,16,'delete','697d86a2-d20b-44e8-9948-1dc2d389a8bf','req-465e493e-c2fd-4ed8-aad0-8000ee96e72a','7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7','2014-11-17 09:01:37',NULL,NULL,0),('2014-11-17 09:06:27',NULL,NULL,17,'create','999c60a9-df03-4060-bbfd-dd13dac85524','req-9d5fd0ea-cb63-43e2-90dc-e8c1ff7258ef','7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7','2014-11-17 09:06:27',NULL,NULL,0),('2014-11-17 09:36:30',NULL,NULL,18,'delete','999c60a9-df03-4060-bbfd-dd13dac85524','req-be264400-1a2a-4ff0-bbb1-76585bfbcbce','7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7','2014-11-17 09:36:30',NULL,NULL,0),('2014-11-17 09:36:46',NULL,NULL,19,'create','733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','req-44aee1bb-174c-4ab4-be16-da22dfdab461','7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7','2014-11-17 09:36:45',NULL,NULL,0),('2014-11-17 10:22:51',NULL,NULL,20,'delete','733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','req-fd36fad5-40dc-4214-8ec0-32eeb8f96d0d','7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7','2014-11-17 10:22:51',NULL,NULL,0),('2014-11-17 10:23:40',NULL,NULL,21,'create','3de9ebee-bd05-42b9-a097-755495f162d9','req-55725384-8e4c-4fe6-8ca3-94b14db062c5','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-17 10:23:40',NULL,NULL,0),('2014-11-17 11:13:30',NULL,NULL,22,'create','faa52f95-7253-4ad5-a21c-58379bdff349','req-6e3c3206-d8f3-485e-b69d-81c9f9840717','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','2014-11-17 11:13:30',NULL,NULL,0);
/*!40000 ALTER TABLE `instance_actions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_actions_events`
--

DROP TABLE IF EXISTS `instance_actions_events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_actions_events` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `event` varchar(255) DEFAULT NULL,
  `action_id` int(11) DEFAULT NULL,
  `start_time` datetime DEFAULT NULL,
  `finish_time` datetime DEFAULT NULL,
  `result` varchar(255) DEFAULT NULL,
  `traceback` text,
  `deleted` int(11) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `details` text,
  PRIMARY KEY (`id`),
  KEY `action_id` (`action_id`),
  CONSTRAINT `instance_actions_events_ibfk_1` FOREIGN KEY (`action_id`) REFERENCES `instance_actions` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_actions_events`
--

LOCK TABLES `instance_actions_events` WRITE;
/*!40000 ALTER TABLE `instance_actions_events` DISABLE KEYS */;
INSERT INTO `instance_actions_events` VALUES ('2014-11-15 11:56:43','2014-11-15 11:57:02',NULL,1,'compute_build_and_run_instance',1,'2014-11-15 11:56:43','2014-11-15 11:57:02','Success',NULL,0,NULL,NULL),('2014-11-15 11:57:32','2014-11-15 11:57:32',NULL,2,'compute_terminate_instance',2,'2014-11-15 11:57:32','2014-11-15 11:57:32','Success',NULL,0,NULL,NULL),('2014-11-15 11:58:08','2014-11-15 11:58:49',NULL,3,'compute_build_and_run_instance',3,'2014-11-15 11:58:08','2014-11-15 11:58:49','Success',NULL,0,NULL,NULL),('2014-11-15 12:00:51','2014-11-15 12:00:52',NULL,4,'compute_terminate_instance',4,'2014-11-15 12:00:51','2014-11-15 12:00:52','Success',NULL,0,NULL,NULL),('2014-11-17 04:39:18','2014-11-17 04:39:19',NULL,5,'compute_build_and_run_instance',5,'2014-11-17 04:39:18','2014-11-17 04:39:19','Success',NULL,0,NULL,NULL),('2014-11-17 04:40:30','2014-11-17 04:40:30',NULL,6,'compute_terminate_instance',6,'2014-11-17 04:40:30','2014-11-17 04:40:30','Success',NULL,0,NULL,NULL),('2014-11-17 04:40:44','2014-11-17 04:41:10',NULL,7,'compute_build_and_run_instance',7,'2014-11-17 04:40:44','2014-11-17 04:41:10','Success',NULL,0,NULL,NULL),('2014-11-17 05:16:07','2014-11-17 05:16:07',NULL,8,'compute_terminate_instance',8,'2014-11-17 05:16:07','2014-11-17 05:16:07','Success',NULL,0,NULL,NULL),('2014-11-17 05:17:00','2014-11-17 05:17:10',NULL,9,'compute_build_and_run_instance',9,'2014-11-17 05:17:00','2014-11-17 05:17:10','Success',NULL,0,NULL,NULL),('2014-11-17 05:28:53','2014-11-17 05:28:54',NULL,10,'compute_terminate_instance',10,'2014-11-17 05:28:53','2014-11-17 05:28:54','Success',NULL,0,NULL,NULL),('2014-11-17 05:33:22','2014-11-17 05:33:29',NULL,11,'compute_build_and_run_instance',11,'2014-11-17 05:33:22','2014-11-17 05:33:29','Success',NULL,0,NULL,NULL),('2014-11-17 05:42:53','2014-11-17 05:42:54',NULL,12,'compute_terminate_instance',12,'2014-11-17 05:42:53','2014-11-17 05:42:54','Success',NULL,0,NULL,NULL),('2014-11-17 05:59:15','2014-11-17 05:59:26',NULL,13,'compute_build_and_run_instance',13,'2014-11-17 05:59:15','2014-11-17 05:59:26','Success',NULL,0,NULL,NULL),('2014-11-17 06:57:01','2014-11-17 06:57:02',NULL,14,'compute_terminate_instance',14,'2014-11-17 06:57:01','2014-11-17 06:57:02','Success',NULL,0,NULL,NULL),('2014-11-17 07:01:43','2014-11-17 07:01:52',NULL,15,'compute_build_and_run_instance',15,'2014-11-17 07:01:43','2014-11-17 07:01:52','Success',NULL,0,NULL,NULL),('2014-11-17 09:01:37','2014-11-17 09:01:38',NULL,16,'compute_terminate_instance',16,'2014-11-17 09:01:37','2014-11-17 09:01:38','Success',NULL,0,NULL,NULL),('2014-11-17 09:06:28','2014-11-17 09:06:37',NULL,17,'compute_build_and_run_instance',17,'2014-11-17 09:06:28','2014-11-17 09:06:37','Success',NULL,0,NULL,NULL),('2014-11-17 09:36:30','2014-11-17 09:36:31',NULL,18,'compute_terminate_instance',18,'2014-11-17 09:36:30','2014-11-17 09:36:31','Success',NULL,0,NULL,NULL),('2014-11-17 09:36:46','2014-11-17 09:36:57',NULL,19,'compute_build_and_run_instance',19,'2014-11-17 09:36:46','2014-11-17 09:36:57','Success',NULL,0,NULL,NULL),('2014-11-17 10:22:51','2014-11-17 10:22:51',NULL,20,'compute_terminate_instance',20,'2014-11-17 10:22:51','2014-11-17 10:22:51','Success',NULL,0,NULL,NULL),('2014-11-17 10:23:40','2014-11-17 10:24:02',NULL,21,'compute_build_and_run_instance',21,'2014-11-17 10:23:40','2014-11-17 10:24:02','Success',NULL,0,NULL,NULL),('2014-11-17 11:13:30','2014-11-17 11:13:35',NULL,22,'compute_build_and_run_instance',22,'2014-11-17 11:13:30','2014-11-17 11:13:35','Success',NULL,0,NULL,NULL);
/*!40000 ALTER TABLE `instance_actions_events` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_extra`
--

DROP TABLE IF EXISTS `instance_extra`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_extra` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_uuid` varchar(36) NOT NULL,
  `numa_topology` text,
  `pci_requests` text,
  PRIMARY KEY (`id`),
  KEY `instance_extra_idx` (`instance_uuid`),
  CONSTRAINT `instance_extra_instance_uuid_fkey` FOREIGN KEY (`instance_uuid`) REFERENCES `instances` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_extra`
--

LOCK TABLES `instance_extra` WRITE;
/*!40000 ALTER TABLE `instance_extra` DISABLE KEYS */;
INSERT INTO `instance_extra` VALUES ('2014-11-15 11:56:43','2014-11-15 11:56:43','2014-11-15 11:57:32',1,1,'689c4545-7075-48d8-9fb8-f0959ebf77e6',NULL,'[]'),('2014-11-15 11:58:08','2014-11-15 11:58:08','2014-11-15 12:00:52',2,2,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba',NULL,'[]'),('2014-11-17 04:39:18','2014-11-17 04:39:18','2014-11-17 04:40:30',3,3,'bf738a42-eba6-4e4d-8464-59af554e6c2e',NULL,'[]'),('2014-11-17 04:40:44','2014-11-17 04:40:44','2014-11-17 05:16:07',4,4,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9',NULL,'[]'),('2014-11-17 05:17:00','2014-11-17 05:17:00','2014-11-17 05:28:54',5,5,'59026f0d-8492-4460-b19b-f82db493c045',NULL,'[]'),('2014-11-17 05:33:22','2014-11-17 05:33:22','2014-11-17 05:42:54',6,6,'f0698e80-a9ad-4bda-8ee6-9ac23192078a',NULL,'[]'),('2014-11-17 05:59:15','2014-11-17 05:59:15','2014-11-17 06:57:02',7,7,'aae55470-784d-491f-8101-8f2b63753bed',NULL,'[]'),('2014-11-17 07:01:43','2014-11-17 07:01:43','2014-11-17 09:01:38',8,8,'697d86a2-d20b-44e8-9948-1dc2d389a8bf',NULL,'[]'),('2014-11-17 09:06:27','2014-11-17 09:06:27','2014-11-17 09:36:31',9,9,'999c60a9-df03-4060-bbfd-dd13dac85524',NULL,'[]'),('2014-11-17 09:36:46','2014-11-17 09:36:46','2014-11-17 10:22:51',10,10,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c',NULL,'[]'),('2014-11-17 10:23:40','2014-11-17 10:23:40','2014-11-17 10:50:26',11,11,'3de9ebee-bd05-42b9-a097-755495f162d9',NULL,'[]'),('2014-11-17 11:13:30','2014-11-17 11:13:30',NULL,0,12,'faa52f95-7253-4ad5-a21c-58379bdff349',NULL,'[]');
/*!40000 ALTER TABLE `instance_extra` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_faults`
--

DROP TABLE IF EXISTS `instance_faults`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_faults` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `code` int(11) NOT NULL,
  `message` varchar(255) DEFAULT NULL,
  `details` mediumtext,
  `host` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `instance_faults_host_idx` (`host`),
  KEY `instance_faults_instance_uuid_deleted_created_at_idx` (`instance_uuid`,`deleted`,`created_at`),
  CONSTRAINT `fk_instance_faults_instance_uuid` FOREIGN KEY (`instance_uuid`) REFERENCES `instances` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_faults`
--

LOCK TABLES `instance_faults` WRITE;
/*!40000 ALTER TABLE `instance_faults` DISABLE KEYS */;
INSERT INTO `instance_faults` VALUES ('2014-11-15 11:57:02',NULL,'2014-11-15 11:57:32',1,'689c4545-7075-48d8-9fb8-f0959ebf77e6',500,'Build of instance 689c4545-7075-48d8-9fb8-f0959ebf77e6 aborted: Flavor\'s disk is too small for requested image.','  File \"/usr/lib/python2.7/site-packages/nova/compute/manager.py\", line 2014, in do_build_and_run_instance\n    filter_properties)\n  File \"/usr/lib/python2.7/site-packages/nova/compute/manager.py\", line 2144, in _build_and_run_instance\n    reason=e.format_message())\n','c1.example.com',1),('2014-11-15 11:58:49',NULL,'2014-11-15 12:00:52',2,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba',500,'No valid host was found. ','  File \"/usr/lib/python2.7/site-packages/nova/conductor/manager.py\", line 614, in build_instances\n    request_spec, filter_properties)\n  File \"/usr/lib/python2.7/site-packages/nova/scheduler/client/__init__.py\", line 49, in select_destinations\n    context, request_spec, filter_properties)\n  File \"/usr/lib/python2.7/site-packages/nova/scheduler/client/__init__.py\", line 35, in __run_method\n    return getattr(self.instance, __name)(*args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/nova/scheduler/client/query.py\", line 34, in select_destinations\n    context, request_spec, filter_properties)\n  File \"/usr/lib/python2.7/site-packages/nova/scheduler/rpcapi.py\", line 108, in select_destinations\n    request_spec=request_spec, filter_properties=filter_properties)\n  File \"/usr/lib/python2.7/site-packages/oslo/messaging/rpc/client.py\", line 152, in call\n    retry=self.retry)\n  File \"/usr/lib/python2.7/site-packages/oslo/messaging/transport.py\", line 90, in _send\n    timeout=timeout, retry=retry)\n  File \"/usr/lib/python2.7/site-packages/oslo/messaging/_drivers/amqpdriver.py\", line 408, in send\n    retry=retry)\n  File \"/usr/lib/python2.7/site-packages/oslo/messaging/_drivers/amqpdriver.py\", line 399, in _send\n    raise result\n','junovm1.example.com',2),('2014-11-15 11:59:57',NULL,'2014-11-15 12:00:52',3,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba',400,'Unavailable console type spice-html5.','','c1.example.com',3),('2014-11-15 11:59:57',NULL,'2014-11-15 12:00:52',4,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba',400,'Unavailable console type rdp-html5.','','c1.example.com',4),('2014-11-17 04:39:19',NULL,'2014-11-17 04:40:30',5,'bf738a42-eba6-4e4d-8464-59af554e6c2e',500,'No valid host was found. ','  File \"/usr/lib/python2.7/site-packages/nova/conductor/manager.py\", line 614, in build_instances\n    request_spec, filter_properties)\n  File \"/usr/lib/python2.7/site-packages/nova/scheduler/client/__init__.py\", line 49, in select_destinations\n    context, request_spec, filter_properties)\n  File \"/usr/lib/python2.7/site-packages/nova/scheduler/client/__init__.py\", line 35, in __run_method\n    return getattr(self.instance, __name)(*args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/nova/scheduler/client/query.py\", line 34, in select_destinations\n    context, request_spec, filter_properties)\n  File \"/usr/lib/python2.7/site-packages/nova/scheduler/rpcapi.py\", line 108, in select_destinations\n    request_spec=request_spec, filter_properties=filter_properties)\n  File \"/usr/lib/python2.7/site-packages/oslo/messaging/rpc/client.py\", line 152, in call\n    retry=self.retry)\n  File \"/usr/lib/python2.7/site-packages/oslo/messaging/transport.py\", line 90, in _send\n    timeout=timeout, retry=retry)\n  File \"/usr/lib/python2.7/site-packages/oslo/messaging/_drivers/amqpdriver.py\", line 408, in send\n    retry=retry)\n  File \"/usr/lib/python2.7/site-packages/oslo/messaging/_drivers/amqpdriver.py\", line 399, in _send\n    raise result\n','junovm1.example.com',5),('2014-11-17 04:41:10',NULL,'2014-11-17 05:16:07',6,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9',500,'No valid host was found. ','  File \"/usr/lib/python2.7/site-packages/nova/conductor/manager.py\", line 614, in build_instances\n    request_spec, filter_properties)\n  File \"/usr/lib/python2.7/site-packages/nova/scheduler/client/__init__.py\", line 49, in select_destinations\n    context, request_spec, filter_properties)\n  File \"/usr/lib/python2.7/site-packages/nova/scheduler/client/__init__.py\", line 35, in __run_method\n    return getattr(self.instance, __name)(*args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/nova/scheduler/client/query.py\", line 34, in select_destinations\n    context, request_spec, filter_properties)\n  File \"/usr/lib/python2.7/site-packages/nova/scheduler/rpcapi.py\", line 108, in select_destinations\n    request_spec=request_spec, filter_properties=filter_properties)\n  File \"/usr/lib/python2.7/site-packages/oslo/messaging/rpc/client.py\", line 152, in call\n    retry=self.retry)\n  File \"/usr/lib/python2.7/site-packages/oslo/messaging/transport.py\", line 90, in _send\n    timeout=timeout, retry=retry)\n  File \"/usr/lib/python2.7/site-packages/oslo/messaging/_drivers/amqpdriver.py\", line 408, in send\n    retry=retry)\n  File \"/usr/lib/python2.7/site-packages/oslo/messaging/_drivers/amqpdriver.py\", line 399, in _send\n    raise result\n','junovm1.example.com',6);
/*!40000 ALTER TABLE `instance_faults` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_group_member`
--

DROP TABLE IF EXISTS `instance_group_member`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_group_member` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_id` varchar(255) DEFAULT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `group_id` (`group_id`),
  KEY `instance_group_member_instance_idx` (`instance_id`),
  CONSTRAINT `instance_group_member_ibfk_1` FOREIGN KEY (`group_id`) REFERENCES `instance_groups` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_group_member`
--

LOCK TABLES `instance_group_member` WRITE;
/*!40000 ALTER TABLE `instance_group_member` DISABLE KEYS */;
/*!40000 ALTER TABLE `instance_group_member` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_group_policy`
--

DROP TABLE IF EXISTS `instance_group_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_group_policy` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `policy` varchar(255) DEFAULT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `group_id` (`group_id`),
  KEY `instance_group_policy_policy_idx` (`policy`),
  CONSTRAINT `instance_group_policy_ibfk_1` FOREIGN KEY (`group_id`) REFERENCES `instance_groups` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_group_policy`
--

LOCK TABLES `instance_group_policy` WRITE;
/*!40000 ALTER TABLE `instance_group_policy` DISABLE KEYS */;
/*!40000 ALTER TABLE `instance_group_policy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_groups`
--

DROP TABLE IF EXISTS `instance_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_groups` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `uuid` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_instance_groups0uuid0deleted` (`uuid`,`deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_groups`
--

LOCK TABLES `instance_groups` WRITE;
/*!40000 ALTER TABLE `instance_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `instance_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_id_mappings`
--

DROP TABLE IF EXISTS `instance_id_mappings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_id_mappings` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(36) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_instance_id_mappings_uuid` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_id_mappings`
--

LOCK TABLES `instance_id_mappings` WRITE;
/*!40000 ALTER TABLE `instance_id_mappings` DISABLE KEYS */;
INSERT INTO `instance_id_mappings` VALUES ('2014-11-15 11:56:43',NULL,NULL,1,'689c4545-7075-48d8-9fb8-f0959ebf77e6',0),('2014-11-15 11:58:08',NULL,NULL,2,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba',0),('2014-11-17 04:39:18',NULL,NULL,3,'bf738a42-eba6-4e4d-8464-59af554e6c2e',0),('2014-11-17 04:40:44',NULL,NULL,4,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9',0),('2014-11-17 05:17:00',NULL,NULL,5,'59026f0d-8492-4460-b19b-f82db493c045',0),('2014-11-17 05:33:22',NULL,NULL,6,'f0698e80-a9ad-4bda-8ee6-9ac23192078a',0),('2014-11-17 05:59:15',NULL,NULL,7,'aae55470-784d-491f-8101-8f2b63753bed',0),('2014-11-17 07:01:43',NULL,NULL,8,'697d86a2-d20b-44e8-9948-1dc2d389a8bf',0),('2014-11-17 09:06:27',NULL,NULL,9,'999c60a9-df03-4060-bbfd-dd13dac85524',0),('2014-11-17 09:36:46',NULL,NULL,10,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c',0),('2014-11-17 10:23:40',NULL,NULL,11,'3de9ebee-bd05-42b9-a097-755495f162d9',0),('2014-11-17 11:13:30',NULL,NULL,12,'faa52f95-7253-4ad5-a21c-58379bdff349',0);
/*!40000 ALTER TABLE `instance_id_mappings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_info_caches`
--

DROP TABLE IF EXISTS `instance_info_caches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_info_caches` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `network_info` mediumtext,
  `instance_uuid` varchar(36) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_instance_info_caches0instance_uuid` (`instance_uuid`),
  CONSTRAINT `instance_info_caches_instance_uuid_fkey` FOREIGN KEY (`instance_uuid`) REFERENCES `instances` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_info_caches`
--

LOCK TABLES `instance_info_caches` WRITE;
/*!40000 ALTER TABLE `instance_info_caches` DISABLE KEYS */;
INSERT INTO `instance_info_caches` VALUES ('2014-11-15 11:56:43','2014-11-15 11:57:02','2014-11-15 11:57:32',1,'[]','689c4545-7075-48d8-9fb8-f0959ebf77e6',1),('2014-11-15 11:58:08','2014-11-15 11:58:09','2014-11-15 12:00:51',2,'[{\"profile\": {}, \"ovs_interfaceid\": null, \"network\": {\"bridge\": null, \"subnets\": [{\"ips\": [{\"meta\": {}, \"version\": 4, \"type\": \"fixed\", \"floating_ips\": [], \"address\": \"10.192.25.152\"}], \"version\": 4, \"meta\": {\"dhcp_server\": \"10.192.25.151\"}, \"dns\": [], \"routes\": [], \"cidr\": \"10.192.0.0/16\", \"gateway\": {\"meta\": {}, \"version\": 4, \"type\": \"gateway\", \"address\": \"10.192.0.1\"}}], \"meta\": {\"injected\": false, \"tenant_id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\"}, \"id\": \"3caca183-d786-4eb2-86b6-0ec960889245\", \"label\": \"bridged-flat\"}, \"devname\": \"tapb1e6eec9-b6\", \"vnic_type\": \"normal\", \"qbh_params\": null, \"meta\": {}, \"details\": {}, \"address\": \"fa:16:3e:09:56:89\", \"active\": false, \"type\": \"binding_failed\", \"id\": \"b1e6eec9-b6b0-4955-88e1-726034c78860\", \"qbg_params\": null}]','b4d7f6af-36ef-42f1-b804-fc92a9ad9dba',2),('2014-11-17 04:39:18','2014-11-17 04:39:19','2014-11-17 04:40:30',3,'[{\"profile\": {}, \"ovs_interfaceid\": null, \"network\": {\"bridge\": null, \"subnets\": [{\"ips\": [{\"meta\": {}, \"version\": 4, \"type\": \"fixed\", \"floating_ips\": [], \"address\": \"10.192.25.153\"}], \"version\": 4, \"meta\": {\"dhcp_server\": \"10.192.25.151\"}, \"dns\": [], \"routes\": [], \"cidr\": \"10.192.0.0/16\", \"gateway\": {\"meta\": {}, \"version\": 4, \"type\": \"gateway\", \"address\": \"10.192.0.1\"}}], \"meta\": {\"injected\": false, \"tenant_id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\"}, \"id\": \"3caca183-d786-4eb2-86b6-0ec960889245\", \"label\": \"bridged-flat\"}, \"devname\": \"tap4de6df2d-12\", \"vnic_type\": \"normal\", \"qbh_params\": null, \"meta\": {}, \"details\": {}, \"address\": \"fa:16:3e:c8:dc:5d\", \"active\": false, \"type\": \"binding_failed\", \"id\": \"4de6df2d-1261-4312-bbe4-17133fadcc3b\", \"qbg_params\": null}]','bf738a42-eba6-4e4d-8464-59af554e6c2e',3),('2014-11-17 04:40:44','2014-11-17 04:40:44','2014-11-17 05:16:07',4,'[{\"profile\": {}, \"ovs_interfaceid\": null, \"network\": {\"bridge\": null, \"subnets\": [{\"ips\": [{\"meta\": {}, \"version\": 4, \"type\": \"fixed\", \"floating_ips\": [], \"address\": \"10.192.25.154\"}], \"version\": 4, \"meta\": {\"dhcp_server\": \"10.192.25.151\"}, \"dns\": [], \"routes\": [], \"cidr\": \"10.192.0.0/16\", \"gateway\": {\"meta\": {}, \"version\": 4, \"type\": \"gateway\", \"address\": \"10.192.0.1\"}}], \"meta\": {\"injected\": false, \"tenant_id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\"}, \"id\": \"3caca183-d786-4eb2-86b6-0ec960889245\", \"label\": \"bridged-flat\"}, \"devname\": \"tapff069d66-90\", \"vnic_type\": \"normal\", \"qbh_params\": null, \"meta\": {}, \"details\": {}, \"address\": \"fa:16:3e:94:bf:d0\", \"active\": false, \"type\": \"binding_failed\", \"id\": \"ff069d66-903e-46bd-87ce-8f31cf42e4b3\", \"qbg_params\": null}]','e53ee189-f4c7-4f68-9c2b-7fba9c736bd9',4),('2014-11-17 05:17:00','2014-11-17 05:17:51','2014-11-17 05:28:53',5,'[{\"profile\": {}, \"ovs_interfaceid\": \"33837b2e-c129-4d11-a681-c1b1fee94732\", \"network\": {\"bridge\": \"br-int\", \"subnets\": [{\"ips\": [{\"meta\": {}, \"version\": 4, \"type\": \"fixed\", \"floating_ips\": [], \"address\": \"10.192.25.155\"}], \"version\": 4, \"meta\": {\"dhcp_server\": \"10.192.25.151\"}, \"dns\": [], \"routes\": [], \"cidr\": \"10.192.0.0/16\", \"gateway\": {\"meta\": {}, \"version\": 4, \"type\": \"gateway\", \"address\": \"10.192.0.1\"}}], \"meta\": {\"injected\": false, \"tenant_id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\"}, \"id\": \"3caca183-d786-4eb2-86b6-0ec960889245\", \"label\": \"bridged-flat\"}, \"devname\": \"tap33837b2e-c1\", \"vnic_type\": \"normal\", \"qbh_params\": null, \"meta\": {}, \"details\": {\"port_filter\": true, \"ovs_hybrid_plug\": true}, \"address\": \"fa:16:3e:21:5c:63\", \"active\": true, \"type\": \"ovs\", \"id\": \"33837b2e-c129-4d11-a681-c1b1fee94732\", \"qbg_params\": null}]','59026f0d-8492-4460-b19b-f82db493c045',5),('2014-11-17 05:33:22','2014-11-17 05:37:09','2014-11-17 05:42:53',6,'[{\"profile\": {}, \"ovs_interfaceid\": \"e70fcbfe-d73d-4d13-9f8f-8cff9027ff88\", \"network\": {\"bridge\": \"br-int\", \"subnets\": [{\"ips\": [{\"meta\": {}, \"version\": 4, \"type\": \"fixed\", \"floating_ips\": [], \"address\": \"10.192.25.156\"}], \"version\": 4, \"meta\": {\"dhcp_server\": \"10.192.25.157\"}, \"dns\": [], \"routes\": [], \"cidr\": \"10.192.0.0/16\", \"gateway\": {\"meta\": {}, \"version\": 4, \"type\": \"gateway\", \"address\": \"10.192.0.1\"}}], \"meta\": {\"injected\": false, \"tenant_id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\"}, \"id\": \"3caca183-d786-4eb2-86b6-0ec960889245\", \"label\": \"bridged-flat\"}, \"devname\": \"tape70fcbfe-d7\", \"vnic_type\": \"normal\", \"qbh_params\": null, \"meta\": {}, \"details\": {\"port_filter\": true, \"ovs_hybrid_plug\": true}, \"address\": \"fa:16:3e:88:fb:6c\", \"active\": true, \"type\": \"ovs\", \"id\": \"e70fcbfe-d73d-4d13-9f8f-8cff9027ff88\", \"qbg_params\": null}]','f0698e80-a9ad-4bda-8ee6-9ac23192078a',6),('2014-11-17 05:59:15','2014-11-17 06:00:14','2014-11-17 06:57:01',7,'[{\"profile\": {}, \"ovs_interfaceid\": \"960eb8eb-ea10-4974-b4bc-7172f1544dc5\", \"network\": {\"bridge\": \"br-int\", \"subnets\": [{\"ips\": [{\"meta\": {}, \"version\": 4, \"type\": \"fixed\", \"floating_ips\": [], \"address\": \"10.192.25.159\"}], \"version\": 4, \"meta\": {\"dhcp_server\": \"10.192.25.158\"}, \"dns\": [], \"routes\": [], \"cidr\": \"10.192.0.0/16\", \"gateway\": {\"meta\": {}, \"version\": 4, \"type\": \"gateway\", \"address\": \"10.192.0.1\"}}], \"meta\": {\"injected\": false, \"tenant_id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\"}, \"id\": \"3caca183-d786-4eb2-86b6-0ec960889245\", \"label\": \"bridged-flat\"}, \"devname\": \"tap960eb8eb-ea\", \"vnic_type\": \"normal\", \"qbh_params\": null, \"meta\": {}, \"details\": {\"port_filter\": true, \"ovs_hybrid_plug\": true}, \"address\": \"fa:16:3e:ca:b8:21\", \"active\": true, \"type\": \"ovs\", \"id\": \"960eb8eb-ea10-4974-b4bc-7172f1544dc5\", \"qbg_params\": null}]','aae55470-784d-491f-8101-8f2b63753bed',7),('2014-11-17 07:01:43','2014-11-17 07:02:30','2014-11-17 09:01:37',8,'[{\"profile\": {}, \"ovs_interfaceid\": \"6c800bd1-f5a3-46c2-9dfe-a2457fe531de\", \"network\": {\"bridge\": \"br-int\", \"subnets\": [{\"ips\": [{\"meta\": {}, \"version\": 4, \"type\": \"fixed\", \"floating_ips\": [], \"address\": \"10.192.25.161\"}], \"version\": 4, \"meta\": {\"dhcp_server\": \"10.192.25.160\"}, \"dns\": [], \"routes\": [], \"cidr\": \"10.192.0.0/16\", \"gateway\": {\"meta\": {}, \"version\": 4, \"type\": \"gateway\", \"address\": \"10.192.0.1\"}}], \"meta\": {\"injected\": false, \"tenant_id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\"}, \"id\": \"3caca183-d786-4eb2-86b6-0ec960889245\", \"label\": \"bridged-flat\"}, \"devname\": \"tap6c800bd1-f5\", \"vnic_type\": \"normal\", \"qbh_params\": null, \"meta\": {}, \"details\": {\"port_filter\": true, \"ovs_hybrid_plug\": true}, \"address\": \"fa:16:3e:b8:90:24\", \"active\": true, \"type\": \"ovs\", \"id\": \"6c800bd1-f5a3-46c2-9dfe-a2457fe531de\", \"qbg_params\": null}]','697d86a2-d20b-44e8-9948-1dc2d389a8bf',8),('2014-11-17 09:06:27','2014-11-17 09:19:13','2014-11-17 09:36:30',9,'[]','999c60a9-df03-4060-bbfd-dd13dac85524',9),('2014-11-17 09:36:46','2014-11-17 10:22:30','2014-11-17 10:22:51',10,'[]','733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c',10),('2014-11-17 10:23:40','2014-11-17 10:24:26','2014-11-17 10:50:26',11,'[{\"profile\": {}, \"ovs_interfaceid\": \"7c5ab97c-45d5-4b06-a528-112d6bece5f0\", \"network\": {\"bridge\": \"br-int\", \"subnets\": [{\"ips\": [{\"meta\": {}, \"version\": 4, \"type\": \"fixed\", \"floating_ips\": [], \"address\": \"10.192.25.169\"}], \"version\": 4, \"meta\": {\"dhcp_server\": \"10.192.25.170\"}, \"dns\": [], \"routes\": [], \"cidr\": \"10.192.0.0/16\", \"gateway\": {\"meta\": {}, \"version\": 4, \"type\": \"gateway\", \"address\": \"10.192.0.1\"}}], \"meta\": {\"injected\": false, \"tenant_id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\"}, \"id\": \"3caca183-d786-4eb2-86b6-0ec960889245\", \"label\": \"bridged-flat\"}, \"devname\": \"tap7c5ab97c-45\", \"vnic_type\": \"normal\", \"qbh_params\": null, \"meta\": {}, \"details\": {\"port_filter\": true, \"ovs_hybrid_plug\": true}, \"address\": \"fa:16:3e:cd:28:b7\", \"active\": true, \"type\": \"ovs\", \"id\": \"7c5ab97c-45d5-4b06-a528-112d6bece5f0\", \"qbg_params\": null}]','3de9ebee-bd05-42b9-a097-755495f162d9',11),('2014-11-17 11:13:30','2014-11-17 11:14:28',NULL,12,'[{\"profile\": {}, \"ovs_interfaceid\": \"0662c702-eef6-43b8-b886-ecf4f9be7179\", \"network\": {\"bridge\": \"br-int\", \"subnets\": [{\"ips\": [{\"meta\": {}, \"version\": 4, \"type\": \"fixed\", \"floating_ips\": [], \"address\": \"10.192.25.150\"}], \"version\": 4, \"meta\": {\"dhcp_server\": \"10.192.25.151\"}, \"dns\": [], \"routes\": [], \"cidr\": \"10.192.0.0/16\", \"gateway\": {\"meta\": {}, \"version\": 4, \"type\": \"gateway\", \"address\": \"10.192.0.1\"}}], \"meta\": {\"injected\": false, \"tenant_id\": \"0cef1f5f1fb94e42aa5581e1fbf926e7\"}, \"id\": \"a4ba619b-b7b4-4a62-9fd6-ffda2ecc751f\", \"label\": \"flat-network1\"}, \"devname\": \"tap0662c702-ee\", \"vnic_type\": \"normal\", \"qbh_params\": null, \"meta\": {}, \"details\": {\"port_filter\": true, \"ovs_hybrid_plug\": true}, \"address\": \"fa:16:3e:34:75:ec\", \"active\": true, \"type\": \"ovs\", \"id\": \"0662c702-eef6-43b8-b886-ecf4f9be7179\", \"qbg_params\": null}]','faa52f95-7253-4ad5-a21c-58379bdff349',0);
/*!40000 ALTER TABLE `instance_info_caches` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_metadata`
--

DROP TABLE IF EXISTS `instance_metadata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_metadata` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` varchar(255) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `instance_metadata_instance_uuid_idx` (`instance_uuid`),
  CONSTRAINT `instance_metadata_instance_uuid_fkey` FOREIGN KEY (`instance_uuid`) REFERENCES `instances` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_metadata`
--

LOCK TABLES `instance_metadata` WRITE;
/*!40000 ALTER TABLE `instance_metadata` DISABLE KEYS */;
/*!40000 ALTER TABLE `instance_metadata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_system_metadata`
--

DROP TABLE IF EXISTS `instance_system_metadata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_system_metadata` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_uuid` varchar(36) NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `instance_uuid` (`instance_uuid`),
  CONSTRAINT `instance_system_metadata_ibfk_1` FOREIGN KEY (`instance_uuid`) REFERENCES `instances` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=208 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_system_metadata`
--

LOCK TABLES `instance_system_metadata` WRITE;
/*!40000 ALTER TABLE `instance_system_metadata` DISABLE KEYS */;
INSERT INTO `instance_system_metadata` VALUES ('2014-11-15 11:56:43',NULL,NULL,1,'689c4545-7075-48d8-9fb8-f0959ebf77e6','image_min_disk','20',0),('2014-11-15 11:56:43',NULL,NULL,2,'689c4545-7075-48d8-9fb8-f0959ebf77e6','instance_type_memory_mb','2048',0),('2014-11-15 11:56:43',NULL,NULL,3,'689c4545-7075-48d8-9fb8-f0959ebf77e6','instance_type_swap','0',0),('2014-11-15 11:56:43',NULL,NULL,4,'689c4545-7075-48d8-9fb8-f0959ebf77e6','instance_type_vcpu_weight',NULL,0),('2014-11-15 11:56:43',NULL,NULL,5,'689c4545-7075-48d8-9fb8-f0959ebf77e6','instance_type_root_gb','20',0),('2014-11-15 11:56:43',NULL,NULL,6,'689c4545-7075-48d8-9fb8-f0959ebf77e6','instance_type_id','5',0),('2014-11-15 11:56:43',NULL,NULL,7,'689c4545-7075-48d8-9fb8-f0959ebf77e6','instance_type_name','m1.small',0),('2014-11-15 11:56:43',NULL,NULL,8,'689c4545-7075-48d8-9fb8-f0959ebf77e6','instance_type_ephemeral_gb','0',0),('2014-11-15 11:56:43',NULL,NULL,9,'689c4545-7075-48d8-9fb8-f0959ebf77e6','instance_type_rxtx_factor','1.0',0),('2014-11-15 11:56:43',NULL,NULL,10,'689c4545-7075-48d8-9fb8-f0959ebf77e6','instance_type_flavorid','2',0),('2014-11-15 11:56:43',NULL,NULL,11,'689c4545-7075-48d8-9fb8-f0959ebf77e6','image_container_format','bare',0),('2014-11-15 11:56:43',NULL,NULL,12,'689c4545-7075-48d8-9fb8-f0959ebf77e6','instance_type_vcpus','1',0),('2014-11-15 11:56:43',NULL,NULL,13,'689c4545-7075-48d8-9fb8-f0959ebf77e6','image_min_ram','0',0),('2014-11-15 11:56:43',NULL,NULL,14,'689c4545-7075-48d8-9fb8-f0959ebf77e6','image_disk_format','qcow2',0),('2014-11-15 11:56:43',NULL,NULL,15,'689c4545-7075-48d8-9fb8-f0959ebf77e6','image_base_image_ref','04f162b2-973b-40fd-be0f-8c8d6b79d163',0),('2014-11-15 11:56:44','2014-11-15 11:57:02',NULL,16,'689c4545-7075-48d8-9fb8-f0959ebf77e6','network_allocated','False',0),('2014-11-15 11:57:02','2014-11-15 11:57:02','2014-11-15 11:57:02',17,'689c4545-7075-48d8-9fb8-f0959ebf77e6','clean_attempts','1',17),('2014-11-15 11:57:32',NULL,NULL,18,'689c4545-7075-48d8-9fb8-f0959ebf77e6','clean_attempts','1',0),('2014-11-15 11:58:08',NULL,NULL,19,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','image_min_disk','40',0),('2014-11-15 11:58:08',NULL,NULL,20,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','instance_type_memory_mb','4096',0),('2014-11-15 11:58:08',NULL,NULL,21,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','instance_type_swap','0',0),('2014-11-15 11:58:08',NULL,NULL,22,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','instance_type_vcpu_weight',NULL,0),('2014-11-15 11:58:08',NULL,NULL,23,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','instance_type_root_gb','40',0),('2014-11-15 11:58:08',NULL,NULL,24,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','instance_type_id','1',0),('2014-11-15 11:58:08',NULL,NULL,25,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','instance_type_name','m1.medium',0),('2014-11-15 11:58:08',NULL,NULL,26,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','instance_type_ephemeral_gb','0',0),('2014-11-15 11:58:08',NULL,NULL,27,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','instance_type_rxtx_factor','1.0',0),('2014-11-15 11:58:08',NULL,NULL,28,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','instance_type_flavorid','3',0),('2014-11-15 11:58:08',NULL,NULL,29,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','image_container_format','bare',0),('2014-11-15 11:58:08',NULL,NULL,30,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','instance_type_vcpus','2',0),('2014-11-15 11:58:08',NULL,NULL,31,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','image_min_ram','0',0),('2014-11-15 11:58:08',NULL,NULL,32,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','image_disk_format','qcow2',0),('2014-11-15 11:58:08',NULL,NULL,33,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','image_base_image_ref','04f162b2-973b-40fd-be0f-8c8d6b79d163',0),('2014-11-15 11:58:09',NULL,NULL,34,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','network_allocated','True',0),('2014-11-15 11:58:49','2014-11-15 11:58:49','2014-11-15 11:58:49',35,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','clean_attempts','1',35),('2014-11-15 12:00:51',NULL,NULL,36,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba','clean_attempts','1',0),('2014-11-17 04:39:18',NULL,NULL,37,'bf738a42-eba6-4e4d-8464-59af554e6c2e','image_min_disk','40',0),('2014-11-17 04:39:18',NULL,NULL,38,'bf738a42-eba6-4e4d-8464-59af554e6c2e','instance_type_memory_mb','4096',0),('2014-11-17 04:39:18',NULL,NULL,39,'bf738a42-eba6-4e4d-8464-59af554e6c2e','instance_type_swap','0',0),('2014-11-17 04:39:18',NULL,NULL,40,'bf738a42-eba6-4e4d-8464-59af554e6c2e','instance_type_vcpu_weight',NULL,0),('2014-11-17 04:39:18',NULL,NULL,41,'bf738a42-eba6-4e4d-8464-59af554e6c2e','instance_type_root_gb','40',0),('2014-11-17 04:39:18',NULL,NULL,42,'bf738a42-eba6-4e4d-8464-59af554e6c2e','instance_type_id','1',0),('2014-11-17 04:39:18',NULL,NULL,43,'bf738a42-eba6-4e4d-8464-59af554e6c2e','instance_type_name','m1.medium',0),('2014-11-17 04:39:18',NULL,NULL,44,'bf738a42-eba6-4e4d-8464-59af554e6c2e','instance_type_ephemeral_gb','0',0),('2014-11-17 04:39:18',NULL,NULL,45,'bf738a42-eba6-4e4d-8464-59af554e6c2e','instance_type_rxtx_factor','1.0',0),('2014-11-17 04:39:18',NULL,NULL,46,'bf738a42-eba6-4e4d-8464-59af554e6c2e','instance_type_flavorid','3',0),('2014-11-17 04:39:18',NULL,NULL,47,'bf738a42-eba6-4e4d-8464-59af554e6c2e','image_container_format','bare',0),('2014-11-17 04:39:18',NULL,NULL,48,'bf738a42-eba6-4e4d-8464-59af554e6c2e','instance_type_vcpus','2',0),('2014-11-17 04:39:18',NULL,NULL,49,'bf738a42-eba6-4e4d-8464-59af554e6c2e','image_min_ram','0',0),('2014-11-17 04:39:18',NULL,NULL,50,'bf738a42-eba6-4e4d-8464-59af554e6c2e','image_disk_format','qcow2',0),('2014-11-17 04:39:18',NULL,NULL,51,'bf738a42-eba6-4e4d-8464-59af554e6c2e','image_base_image_ref','04f162b2-973b-40fd-be0f-8c8d6b79d163',0),('2014-11-17 04:39:19',NULL,NULL,52,'bf738a42-eba6-4e4d-8464-59af554e6c2e','network_allocated','True',0),('2014-11-17 04:39:19','2014-11-17 04:39:19','2014-11-17 04:39:19',53,'bf738a42-eba6-4e4d-8464-59af554e6c2e','clean_attempts','1',53),('2014-11-17 04:40:30',NULL,NULL,54,'bf738a42-eba6-4e4d-8464-59af554e6c2e','clean_attempts','1',0),('2014-11-17 04:40:44',NULL,NULL,55,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','image_min_disk','40',0),('2014-11-17 04:40:44',NULL,NULL,56,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','instance_type_memory_mb','4096',0),('2014-11-17 04:40:44',NULL,NULL,57,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','instance_type_swap','0',0),('2014-11-17 04:40:44',NULL,NULL,58,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','instance_type_vcpu_weight',NULL,0),('2014-11-17 04:40:44',NULL,NULL,59,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','instance_type_root_gb','40',0),('2014-11-17 04:40:44',NULL,NULL,60,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','instance_type_id','1',0),('2014-11-17 04:40:44',NULL,NULL,61,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','instance_type_name','m1.medium',0),('2014-11-17 04:40:44',NULL,NULL,62,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','instance_type_ephemeral_gb','0',0),('2014-11-17 04:40:44',NULL,NULL,63,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','instance_type_rxtx_factor','1.0',0),('2014-11-17 04:40:44',NULL,NULL,64,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','instance_type_flavorid','3',0),('2014-11-17 04:40:44',NULL,NULL,65,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','image_container_format','bare',0),('2014-11-17 04:40:44',NULL,NULL,66,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','instance_type_vcpus','2',0),('2014-11-17 04:40:44',NULL,NULL,67,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','image_min_ram','0',0),('2014-11-17 04:40:44',NULL,NULL,68,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','image_disk_format','qcow2',0),('2014-11-17 04:40:44',NULL,NULL,69,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','image_base_image_ref','04f162b2-973b-40fd-be0f-8c8d6b79d163',0),('2014-11-17 04:40:44',NULL,NULL,70,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','network_allocated','True',0),('2014-11-17 04:41:10','2014-11-17 04:41:10','2014-11-17 04:41:10',71,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','clean_attempts','1',71),('2014-11-17 05:16:07',NULL,NULL,72,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9','clean_attempts','1',0),('2014-11-17 05:17:00',NULL,NULL,73,'59026f0d-8492-4460-b19b-f82db493c045','image_min_disk','40',0),('2014-11-17 05:17:00',NULL,NULL,74,'59026f0d-8492-4460-b19b-f82db493c045','instance_type_memory_mb','4096',0),('2014-11-17 05:17:00',NULL,NULL,75,'59026f0d-8492-4460-b19b-f82db493c045','instance_type_swap','0',0),('2014-11-17 05:17:00',NULL,NULL,76,'59026f0d-8492-4460-b19b-f82db493c045','instance_type_vcpu_weight',NULL,0),('2014-11-17 05:17:00',NULL,NULL,77,'59026f0d-8492-4460-b19b-f82db493c045','instance_type_root_gb','40',0),('2014-11-17 05:17:00',NULL,NULL,78,'59026f0d-8492-4460-b19b-f82db493c045','instance_type_id','1',0),('2014-11-17 05:17:00',NULL,NULL,79,'59026f0d-8492-4460-b19b-f82db493c045','instance_type_name','m1.medium',0),('2014-11-17 05:17:00',NULL,NULL,80,'59026f0d-8492-4460-b19b-f82db493c045','instance_type_ephemeral_gb','0',0),('2014-11-17 05:17:00',NULL,NULL,81,'59026f0d-8492-4460-b19b-f82db493c045','instance_type_rxtx_factor','1.0',0),('2014-11-17 05:17:00',NULL,NULL,82,'59026f0d-8492-4460-b19b-f82db493c045','instance_type_flavorid','3',0),('2014-11-17 05:17:00',NULL,NULL,83,'59026f0d-8492-4460-b19b-f82db493c045','image_container_format','bare',0),('2014-11-17 05:17:00',NULL,NULL,84,'59026f0d-8492-4460-b19b-f82db493c045','instance_type_vcpus','2',0),('2014-11-17 05:17:00',NULL,NULL,85,'59026f0d-8492-4460-b19b-f82db493c045','image_min_ram','0',0),('2014-11-17 05:17:00',NULL,NULL,86,'59026f0d-8492-4460-b19b-f82db493c045','image_disk_format','qcow2',0),('2014-11-17 05:17:00',NULL,NULL,87,'59026f0d-8492-4460-b19b-f82db493c045','image_base_image_ref','04f162b2-973b-40fd-be0f-8c8d6b79d163',0),('2014-11-17 05:17:01',NULL,NULL,88,'59026f0d-8492-4460-b19b-f82db493c045','network_allocated','True',0),('2014-11-17 05:28:54',NULL,NULL,89,'59026f0d-8492-4460-b19b-f82db493c045','clean_attempts','1',0),('2014-11-17 05:33:22',NULL,NULL,90,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','image_min_disk','40',0),('2014-11-17 05:33:22',NULL,NULL,91,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','instance_type_memory_mb','4096',0),('2014-11-17 05:33:22',NULL,NULL,92,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','instance_type_swap','0',0),('2014-11-17 05:33:22',NULL,NULL,93,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','instance_type_vcpu_weight',NULL,0),('2014-11-17 05:33:22',NULL,NULL,94,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','instance_type_root_gb','40',0),('2014-11-17 05:33:22',NULL,NULL,95,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','instance_type_id','1',0),('2014-11-17 05:33:22',NULL,NULL,96,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','instance_type_name','m1.medium',0),('2014-11-17 05:33:22',NULL,NULL,97,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','instance_type_ephemeral_gb','0',0),('2014-11-17 05:33:22',NULL,NULL,98,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','instance_type_rxtx_factor','1.0',0),('2014-11-17 05:33:22',NULL,NULL,99,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','instance_type_flavorid','3',0),('2014-11-17 05:33:22',NULL,NULL,100,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','image_container_format','bare',0),('2014-11-17 05:33:22',NULL,NULL,101,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','instance_type_vcpus','2',0),('2014-11-17 05:33:22',NULL,NULL,102,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','image_min_ram','0',0),('2014-11-17 05:33:22',NULL,NULL,103,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','image_disk_format','qcow2',0),('2014-11-17 05:33:22',NULL,NULL,104,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','image_base_image_ref','04f162b2-973b-40fd-be0f-8c8d6b79d163',0),('2014-11-17 05:33:22',NULL,NULL,105,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','network_allocated','True',0),('2014-11-17 05:42:53',NULL,NULL,106,'f0698e80-a9ad-4bda-8ee6-9ac23192078a','clean_attempts','1',0),('2014-11-17 05:59:15',NULL,NULL,107,'aae55470-784d-491f-8101-8f2b63753bed','image_min_disk','40',0),('2014-11-17 05:59:15',NULL,NULL,108,'aae55470-784d-491f-8101-8f2b63753bed','instance_type_memory_mb','4096',0),('2014-11-17 05:59:15',NULL,NULL,109,'aae55470-784d-491f-8101-8f2b63753bed','instance_type_swap','0',0),('2014-11-17 05:59:15',NULL,NULL,110,'aae55470-784d-491f-8101-8f2b63753bed','instance_type_vcpu_weight',NULL,0),('2014-11-17 05:59:15',NULL,NULL,111,'aae55470-784d-491f-8101-8f2b63753bed','instance_type_root_gb','40',0),('2014-11-17 05:59:15',NULL,NULL,112,'aae55470-784d-491f-8101-8f2b63753bed','instance_type_id','1',0),('2014-11-17 05:59:15',NULL,NULL,113,'aae55470-784d-491f-8101-8f2b63753bed','instance_type_name','m1.medium',0),('2014-11-17 05:59:15',NULL,NULL,114,'aae55470-784d-491f-8101-8f2b63753bed','instance_type_ephemeral_gb','0',0),('2014-11-17 05:59:15',NULL,NULL,115,'aae55470-784d-491f-8101-8f2b63753bed','instance_type_rxtx_factor','1.0',0),('2014-11-17 05:59:15',NULL,NULL,116,'aae55470-784d-491f-8101-8f2b63753bed','instance_type_flavorid','3',0),('2014-11-17 05:59:15',NULL,NULL,117,'aae55470-784d-491f-8101-8f2b63753bed','image_container_format','bare',0),('2014-11-17 05:59:15',NULL,NULL,118,'aae55470-784d-491f-8101-8f2b63753bed','instance_type_vcpus','2',0),('2014-11-17 05:59:15',NULL,NULL,119,'aae55470-784d-491f-8101-8f2b63753bed','image_min_ram','0',0),('2014-11-17 05:59:15',NULL,NULL,120,'aae55470-784d-491f-8101-8f2b63753bed','image_disk_format','qcow2',0),('2014-11-17 05:59:15',NULL,NULL,121,'aae55470-784d-491f-8101-8f2b63753bed','image_base_image_ref','04f162b2-973b-40fd-be0f-8c8d6b79d163',0),('2014-11-17 05:59:18',NULL,NULL,122,'aae55470-784d-491f-8101-8f2b63753bed','network_allocated','True',0),('2014-11-17 06:57:02',NULL,NULL,123,'aae55470-784d-491f-8101-8f2b63753bed','clean_attempts','1',0),('2014-11-17 07:01:43',NULL,NULL,124,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','image_min_disk','40',0),('2014-11-17 07:01:43',NULL,NULL,125,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','instance_type_memory_mb','4096',0),('2014-11-17 07:01:43',NULL,NULL,126,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','instance_type_swap','0',0),('2014-11-17 07:01:43',NULL,NULL,127,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','instance_type_vcpu_weight',NULL,0),('2014-11-17 07:01:43',NULL,NULL,128,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','instance_type_root_gb','40',0),('2014-11-17 07:01:43',NULL,NULL,129,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','instance_type_id','1',0),('2014-11-17 07:01:43',NULL,NULL,130,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','instance_type_name','m1.medium',0),('2014-11-17 07:01:43',NULL,NULL,131,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','instance_type_ephemeral_gb','0',0),('2014-11-17 07:01:43',NULL,NULL,132,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','instance_type_rxtx_factor','1.0',0),('2014-11-17 07:01:43',NULL,NULL,133,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','instance_type_flavorid','3',0),('2014-11-17 07:01:43',NULL,NULL,134,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','image_container_format','bare',0),('2014-11-17 07:01:43',NULL,NULL,135,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','instance_type_vcpus','2',0),('2014-11-17 07:01:43',NULL,NULL,136,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','image_min_ram','0',0),('2014-11-17 07:01:43',NULL,NULL,137,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','image_disk_format','qcow2',0),('2014-11-17 07:01:43',NULL,NULL,138,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','image_base_image_ref','04f162b2-973b-40fd-be0f-8c8d6b79d163',0),('2014-11-17 07:01:46',NULL,NULL,139,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','network_allocated','True',0),('2014-11-17 09:01:37',NULL,NULL,140,'697d86a2-d20b-44e8-9948-1dc2d389a8bf','clean_attempts','1',0),('2014-11-17 09:06:27',NULL,NULL,141,'999c60a9-df03-4060-bbfd-dd13dac85524','image_min_disk','40',0),('2014-11-17 09:06:27',NULL,NULL,142,'999c60a9-df03-4060-bbfd-dd13dac85524','instance_type_memory_mb','4096',0),('2014-11-17 09:06:27',NULL,NULL,143,'999c60a9-df03-4060-bbfd-dd13dac85524','instance_type_swap','0',0),('2014-11-17 09:06:27',NULL,NULL,144,'999c60a9-df03-4060-bbfd-dd13dac85524','instance_type_vcpu_weight',NULL,0),('2014-11-17 09:06:27',NULL,NULL,145,'999c60a9-df03-4060-bbfd-dd13dac85524','instance_type_root_gb','40',0),('2014-11-17 09:06:27',NULL,NULL,146,'999c60a9-df03-4060-bbfd-dd13dac85524','instance_type_id','1',0),('2014-11-17 09:06:27',NULL,NULL,147,'999c60a9-df03-4060-bbfd-dd13dac85524','instance_type_name','m1.medium',0),('2014-11-17 09:06:27',NULL,NULL,148,'999c60a9-df03-4060-bbfd-dd13dac85524','instance_type_ephemeral_gb','0',0),('2014-11-17 09:06:27',NULL,NULL,149,'999c60a9-df03-4060-bbfd-dd13dac85524','instance_type_rxtx_factor','1.0',0),('2014-11-17 09:06:27',NULL,NULL,150,'999c60a9-df03-4060-bbfd-dd13dac85524','instance_type_flavorid','3',0),('2014-11-17 09:06:27',NULL,NULL,151,'999c60a9-df03-4060-bbfd-dd13dac85524','image_container_format','bare',0),('2014-11-17 09:06:27',NULL,NULL,152,'999c60a9-df03-4060-bbfd-dd13dac85524','instance_type_vcpus','2',0),('2014-11-17 09:06:27',NULL,NULL,153,'999c60a9-df03-4060-bbfd-dd13dac85524','image_min_ram','0',0),('2014-11-17 09:06:27',NULL,NULL,154,'999c60a9-df03-4060-bbfd-dd13dac85524','image_disk_format','qcow2',0),('2014-11-17 09:06:27',NULL,NULL,155,'999c60a9-df03-4060-bbfd-dd13dac85524','image_base_image_ref','04f162b2-973b-40fd-be0f-8c8d6b79d163',0),('2014-11-17 09:06:31',NULL,NULL,156,'999c60a9-df03-4060-bbfd-dd13dac85524','network_allocated','True',0),('2014-11-17 09:36:30',NULL,NULL,157,'999c60a9-df03-4060-bbfd-dd13dac85524','clean_attempts','1',0),('2014-11-17 09:36:46',NULL,NULL,158,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','image_min_disk','40',0),('2014-11-17 09:36:46',NULL,NULL,159,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','instance_type_memory_mb','4096',0),('2014-11-17 09:36:46',NULL,NULL,160,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','instance_type_swap','0',0),('2014-11-17 09:36:46',NULL,NULL,161,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','instance_type_vcpu_weight',NULL,0),('2014-11-17 09:36:46',NULL,NULL,162,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','instance_type_root_gb','40',0),('2014-11-17 09:36:46',NULL,NULL,163,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','instance_type_id','1',0),('2014-11-17 09:36:46',NULL,NULL,164,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','instance_type_name','m1.medium',0),('2014-11-17 09:36:46',NULL,NULL,165,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','instance_type_ephemeral_gb','0',0),('2014-11-17 09:36:46',NULL,NULL,166,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','instance_type_rxtx_factor','1.0',0),('2014-11-17 09:36:46',NULL,NULL,167,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','instance_type_flavorid','3',0),('2014-11-17 09:36:46',NULL,NULL,168,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','image_container_format','bare',0),('2014-11-17 09:36:46',NULL,NULL,169,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','instance_type_vcpus','2',0),('2014-11-17 09:36:46',NULL,NULL,170,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','image_min_ram','0',0),('2014-11-17 09:36:46',NULL,NULL,171,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','image_disk_format','qcow2',0),('2014-11-17 09:36:46',NULL,NULL,172,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','image_base_image_ref','04f162b2-973b-40fd-be0f-8c8d6b79d163',0),('2014-11-17 09:36:46',NULL,NULL,173,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','network_allocated','True',0),('2014-11-17 10:22:51',NULL,NULL,174,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c','clean_attempts','1',0),('2014-11-17 10:23:40',NULL,NULL,175,'3de9ebee-bd05-42b9-a097-755495f162d9','image_min_disk','40',0),('2014-11-17 10:23:40',NULL,NULL,176,'3de9ebee-bd05-42b9-a097-755495f162d9','instance_type_memory_mb','4096',0),('2014-11-17 10:23:40',NULL,NULL,177,'3de9ebee-bd05-42b9-a097-755495f162d9','instance_type_swap','0',0),('2014-11-17 10:23:40',NULL,NULL,178,'3de9ebee-bd05-42b9-a097-755495f162d9','instance_type_vcpu_weight',NULL,0),('2014-11-17 10:23:40',NULL,NULL,179,'3de9ebee-bd05-42b9-a097-755495f162d9','instance_type_root_gb','40',0),('2014-11-17 10:23:40',NULL,NULL,180,'3de9ebee-bd05-42b9-a097-755495f162d9','instance_type_id','1',0),('2014-11-17 10:23:40',NULL,NULL,181,'3de9ebee-bd05-42b9-a097-755495f162d9','instance_type_name','m1.medium',0),('2014-11-17 10:23:40',NULL,NULL,182,'3de9ebee-bd05-42b9-a097-755495f162d9','instance_type_ephemeral_gb','0',0),('2014-11-17 10:23:40',NULL,NULL,183,'3de9ebee-bd05-42b9-a097-755495f162d9','instance_type_rxtx_factor','1.0',0),('2014-11-17 10:23:40',NULL,NULL,184,'3de9ebee-bd05-42b9-a097-755495f162d9','instance_type_flavorid','3',0),('2014-11-17 10:23:40',NULL,NULL,185,'3de9ebee-bd05-42b9-a097-755495f162d9','image_container_format','bare',0),('2014-11-17 10:23:40',NULL,NULL,186,'3de9ebee-bd05-42b9-a097-755495f162d9','instance_type_vcpus','2',0),('2014-11-17 10:23:40',NULL,NULL,187,'3de9ebee-bd05-42b9-a097-755495f162d9','image_min_ram','0',0),('2014-11-17 10:23:40',NULL,NULL,188,'3de9ebee-bd05-42b9-a097-755495f162d9','image_disk_format','qcow2',0),('2014-11-17 10:23:40',NULL,NULL,189,'3de9ebee-bd05-42b9-a097-755495f162d9','image_base_image_ref','04f162b2-973b-40fd-be0f-8c8d6b79d163',0),('2014-11-17 10:23:41',NULL,NULL,190,'3de9ebee-bd05-42b9-a097-755495f162d9','network_allocated','True',0),('2014-11-17 11:09:39','2014-11-17 11:40:25',NULL,191,'3de9ebee-bd05-42b9-a097-755495f162d9','clean_attempts','2',0),('2014-11-17 11:13:30',NULL,NULL,192,'faa52f95-7253-4ad5-a21c-58379bdff349','image_min_disk','20',0),('2014-11-17 11:13:30',NULL,NULL,193,'faa52f95-7253-4ad5-a21c-58379bdff349','instance_type_memory_mb','2048',0),('2014-11-17 11:13:30',NULL,NULL,194,'faa52f95-7253-4ad5-a21c-58379bdff349','instance_type_swap','0',0),('2014-11-17 11:13:30',NULL,NULL,195,'faa52f95-7253-4ad5-a21c-58379bdff349','instance_type_vcpu_weight',NULL,0),('2014-11-17 11:13:30',NULL,NULL,196,'faa52f95-7253-4ad5-a21c-58379bdff349','instance_type_root_gb','20',0),('2014-11-17 11:13:30',NULL,NULL,197,'faa52f95-7253-4ad5-a21c-58379bdff349','instance_type_id','5',0),('2014-11-17 11:13:30',NULL,NULL,198,'faa52f95-7253-4ad5-a21c-58379bdff349','instance_type_name','m1.small',0),('2014-11-17 11:13:30',NULL,NULL,199,'faa52f95-7253-4ad5-a21c-58379bdff349','instance_type_ephemeral_gb','0',0),('2014-11-17 11:13:30',NULL,NULL,200,'faa52f95-7253-4ad5-a21c-58379bdff349','instance_type_rxtx_factor','1.0',0),('2014-11-17 11:13:30',NULL,NULL,201,'faa52f95-7253-4ad5-a21c-58379bdff349','instance_type_flavorid','2',0),('2014-11-17 11:13:30',NULL,NULL,202,'faa52f95-7253-4ad5-a21c-58379bdff349','image_container_format','bare',0),('2014-11-17 11:13:30',NULL,NULL,203,'faa52f95-7253-4ad5-a21c-58379bdff349','instance_type_vcpus','1',0),('2014-11-17 11:13:30',NULL,NULL,204,'faa52f95-7253-4ad5-a21c-58379bdff349','image_min_ram','0',0),('2014-11-17 11:13:30',NULL,NULL,205,'faa52f95-7253-4ad5-a21c-58379bdff349','image_disk_format','qcow2',0),('2014-11-17 11:13:30',NULL,NULL,206,'faa52f95-7253-4ad5-a21c-58379bdff349','image_base_image_ref','04f162b2-973b-40fd-be0f-8c8d6b79d163',0),('2014-11-17 11:13:31',NULL,NULL,207,'faa52f95-7253-4ad5-a21c-58379bdff349','network_allocated','True',0);
/*!40000 ALTER TABLE `instance_system_metadata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_type_extra_specs`
--

DROP TABLE IF EXISTS `instance_type_extra_specs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_type_extra_specs` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_type_id` int(11) NOT NULL,
  `key` varchar(255) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_instance_type_extra_specs0instance_type_id0key0deleted` (`instance_type_id`,`key`,`deleted`),
  KEY `instance_type_extra_specs_instance_type_id_key_idx` (`instance_type_id`,`key`),
  CONSTRAINT `instance_type_extra_specs_ibfk_1` FOREIGN KEY (`instance_type_id`) REFERENCES `instance_types` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_type_extra_specs`
--

LOCK TABLES `instance_type_extra_specs` WRITE;
/*!40000 ALTER TABLE `instance_type_extra_specs` DISABLE KEYS */;
/*!40000 ALTER TABLE `instance_type_extra_specs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_type_projects`
--

DROP TABLE IF EXISTS `instance_type_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_type_projects` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_type_id` int(11) NOT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_instance_type_projects0instance_type_id0project_id0deleted` (`instance_type_id`,`project_id`,`deleted`),
  KEY `instance_type_id` (`instance_type_id`),
  CONSTRAINT `instance_type_projects_ibfk_1` FOREIGN KEY (`instance_type_id`) REFERENCES `instance_types` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_type_projects`
--

LOCK TABLES `instance_type_projects` WRITE;
/*!40000 ALTER TABLE `instance_type_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `instance_type_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_types`
--

DROP TABLE IF EXISTS `instance_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_types` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `memory_mb` int(11) NOT NULL,
  `vcpus` int(11) NOT NULL,
  `swap` int(11) NOT NULL,
  `vcpu_weight` int(11) DEFAULT NULL,
  `flavorid` varchar(255) DEFAULT NULL,
  `rxtx_factor` float DEFAULT NULL,
  `root_gb` int(11) DEFAULT NULL,
  `ephemeral_gb` int(11) DEFAULT NULL,
  `disabled` tinyint(1) DEFAULT NULL,
  `is_public` tinyint(1) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_instance_types0name0deleted` (`name`,`deleted`),
  UNIQUE KEY `uniq_instance_types0flavorid0deleted` (`flavorid`,`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instance_types`
--

LOCK TABLES `instance_types` WRITE;
/*!40000 ALTER TABLE `instance_types` DISABLE KEYS */;
INSERT INTO `instance_types` VALUES (NULL,NULL,NULL,'m1.medium',1,4096,2,0,NULL,'3',1,40,0,0,1,0),(NULL,NULL,NULL,'m1.tiny',2,512,1,0,NULL,'1',1,1,0,0,1,0),(NULL,NULL,NULL,'m1.large',3,8192,4,0,NULL,'4',1,80,0,0,1,0),(NULL,NULL,NULL,'m1.xlarge',4,16384,8,0,NULL,'5',1,160,0,0,1,0),(NULL,NULL,NULL,'m1.small',5,2048,1,0,NULL,'2',1,20,0,0,1,0);
/*!40000 ALTER TABLE `instance_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instances`
--

DROP TABLE IF EXISTS `instances`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instances` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `internal_id` int(11) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `image_ref` varchar(255) DEFAULT NULL,
  `kernel_id` varchar(255) DEFAULT NULL,
  `ramdisk_id` varchar(255) DEFAULT NULL,
  `launch_index` int(11) DEFAULT NULL,
  `key_name` varchar(255) DEFAULT NULL,
  `key_data` mediumtext,
  `power_state` int(11) DEFAULT NULL,
  `vm_state` varchar(255) DEFAULT NULL,
  `memory_mb` int(11) DEFAULT NULL,
  `vcpus` int(11) DEFAULT NULL,
  `hostname` varchar(255) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `user_data` mediumtext,
  `reservation_id` varchar(255) DEFAULT NULL,
  `scheduled_at` datetime DEFAULT NULL,
  `launched_at` datetime DEFAULT NULL,
  `terminated_at` datetime DEFAULT NULL,
  `display_name` varchar(255) DEFAULT NULL,
  `display_description` varchar(255) DEFAULT NULL,
  `availability_zone` varchar(255) DEFAULT NULL,
  `locked` tinyint(1) DEFAULT NULL,
  `os_type` varchar(255) DEFAULT NULL,
  `launched_on` mediumtext,
  `instance_type_id` int(11) DEFAULT NULL,
  `vm_mode` varchar(255) DEFAULT NULL,
  `uuid` varchar(36) DEFAULT NULL,
  `architecture` varchar(255) DEFAULT NULL,
  `root_device_name` varchar(255) DEFAULT NULL,
  `access_ip_v4` varchar(39) DEFAULT NULL,
  `access_ip_v6` varchar(39) DEFAULT NULL,
  `config_drive` varchar(255) DEFAULT NULL,
  `task_state` varchar(255) DEFAULT NULL,
  `default_ephemeral_device` varchar(255) DEFAULT NULL,
  `default_swap_device` varchar(255) DEFAULT NULL,
  `progress` int(11) DEFAULT NULL,
  `auto_disk_config` tinyint(1) DEFAULT NULL,
  `shutdown_terminate` tinyint(1) DEFAULT NULL,
  `disable_terminate` tinyint(1) DEFAULT NULL,
  `root_gb` int(11) DEFAULT NULL,
  `ephemeral_gb` int(11) DEFAULT NULL,
  `cell_name` varchar(255) DEFAULT NULL,
  `node` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `locked_by` enum('owner','admin') DEFAULT NULL,
  `cleaned` int(11) DEFAULT NULL,
  `ephemeral_key_uuid` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uuid` (`uuid`),
  KEY `project_id` (`project_id`),
  KEY `instances_reservation_id_idx` (`reservation_id`),
  KEY `instances_terminated_at_launched_at_idx` (`terminated_at`,`launched_at`),
  KEY `instances_task_state_updated_at_idx` (`task_state`,`updated_at`),
  KEY `instances_host_deleted_idx` (`host`,`deleted`),
  KEY `instances_uuid_deleted_idx` (`uuid`,`deleted`),
  KEY `instances_host_node_deleted_idx` (`host`,`node`,`deleted`),
  KEY `instances_host_deleted_cleaned_idx` (`host`,`deleted`,`cleaned`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instances`
--

LOCK TABLES `instances` WRITE;
/*!40000 ALTER TABLE `instances` DISABLE KEYS */;
INSERT INTO `instances` VALUES ('2014-11-15 11:56:43','2014-11-15 11:57:32','2014-11-15 11:57:32',1,NULL,'dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','04f162b2-973b-40fd-be0f-8c8d6b79d163','','',0,NULL,NULL,0,'deleted',2048,1,'testinstance','c1.example.com',NULL,'r-z4ato1ng',NULL,NULL,'2014-11-15 11:57:32','testInstance','testInstance','nova',0,NULL,'c1.example.com',5,NULL,'689c4545-7075-48d8-9fb8-f0959ebf77e6',NULL,'/dev/vda',NULL,NULL,'',NULL,NULL,NULL,0,1,0,0,20,0,NULL,'c1.example.com',1,NULL,1,NULL),('2014-11-15 11:58:08','2014-11-15 12:00:52','2014-11-15 12:00:52',2,NULL,'dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','04f162b2-973b-40fd-be0f-8c8d6b79d163','','',0,NULL,NULL,0,'deleted',4096,2,'testinstance','c1.example.com',NULL,'r-owhi0zbq',NULL,NULL,'2014-11-15 12:00:52','testInstance','testInstance','nova',0,NULL,'c1.example.com',1,NULL,'b4d7f6af-36ef-42f1-b804-fc92a9ad9dba',NULL,'/dev/vda',NULL,NULL,'',NULL,NULL,NULL,0,1,0,0,40,0,NULL,'c1.example.com',2,NULL,1,NULL),('2014-11-17 04:39:18','2014-11-17 04:40:30','2014-11-17 04:40:30',3,NULL,'dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','04f162b2-973b-40fd-be0f-8c8d6b79d163','','',0,NULL,NULL,0,'deleted',4096,2,'testinstance','c1.example.com',NULL,'r-sbehaunj',NULL,NULL,'2014-11-17 04:40:30','testInstance','testInstance','nova',0,NULL,'c1.example.com',1,NULL,'bf738a42-eba6-4e4d-8464-59af554e6c2e',NULL,'/dev/vda',NULL,NULL,'',NULL,NULL,NULL,0,1,0,0,40,0,NULL,'c1.example.com',3,NULL,1,NULL),('2014-11-17 04:40:44','2014-11-17 05:16:07','2014-11-17 05:16:07',4,NULL,'dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','04f162b2-973b-40fd-be0f-8c8d6b79d163','','',0,NULL,NULL,0,'deleted',4096,2,'testinstance','c1.example.com',NULL,'r-fgqvca7g',NULL,NULL,'2014-11-17 05:16:07','testInstance','testInstance','nova',0,NULL,'c1.example.com',1,NULL,'e53ee189-f4c7-4f68-9c2b-7fba9c736bd9',NULL,'/dev/vda',NULL,NULL,'',NULL,NULL,NULL,0,1,0,0,40,0,NULL,'c1.example.com',4,NULL,1,NULL),('2014-11-17 05:17:00','2014-11-17 05:28:54','2014-11-17 05:28:54',5,NULL,'dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','04f162b2-973b-40fd-be0f-8c8d6b79d163','','',0,NULL,NULL,1,'deleted',4096,2,'testinstance','c1.example.com',NULL,'r-120y7xjt',NULL,'2014-11-17 05:17:10','2014-11-17 05:28:54','testInstance','testInstance','nova',0,NULL,'c1.example.com',1,NULL,'59026f0d-8492-4460-b19b-f82db493c045',NULL,'/dev/vda',NULL,NULL,'',NULL,NULL,NULL,0,1,0,0,40,0,NULL,'c1.example.com',5,NULL,1,NULL),('2014-11-17 05:33:22','2014-11-17 05:42:54','2014-11-17 05:42:54',6,NULL,'dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','04f162b2-973b-40fd-be0f-8c8d6b79d163','','',0,NULL,NULL,1,'deleted',4096,2,'testinstance','c1.example.com',NULL,'r-tw8ks5tg',NULL,'2014-11-17 05:33:29','2014-11-17 05:42:53','testInstance','testInstance','nova',0,NULL,'c1.example.com',1,NULL,'f0698e80-a9ad-4bda-8ee6-9ac23192078a',NULL,'/dev/vda',NULL,NULL,'',NULL,NULL,NULL,0,1,0,0,40,0,NULL,'c1.example.com',6,NULL,1,NULL),('2014-11-17 05:59:15','2014-11-17 06:57:02','2014-11-17 06:57:02',7,NULL,'7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7','04f162b2-973b-40fd-be0f-8c8d6b79d163','','',0,NULL,NULL,1,'deleted',4096,2,'testinstance','c1.example.com',NULL,'r-zctrin6g',NULL,'2014-11-17 05:59:26','2014-11-17 06:57:02','testInstance','testInstance','nova',0,NULL,'c1.example.com',1,NULL,'aae55470-784d-491f-8101-8f2b63753bed',NULL,'/dev/vda',NULL,NULL,'',NULL,NULL,NULL,0,1,0,0,40,0,NULL,'c1.example.com',7,NULL,1,NULL),('2014-11-17 07:01:43','2014-11-17 09:01:38','2014-11-17 09:01:38',8,NULL,'7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7','04f162b2-973b-40fd-be0f-8c8d6b79d163','','',0,NULL,NULL,1,'deleted',4096,2,'testinstance','c1.example.com',NULL,'r-3qyn9hr7',NULL,'2014-11-17 07:01:52','2014-11-17 09:01:38','testInstance','testInstance','nova',0,NULL,'c1.example.com',1,NULL,'697d86a2-d20b-44e8-9948-1dc2d389a8bf',NULL,'/dev/vda',NULL,NULL,'',NULL,NULL,NULL,0,1,0,0,40,0,NULL,'c1.example.com',8,NULL,1,NULL),('2014-11-17 09:06:27','2014-11-17 09:36:30','2014-11-17 09:36:31',9,NULL,'7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7','04f162b2-973b-40fd-be0f-8c8d6b79d163','','',0,NULL,NULL,1,'deleted',4096,2,'testinstance','c1.example.com',NULL,'r-g7sjus53',NULL,'2014-11-17 09:06:37','2014-11-17 09:36:30','testInstance','testInstance','nova',0,NULL,'c1.example.com',1,NULL,'999c60a9-df03-4060-bbfd-dd13dac85524',NULL,'/dev/vda',NULL,NULL,'',NULL,NULL,NULL,0,1,0,0,40,0,NULL,'c1.example.com',9,NULL,1,NULL),('2014-11-17 09:36:46','2014-11-17 10:22:51','2014-11-17 10:22:51',10,NULL,'7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7','04f162b2-973b-40fd-be0f-8c8d6b79d163','','',0,NULL,NULL,1,'deleted',4096,2,'swamy','c1.example.com',NULL,'r-6c0420ql',NULL,'2014-11-17 09:36:57','2014-11-17 10:22:51','swamy','swamy','nova',0,NULL,'c1.example.com',1,NULL,'733ef5cc-8eb5-4f14-bb95-1efbbc23fc7c',NULL,'/dev/vda',NULL,NULL,'',NULL,NULL,NULL,0,1,0,0,40,0,NULL,'c1.example.com',10,NULL,1,NULL),('2014-11-17 10:23:40','2014-11-17 11:40:25','2014-11-17 10:50:26',11,NULL,'dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','04f162b2-973b-40fd-be0f-8c8d6b79d163','','',0,NULL,NULL,4,'error',4096,2,'orange','c1.example.com',NULL,'r-7m7a46v8',NULL,'2014-11-17 10:24:02','2014-11-17 10:50:26','orange','orange','nova',0,NULL,'c1.example.com',1,NULL,'3de9ebee-bd05-42b9-a097-755495f162d9',NULL,'/dev/vda',NULL,NULL,'',NULL,NULL,NULL,0,1,0,0,40,0,NULL,'c1.example.com',11,NULL,1,NULL),('2014-11-17 11:13:30','2014-11-17 11:13:35',NULL,12,NULL,'dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33','04f162b2-973b-40fd-be0f-8c8d6b79d163','','',0,NULL,NULL,1,'active',2048,1,'testinstance','c1.example.com',NULL,'r-w1woym0t',NULL,'2014-11-17 11:13:35',NULL,'testInstance','testInstance','nova',0,NULL,'c1.example.com',5,NULL,'faa52f95-7253-4ad5-a21c-58379bdff349',NULL,'/dev/vda',NULL,NULL,'',NULL,NULL,NULL,0,1,0,0,20,0,NULL,'c1.example.com',0,NULL,0,NULL);
/*!40000 ALTER TABLE `instances` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `iscsi_targets`
--

DROP TABLE IF EXISTS `iscsi_targets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `iscsi_targets` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `target_num` int(11) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `volume_id` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `iscsi_targets_volume_id_fkey` (`volume_id`),
  KEY `iscsi_targets_host_idx` (`host`),
  KEY `iscsi_targets_host_volume_id_deleted_idx` (`host`,`volume_id`,`deleted`),
  CONSTRAINT `iscsi_targets_volume_id_fkey` FOREIGN KEY (`volume_id`) REFERENCES `volumes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `iscsi_targets`
--

LOCK TABLES `iscsi_targets` WRITE;
/*!40000 ALTER TABLE `iscsi_targets` DISABLE KEYS */;
/*!40000 ALTER TABLE `iscsi_targets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `key_pairs`
--

DROP TABLE IF EXISTS `key_pairs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `key_pairs` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `fingerprint` varchar(255) DEFAULT NULL,
  `public_key` mediumtext,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_key_pairs0user_id0name0deleted` (`user_id`,`name`,`deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `key_pairs`
--

LOCK TABLES `key_pairs` WRITE;
/*!40000 ALTER TABLE `key_pairs` DISABLE KEYS */;
/*!40000 ALTER TABLE `key_pairs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrate_version`
--

DROP TABLE IF EXISTS `migrate_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `migrate_version` (
  `repository_id` varchar(250) NOT NULL,
  `repository_path` text,
  `version` int(11) DEFAULT NULL,
  PRIMARY KEY (`repository_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrate_version`
--

LOCK TABLES `migrate_version` WRITE;
/*!40000 ALTER TABLE `migrate_version` DISABLE KEYS */;
INSERT INTO `migrate_version` VALUES ('nova','/usr/lib/python2.7/site-packages/nova/db/sqlalchemy/migrate_repo',254);
/*!40000 ALTER TABLE `migrate_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `migrations` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `source_compute` varchar(255) DEFAULT NULL,
  `dest_compute` varchar(255) DEFAULT NULL,
  `dest_host` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `old_instance_type_id` int(11) DEFAULT NULL,
  `new_instance_type_id` int(11) DEFAULT NULL,
  `source_node` varchar(255) DEFAULT NULL,
  `dest_node` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `migrations_by_host_nodes_and_status_idx` (`deleted`,`source_compute`(100),`dest_compute`(100),`source_node`(100),`dest_node`(100),`status`),
  KEY `migrations_instance_uuid_and_status_idx` (`deleted`,`instance_uuid`,`status`),
  KEY `fk_migrations_instance_uuid` (`instance_uuid`),
  CONSTRAINT `fk_migrations_instance_uuid` FOREIGN KEY (`instance_uuid`) REFERENCES `instances` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrations`
--

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `networks`
--

DROP TABLE IF EXISTS `networks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `networks` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `injected` tinyint(1) DEFAULT NULL,
  `cidr` varchar(43) DEFAULT NULL,
  `netmask` varchar(39) DEFAULT NULL,
  `bridge` varchar(255) DEFAULT NULL,
  `gateway` varchar(39) DEFAULT NULL,
  `broadcast` varchar(39) DEFAULT NULL,
  `dns1` varchar(39) DEFAULT NULL,
  `vlan` int(11) DEFAULT NULL,
  `vpn_public_address` varchar(39) DEFAULT NULL,
  `vpn_public_port` int(11) DEFAULT NULL,
  `vpn_private_address` varchar(39) DEFAULT NULL,
  `dhcp_start` varchar(39) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `cidr_v6` varchar(43) DEFAULT NULL,
  `gateway_v6` varchar(39) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `netmask_v6` varchar(39) DEFAULT NULL,
  `bridge_interface` varchar(255) DEFAULT NULL,
  `multi_host` tinyint(1) DEFAULT NULL,
  `dns2` varchar(39) DEFAULT NULL,
  `uuid` varchar(36) DEFAULT NULL,
  `priority` int(11) DEFAULT NULL,
  `rxtx_base` int(11) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `mtu` int(11) DEFAULT NULL,
  `dhcp_server` varchar(39) DEFAULT NULL,
  `enable_dhcp` tinyint(1) DEFAULT NULL,
  `share_address` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_networks0vlan0deleted` (`vlan`,`deleted`),
  KEY `networks_host_idx` (`host`),
  KEY `networks_cidr_v6_idx` (`cidr_v6`),
  KEY `networks_bridge_deleted_idx` (`bridge`,`deleted`),
  KEY `networks_project_id_deleted_idx` (`project_id`,`deleted`),
  KEY `networks_uuid_project_id_deleted_idx` (`uuid`,`project_id`,`deleted`),
  KEY `networks_vlan_deleted_idx` (`vlan`,`deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `networks`
--

LOCK TABLES `networks` WRITE;
/*!40000 ALTER TABLE `networks` DISABLE KEYS */;
/*!40000 ALTER TABLE `networks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pci_devices`
--

DROP TABLE IF EXISTS `pci_devices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pci_devices` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `compute_node_id` int(11) NOT NULL,
  `address` varchar(12) NOT NULL,
  `product_id` varchar(4) NOT NULL,
  `vendor_id` varchar(4) NOT NULL,
  `dev_type` varchar(8) NOT NULL,
  `dev_id` varchar(255) DEFAULT NULL,
  `label` varchar(255) NOT NULL,
  `status` varchar(36) NOT NULL,
  `extra_info` text,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `request_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_pci_devices0compute_node_id0address0deleted` (`compute_node_id`,`address`,`deleted`),
  KEY `ix_pci_devices_compute_node_id_deleted` (`compute_node_id`,`deleted`),
  KEY `ix_pci_devices_instance_uuid_deleted` (`instance_uuid`,`deleted`),
  CONSTRAINT `pci_devices_compute_node_id_fkey` FOREIGN KEY (`compute_node_id`) REFERENCES `compute_nodes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pci_devices`
--

LOCK TABLES `pci_devices` WRITE;
/*!40000 ALTER TABLE `pci_devices` DISABLE KEYS */;
/*!40000 ALTER TABLE `pci_devices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_user_quotas`
--

DROP TABLE IF EXISTS `project_user_quotas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `project_user_quotas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `user_id` varchar(255) NOT NULL,
  `project_id` varchar(255) NOT NULL,
  `resource` varchar(255) NOT NULL,
  `hard_limit` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_project_user_quotas0user_id0project_id0resource0deleted` (`user_id`,`project_id`,`resource`,`deleted`),
  KEY `project_user_quotas_project_id_deleted_idx` (`project_id`,`deleted`),
  KEY `project_user_quotas_user_id_deleted_idx` (`user_id`,`deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_user_quotas`
--

LOCK TABLES `project_user_quotas` WRITE;
/*!40000 ALTER TABLE `project_user_quotas` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_user_quotas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `provider_fw_rules`
--

DROP TABLE IF EXISTS `provider_fw_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `provider_fw_rules` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `protocol` varchar(5) DEFAULT NULL,
  `from_port` int(11) DEFAULT NULL,
  `to_port` int(11) DEFAULT NULL,
  `cidr` varchar(43) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `provider_fw_rules`
--

LOCK TABLES `provider_fw_rules` WRITE;
/*!40000 ALTER TABLE `provider_fw_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `provider_fw_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quota_classes`
--

DROP TABLE IF EXISTS `quota_classes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quota_classes` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class_name` varchar(255) DEFAULT NULL,
  `resource` varchar(255) DEFAULT NULL,
  `hard_limit` int(11) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_quota_classes_class_name` (`class_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quota_classes`
--

LOCK TABLES `quota_classes` WRITE;
/*!40000 ALTER TABLE `quota_classes` DISABLE KEYS */;
/*!40000 ALTER TABLE `quota_classes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quota_usages`
--

DROP TABLE IF EXISTS `quota_usages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quota_usages` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` varchar(255) DEFAULT NULL,
  `resource` varchar(255) NOT NULL,
  `in_use` int(11) NOT NULL,
  `reserved` int(11) NOT NULL,
  `until_refresh` int(11) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_quota_usages_project_id` (`project_id`),
  KEY `ix_quota_usages_user_id_deleted` (`user_id`,`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quota_usages`
--

LOCK TABLES `quota_usages` WRITE;
/*!40000 ALTER TABLE `quota_usages` DISABLE KEYS */;
INSERT INTO `quota_usages` VALUES ('2014-11-15 11:56:43','2014-11-17 11:13:30',NULL,1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',1,0,NULL,0,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 11:56:43','2014-11-17 11:13:30',NULL,2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',2048,0,NULL,0,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 11:56:43','2014-11-17 11:13:30',NULL,3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',1,0,NULL,0,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 11:56:43','2014-11-15 11:56:43',NULL,4,'f19ee36b9fc2463b933bfaa6bb6dea33','security_groups',1,0,NULL,0,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:59:15','2014-11-17 10:22:51',NULL,5,'0cef1f5f1fb94e42aa5581e1fbf926e7','instances',0,0,NULL,0,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 05:59:15','2014-11-17 10:22:51',NULL,6,'0cef1f5f1fb94e42aa5581e1fbf926e7','ram',0,0,NULL,0,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 05:59:15','2014-11-17 10:22:51',NULL,7,'0cef1f5f1fb94e42aa5581e1fbf926e7','cores',0,0,NULL,0,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 05:59:15','2014-11-17 05:59:15',NULL,8,'0cef1f5f1fb94e42aa5581e1fbf926e7','security_groups',1,0,NULL,0,'7b79f78147004646bf6760fb66328d62');
/*!40000 ALTER TABLE `quota_usages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quotas`
--

DROP TABLE IF EXISTS `quotas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quotas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `resource` varchar(255) NOT NULL,
  `hard_limit` int(11) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_quotas0project_id0resource0deleted` (`project_id`,`resource`,`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quotas`
--

LOCK TABLES `quotas` WRITE;
/*!40000 ALTER TABLE `quotas` DISABLE KEYS */;
INSERT INTO `quotas` VALUES (1,'2014-11-15 11:08:12',NULL,NULL,'f19ee36b9fc2463b933bfaa6bb6dea33','metadata_items',128,0),(2,'2014-11-15 11:08:12',NULL,NULL,'f19ee36b9fc2463b933bfaa6bb6dea33','injected_file_content_bytes',10240,0),(3,'2014-11-15 11:08:12',NULL,NULL,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',51200,0),(4,'2014-11-15 11:08:12',NULL,NULL,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',10,0),(5,'2014-11-15 11:08:12',NULL,NULL,'f19ee36b9fc2463b933bfaa6bb6dea33','injected_files',5,0),(6,'2014-11-15 11:08:12',NULL,NULL,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',20,0);
/*!40000 ALTER TABLE `quotas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reservations`
--

DROP TABLE IF EXISTS `reservations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `reservations` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(36) NOT NULL,
  `usage_id` int(11) NOT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `resource` varchar(255) DEFAULT NULL,
  `delta` int(11) NOT NULL,
  `expire` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `usage_id` (`usage_id`),
  KEY `ix_reservations_project_id` (`project_id`),
  KEY `ix_reservations_user_id_deleted` (`user_id`,`deleted`),
  KEY `reservations_uuid_idx` (`uuid`),
  KEY `reservations_deleted_expire_idx` (`deleted`,`expire`),
  CONSTRAINT `reservations_ibfk_1` FOREIGN KEY (`usage_id`) REFERENCES `quota_usages` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=70 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reservations`
--

LOCK TABLES `reservations` WRITE;
/*!40000 ALTER TABLE `reservations` DISABLE KEYS */;
INSERT INTO `reservations` VALUES ('2014-11-15 11:56:43',NULL,'2014-11-15 11:56:43',1,'25fccdb1-6338-4fff-b184-321c1bf63ff8',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',1,'2014-11-16 11:56:43',1,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 11:56:43',NULL,'2014-11-15 11:56:43',2,'291a3be5-21fc-4905-81fd-734c8d773ee7',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',2048,'2014-11-16 11:56:43',2,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 11:56:43',NULL,'2014-11-15 11:56:43',3,'27d61b11-f342-4a67-b853-77099ded8202',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',1,'2014-11-16 11:56:43',3,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 11:57:32',NULL,'2014-11-15 11:57:32',4,'71dd5d4a-d19c-40d3-8500-d99cf4e3ab68',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',-1,'2014-11-16 11:57:32',4,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 11:57:32',NULL,'2014-11-15 11:57:32',5,'46fed545-443b-4ccd-85f1-a360850141c3',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',-2048,'2014-11-16 11:57:32',5,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 11:57:32',NULL,'2014-11-15 11:57:32',6,'f0caea76-002c-4ab6-ba03-c44664aea467',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',-1,'2014-11-16 11:57:32',6,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 11:58:08',NULL,'2014-11-15 11:58:08',7,'a8b659e4-fd39-490b-9bae-0616ae50a583',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',1,'2014-11-16 11:58:08',7,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 11:58:08',NULL,'2014-11-15 11:58:08',8,'91dac587-c76b-4bee-af93-4ba6156d058c',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',4096,'2014-11-16 11:58:08',8,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 11:58:08',NULL,'2014-11-15 11:58:08',9,'3903b448-9baa-4971-b706-4a9ea387dbea',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',2,'2014-11-16 11:58:08',9,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 12:00:51',NULL,'2014-11-15 12:00:52',10,'a60c1ffb-bbe5-4b1a-902f-dd73525c0e5b',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',-1,'2014-11-16 12:00:51',10,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 12:00:51',NULL,'2014-11-15 12:00:52',11,'8eff58cd-55b2-49e6-b123-461c80273b71',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',-4096,'2014-11-16 12:00:51',11,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-15 12:00:51',NULL,'2014-11-15 12:00:52',12,'bb91f36f-bdc4-44d5-9a8f-9c58f6e7907f',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',-2,'2014-11-16 12:00:51',12,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 04:39:18',NULL,'2014-11-17 04:39:18',13,'8c212275-39bd-4ba6-ba19-5a90b871918d',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',1,'2014-11-18 04:39:18',13,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 04:39:18',NULL,'2014-11-17 04:39:18',14,'530dd02e-e36a-4c33-a96d-a92b42f7bc30',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',4096,'2014-11-18 04:39:18',14,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 04:39:18',NULL,'2014-11-17 04:39:18',15,'13becf51-0346-4e14-ab8f-37353509e27e',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',2,'2014-11-18 04:39:18',15,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 04:40:29',NULL,'2014-11-17 04:40:30',16,'c3417c0a-0a39-4ede-97a2-3736e27ec81e',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',-1,'2014-11-18 04:40:29',16,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 04:40:29',NULL,'2014-11-17 04:40:30',17,'fa7e3678-76e9-4a0a-b87e-536e313cd13e',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',-4096,'2014-11-18 04:40:29',17,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 04:40:29',NULL,'2014-11-17 04:40:30',18,'de04eed1-57e5-44b6-b49d-c5190d3c3628',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',-2,'2014-11-18 04:40:29',18,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 04:40:44',NULL,'2014-11-17 04:40:44',19,'0b9d0abe-e447-4a6b-b225-6ab92131f02e',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',1,'2014-11-18 04:40:44',19,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 04:40:44',NULL,'2014-11-17 04:40:44',20,'61a1cc0c-f824-4780-b2fd-fd0f08906eac',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',4096,'2014-11-18 04:40:44',20,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 04:40:44',NULL,'2014-11-17 04:40:44',21,'f5153ef9-c165-4587-913c-f791cbd7dd1e',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',2,'2014-11-18 04:40:44',21,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:16:07',NULL,'2014-11-17 05:16:07',22,'19da0c75-5685-4e42-b51d-548843617739',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',-1,'2014-11-18 05:16:07',22,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:16:07',NULL,'2014-11-17 05:16:07',23,'be3cbb58-383c-4510-ac36-e9e01386dc1f',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',-4096,'2014-11-18 05:16:07',23,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:16:07',NULL,'2014-11-17 05:16:07',24,'8bb129df-8e47-462d-aa87-413314959265',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',-2,'2014-11-18 05:16:07',24,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:17:00',NULL,'2014-11-17 05:17:00',25,'c856fe82-e561-4166-a2fe-720c51e6c6d2',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',1,'2014-11-18 05:17:00',25,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:17:00',NULL,'2014-11-17 05:17:00',26,'b3c1f58d-0dfd-42de-b9f7-97dec06d8a71',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',4096,'2014-11-18 05:17:00',26,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:17:00',NULL,'2014-11-17 05:17:00',27,'e70aae78-adb5-4cc5-a910-d7bc535f6912',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',2,'2014-11-18 05:17:00',27,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:28:53',NULL,'2014-11-17 05:28:54',28,'22caf69f-7689-4695-bce6-246de7a9b54c',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',-1,'2014-11-18 05:28:53',28,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:28:53',NULL,'2014-11-17 05:28:54',29,'2536dd22-6e72-4f0a-8f9e-437a6e344b9f',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',-4096,'2014-11-18 05:28:53',29,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:28:53',NULL,'2014-11-17 05:28:54',30,'94097971-994c-4fc1-a893-77f13519ddb1',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',-2,'2014-11-18 05:28:53',30,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:33:22',NULL,'2014-11-17 05:33:22',31,'a6e19358-59f3-46de-bd86-fefc6c1bc57a',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',1,'2014-11-18 05:33:22',31,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:33:22',NULL,'2014-11-17 05:33:22',32,'54ce24ae-1d31-4d5f-b984-eb7d2208bf14',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',4096,'2014-11-18 05:33:22',32,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:33:22',NULL,'2014-11-17 05:33:22',33,'6478790e-a8b0-46dd-af74-30bb88854290',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',2,'2014-11-18 05:33:22',33,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:42:53',NULL,'2014-11-17 05:42:54',34,'73cbe363-2c6f-4cd3-bb71-5f465262417c',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',-1,'2014-11-18 05:42:53',34,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:42:53',NULL,'2014-11-17 05:42:54',35,'8c04f3a7-7d59-48f9-960d-48416cf69c40',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',-4096,'2014-11-18 05:42:53',35,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:42:53',NULL,'2014-11-17 05:42:54',36,'38dbbef1-24b9-4946-a09c-cdb1446084f2',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',-2,'2014-11-18 05:42:53',36,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 05:59:15',NULL,'2014-11-17 05:59:15',37,'d1988b68-d7ed-4d75-a9df-76e829088a2c',5,'0cef1f5f1fb94e42aa5581e1fbf926e7','instances',1,'2014-11-18 05:59:15',37,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 05:59:15',NULL,'2014-11-17 05:59:15',38,'ade8aff9-87ed-415e-9740-0ddefa05add3',6,'0cef1f5f1fb94e42aa5581e1fbf926e7','ram',4096,'2014-11-18 05:59:15',38,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 05:59:15',NULL,'2014-11-17 05:59:15',39,'77887664-f389-4212-8357-0ea9ad2673a4',7,'0cef1f5f1fb94e42aa5581e1fbf926e7','cores',2,'2014-11-18 05:59:15',39,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 06:57:01',NULL,'2014-11-17 06:57:02',40,'381be5c6-b4a8-4cef-a036-2cccab798bd7',5,'0cef1f5f1fb94e42aa5581e1fbf926e7','instances',-1,'2014-11-18 06:57:01',40,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 06:57:01',NULL,'2014-11-17 06:57:02',41,'7e24ca65-049d-4623-9331-41882ec29905',6,'0cef1f5f1fb94e42aa5581e1fbf926e7','ram',-4096,'2014-11-18 06:57:01',41,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 06:57:01',NULL,'2014-11-17 06:57:02',42,'452ecbb9-7651-4bbb-90dc-b0f072763c22',7,'0cef1f5f1fb94e42aa5581e1fbf926e7','cores',-2,'2014-11-18 06:57:01',42,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 07:01:43',NULL,'2014-11-17 07:01:43',43,'e0e1105f-9255-4ea3-9e4c-8e03aad948d9',5,'0cef1f5f1fb94e42aa5581e1fbf926e7','instances',1,'2014-11-18 07:01:43',43,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 07:01:43',NULL,'2014-11-17 07:01:43',44,'40fa861f-3c79-45ca-9075-f400abf122d8',6,'0cef1f5f1fb94e42aa5581e1fbf926e7','ram',4096,'2014-11-18 07:01:43',44,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 07:01:43',NULL,'2014-11-17 07:01:43',45,'9c9c9770-800d-40a2-8c9f-f62336586ddf',7,'0cef1f5f1fb94e42aa5581e1fbf926e7','cores',2,'2014-11-18 07:01:43',45,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 09:01:37',NULL,'2014-11-17 09:01:38',46,'33defe76-b57d-4763-ab03-4d8b07d613de',5,'0cef1f5f1fb94e42aa5581e1fbf926e7','instances',-1,'2014-11-18 09:01:37',46,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 09:01:37',NULL,'2014-11-17 09:01:38',47,'d895d9af-9022-47e6-a96a-58519d611c58',6,'0cef1f5f1fb94e42aa5581e1fbf926e7','ram',-4096,'2014-11-18 09:01:37',47,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 09:01:37',NULL,'2014-11-17 09:01:38',48,'2a765720-451d-40b0-9e7d-98b7fd8d63b0',7,'0cef1f5f1fb94e42aa5581e1fbf926e7','cores',-2,'2014-11-18 09:01:37',48,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 09:06:27',NULL,'2014-11-17 09:06:27',49,'242e2e0b-d74c-4980-8e3b-e1cecd31e8e8',5,'0cef1f5f1fb94e42aa5581e1fbf926e7','instances',1,'2014-11-18 09:06:27',49,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 09:06:27',NULL,'2014-11-17 09:06:27',50,'a0406210-50ff-44a3-809f-cd17da2c0461',6,'0cef1f5f1fb94e42aa5581e1fbf926e7','ram',4096,'2014-11-18 09:06:27',50,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 09:06:27',NULL,'2014-11-17 09:06:27',51,'9cefb011-b76a-4abd-be30-84c46c81aecf',7,'0cef1f5f1fb94e42aa5581e1fbf926e7','cores',2,'2014-11-18 09:06:27',51,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 09:36:30',NULL,'2014-11-17 09:36:31',52,'774bc593-165f-43a4-979f-d9781423ad1c',5,'0cef1f5f1fb94e42aa5581e1fbf926e7','instances',-1,'2014-11-18 09:36:30',52,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 09:36:30',NULL,'2014-11-17 09:36:31',53,'f46e0c72-d9c7-4d8b-905a-74757c3060d6',6,'0cef1f5f1fb94e42aa5581e1fbf926e7','ram',-4096,'2014-11-18 09:36:30',53,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 09:36:30',NULL,'2014-11-17 09:36:31',54,'44365092-aa71-48a2-a0fc-8b97848ee3cf',7,'0cef1f5f1fb94e42aa5581e1fbf926e7','cores',-2,'2014-11-18 09:36:30',54,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 09:36:46',NULL,'2014-11-17 09:36:46',55,'9f4ddc5e-2ace-47d6-813f-557fb2086d41',5,'0cef1f5f1fb94e42aa5581e1fbf926e7','instances',1,'2014-11-18 09:36:46',55,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 09:36:46',NULL,'2014-11-17 09:36:46',56,'197dcbda-4961-4024-b408-5e71d9d5ed75',6,'0cef1f5f1fb94e42aa5581e1fbf926e7','ram',4096,'2014-11-18 09:36:46',56,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 09:36:46',NULL,'2014-11-17 09:36:46',57,'9ff367e7-1bc3-445f-98df-aeb421998a8e',7,'0cef1f5f1fb94e42aa5581e1fbf926e7','cores',2,'2014-11-18 09:36:46',57,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 10:22:51',NULL,'2014-11-17 10:22:51',58,'b2d0dc44-f69a-4889-aa86-c463f48d0df6',5,'0cef1f5f1fb94e42aa5581e1fbf926e7','instances',-1,'2014-11-18 10:22:51',58,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 10:22:51',NULL,'2014-11-17 10:22:51',59,'d2891363-168c-44ff-9096-13c01614bc83',6,'0cef1f5f1fb94e42aa5581e1fbf926e7','ram',-4096,'2014-11-18 10:22:51',59,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 10:22:51',NULL,'2014-11-17 10:22:51',60,'1ae449cc-f805-4a9d-98fa-1ad79f4e881e',7,'0cef1f5f1fb94e42aa5581e1fbf926e7','cores',-2,'2014-11-18 10:22:51',60,'7b79f78147004646bf6760fb66328d62'),('2014-11-17 10:23:40',NULL,'2014-11-17 10:23:40',61,'462e8b60-951a-466c-a9a7-3d980c510a8b',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',1,'2014-11-18 10:23:40',61,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 10:23:40',NULL,'2014-11-17 10:23:40',62,'359f77f2-507b-4fd1-9ae9-578c8f052903',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',4096,'2014-11-18 10:23:40',62,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 10:23:40',NULL,'2014-11-17 10:23:40',63,'9e641312-0bf9-4f4c-9fcd-5be3cce8cd3c',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',2,'2014-11-18 10:23:40',63,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 10:50:26',NULL,'2014-11-17 10:50:26',64,'8fe1d58c-7753-46b7-8643-a1f68a90c46f',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',-1,'2014-11-18 10:50:26',64,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 10:50:26',NULL,'2014-11-17 10:50:26',65,'4a1ce635-616e-4da8-a9c5-96ec144972db',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',-4096,'2014-11-18 10:50:26',65,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 10:50:26',NULL,'2014-11-17 10:50:26',66,'1ed88ff7-8012-45ff-af5a-0243f6d65841',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',-2,'2014-11-18 10:50:26',66,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 11:13:30',NULL,'2014-11-17 11:13:30',67,'f5c6642a-268f-4455-8231-565a364d8b6e',1,'f19ee36b9fc2463b933bfaa6bb6dea33','instances',1,'2014-11-18 11:13:30',67,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 11:13:30',NULL,'2014-11-17 11:13:30',68,'2d79f74a-02df-42db-a348-f78da7816512',2,'f19ee36b9fc2463b933bfaa6bb6dea33','ram',2048,'2014-11-18 11:13:30',68,'dbe0cd358dda4ed18181e885deb94dc7'),('2014-11-17 11:13:30',NULL,'2014-11-17 11:13:30',69,'88ddf98e-68e6-4eaf-926e-02053fa569a0',3,'f19ee36b9fc2463b933bfaa6bb6dea33','cores',1,'2014-11-18 11:13:30',69,'dbe0cd358dda4ed18181e885deb94dc7');
/*!40000 ALTER TABLE `reservations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `s3_images`
--

DROP TABLE IF EXISTS `s3_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `s3_images` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(36) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `s3_images`
--

LOCK TABLES `s3_images` WRITE;
/*!40000 ALTER TABLE `s3_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `s3_images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `security_group_default_rules`
--

DROP TABLE IF EXISTS `security_group_default_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `security_group_default_rules` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `protocol` varchar(5) DEFAULT NULL,
  `from_port` int(11) DEFAULT NULL,
  `to_port` int(11) DEFAULT NULL,
  `cidr` varchar(43) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `security_group_default_rules`
--

LOCK TABLES `security_group_default_rules` WRITE;
/*!40000 ALTER TABLE `security_group_default_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `security_group_default_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `security_group_instance_association`
--

DROP TABLE IF EXISTS `security_group_instance_association`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `security_group_instance_association` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `security_group_id` int(11) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `security_group_id` (`security_group_id`),
  KEY `security_group_instance_association_instance_uuid_idx` (`instance_uuid`),
  CONSTRAINT `security_group_instance_association_ibfk_1` FOREIGN KEY (`security_group_id`) REFERENCES `security_groups` (`id`),
  CONSTRAINT `security_group_instance_association_instance_uuid_fkey` FOREIGN KEY (`instance_uuid`) REFERENCES `instances` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `security_group_instance_association`
--

LOCK TABLES `security_group_instance_association` WRITE;
/*!40000 ALTER TABLE `security_group_instance_association` DISABLE KEYS */;
/*!40000 ALTER TABLE `security_group_instance_association` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `security_group_rules`
--

DROP TABLE IF EXISTS `security_group_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `security_group_rules` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_group_id` int(11) DEFAULT NULL,
  `protocol` varchar(255) DEFAULT NULL,
  `from_port` int(11) DEFAULT NULL,
  `to_port` int(11) DEFAULT NULL,
  `cidr` varchar(43) DEFAULT NULL,
  `group_id` int(11) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `parent_group_id` (`parent_group_id`),
  KEY `group_id` (`group_id`),
  CONSTRAINT `security_group_rules_ibfk_1` FOREIGN KEY (`parent_group_id`) REFERENCES `security_groups` (`id`),
  CONSTRAINT `security_group_rules_ibfk_2` FOREIGN KEY (`group_id`) REFERENCES `security_groups` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `security_group_rules`
--

LOCK TABLES `security_group_rules` WRITE;
/*!40000 ALTER TABLE `security_group_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `security_group_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `security_groups`
--

DROP TABLE IF EXISTS `security_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `security_groups` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_security_groups0project_id0name0deleted` (`project_id`,`name`,`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `security_groups`
--

LOCK TABLES `security_groups` WRITE;
/*!40000 ALTER TABLE `security_groups` DISABLE KEYS */;
INSERT INTO `security_groups` VALUES ('2014-11-15 11:56:43',NULL,NULL,1,'default','default','dbe0cd358dda4ed18181e885deb94dc7','f19ee36b9fc2463b933bfaa6bb6dea33',0),('2014-11-17 05:59:15',NULL,NULL,2,'default','default','7b79f78147004646bf6760fb66328d62','0cef1f5f1fb94e42aa5581e1fbf926e7',0);
/*!40000 ALTER TABLE `security_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `services`
--

DROP TABLE IF EXISTS `services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `services` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `host` varchar(255) DEFAULT NULL,
  `binary` varchar(255) DEFAULT NULL,
  `topic` varchar(255) DEFAULT NULL,
  `report_count` int(11) NOT NULL,
  `disabled` tinyint(1) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `disabled_reason` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_services0host0topic0deleted` (`host`,`topic`,`deleted`),
  UNIQUE KEY `uniq_services0host0binary0deleted` (`host`,`binary`,`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `services`
--

LOCK TABLES `services` WRITE;
/*!40000 ALTER TABLE `services` DISABLE KEYS */;
INSERT INTO `services` VALUES ('2014-11-15 09:55:12','2014-11-17 12:04:54',NULL,1,'junovm1.example.com','nova-consoleauth','consoleauth',18020,0,0,NULL),('2014-11-15 09:55:13','2014-11-17 12:04:53',NULL,2,'junovm1.example.com','nova-scheduler','scheduler',18021,0,0,NULL),('2014-11-15 09:55:13','2014-11-17 12:04:53',NULL,3,'junovm1.example.com','nova-conductor','conductor',18022,0,0,NULL),('2014-11-15 09:55:19','2014-11-17 12:04:54',NULL,4,'junovm1.example.com','nova-cert','cert',18019,0,0,NULL),('2014-11-15 10:01:55','2014-11-17 12:04:51',NULL,5,'c1.example.com','nova-compute','compute',17692,0,0,NULL);
/*!40000 ALTER TABLE `services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_agent_builds`
--

DROP TABLE IF EXISTS `shadow_agent_builds`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_agent_builds` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hypervisor` varchar(255) DEFAULT NULL,
  `os` varchar(255) DEFAULT NULL,
  `architecture` varchar(255) DEFAULT NULL,
  `version` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `md5hash` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_agent_builds`
--

LOCK TABLES `shadow_agent_builds` WRITE;
/*!40000 ALTER TABLE `shadow_agent_builds` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_agent_builds` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_aggregate_hosts`
--

DROP TABLE IF EXISTS `shadow_aggregate_hosts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_aggregate_hosts` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `host` varchar(255) DEFAULT NULL,
  `aggregate_id` int(11) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_aggregate_hosts`
--

LOCK TABLES `shadow_aggregate_hosts` WRITE;
/*!40000 ALTER TABLE `shadow_aggregate_hosts` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_aggregate_hosts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_aggregate_metadata`
--

DROP TABLE IF EXISTS `shadow_aggregate_metadata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_aggregate_metadata` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `aggregate_id` int(11) NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_aggregate_metadata`
--

LOCK TABLES `shadow_aggregate_metadata` WRITE;
/*!40000 ALTER TABLE `shadow_aggregate_metadata` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_aggregate_metadata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_aggregates`
--

DROP TABLE IF EXISTS `shadow_aggregates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_aggregates` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_aggregates`
--

LOCK TABLES `shadow_aggregates` WRITE;
/*!40000 ALTER TABLE `shadow_aggregates` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_aggregates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_block_device_mapping`
--

DROP TABLE IF EXISTS `shadow_block_device_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_block_device_mapping` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `device_name` varchar(255) DEFAULT NULL,
  `delete_on_termination` tinyint(1) DEFAULT NULL,
  `snapshot_id` varchar(36) DEFAULT NULL,
  `volume_id` varchar(36) DEFAULT NULL,
  `volume_size` int(11) DEFAULT NULL,
  `no_device` tinyint(1) DEFAULT NULL,
  `connection_info` mediumtext,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `source_type` varchar(255) DEFAULT NULL,
  `destination_type` varchar(255) DEFAULT NULL,
  `guest_format` varchar(255) DEFAULT NULL,
  `device_type` varchar(255) DEFAULT NULL,
  `disk_bus` varchar(255) DEFAULT NULL,
  `boot_index` int(11) DEFAULT NULL,
  `image_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_block_device_mapping`
--

LOCK TABLES `shadow_block_device_mapping` WRITE;
/*!40000 ALTER TABLE `shadow_block_device_mapping` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_block_device_mapping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_bw_usage_cache`
--

DROP TABLE IF EXISTS `shadow_bw_usage_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_bw_usage_cache` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `start_period` datetime NOT NULL,
  `last_refreshed` datetime DEFAULT NULL,
  `bw_in` bigint(20) DEFAULT NULL,
  `bw_out` bigint(20) DEFAULT NULL,
  `mac` varchar(255) DEFAULT NULL,
  `uuid` varchar(36) DEFAULT NULL,
  `last_ctr_in` bigint(20) DEFAULT NULL,
  `last_ctr_out` bigint(20) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_bw_usage_cache`
--

LOCK TABLES `shadow_bw_usage_cache` WRITE;
/*!40000 ALTER TABLE `shadow_bw_usage_cache` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_bw_usage_cache` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_cells`
--

DROP TABLE IF EXISTS `shadow_cells`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_cells` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `api_url` varchar(255) DEFAULT NULL,
  `weight_offset` float DEFAULT NULL,
  `weight_scale` float DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `is_parent` tinyint(1) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `transport_url` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_cells`
--

LOCK TABLES `shadow_cells` WRITE;
/*!40000 ALTER TABLE `shadow_cells` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_cells` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_certificates`
--

DROP TABLE IF EXISTS `shadow_certificates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_certificates` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `file_name` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_certificates`
--

LOCK TABLES `shadow_certificates` WRITE;
/*!40000 ALTER TABLE `shadow_certificates` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_certificates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_compute_nodes`
--

DROP TABLE IF EXISTS `shadow_compute_nodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_compute_nodes` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `service_id` int(11) NOT NULL,
  `vcpus` int(11) NOT NULL,
  `memory_mb` int(11) NOT NULL,
  `local_gb` int(11) NOT NULL,
  `vcpus_used` int(11) NOT NULL,
  `memory_mb_used` int(11) NOT NULL,
  `local_gb_used` int(11) NOT NULL,
  `hypervisor_type` mediumtext NOT NULL,
  `hypervisor_version` int(11) NOT NULL,
  `cpu_info` mediumtext NOT NULL,
  `disk_available_least` int(11) DEFAULT NULL,
  `free_ram_mb` int(11) DEFAULT NULL,
  `free_disk_gb` int(11) DEFAULT NULL,
  `current_workload` int(11) DEFAULT NULL,
  `running_vms` int(11) DEFAULT NULL,
  `hypervisor_hostname` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `host_ip` varchar(39) DEFAULT NULL,
  `supported_instances` text,
  `pci_stats` text,
  `metrics` text,
  `extra_resources` text,
  `stats` text,
  `numa_topology` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_compute_nodes`
--

LOCK TABLES `shadow_compute_nodes` WRITE;
/*!40000 ALTER TABLE `shadow_compute_nodes` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_compute_nodes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_console_pools`
--

DROP TABLE IF EXISTS `shadow_console_pools`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_console_pools` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address` varchar(39) DEFAULT NULL,
  `username` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `console_type` varchar(255) DEFAULT NULL,
  `public_hostname` varchar(255) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `compute_host` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_console_pools`
--

LOCK TABLES `shadow_console_pools` WRITE;
/*!40000 ALTER TABLE `shadow_console_pools` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_console_pools` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_consoles`
--

DROP TABLE IF EXISTS `shadow_consoles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_consoles` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_name` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `port` int(11) DEFAULT NULL,
  `pool_id` int(11) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_consoles`
--

LOCK TABLES `shadow_consoles` WRITE;
/*!40000 ALTER TABLE `shadow_consoles` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_consoles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_dns_domains`
--

DROP TABLE IF EXISTS `shadow_dns_domains`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_dns_domains` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` tinyint(1) DEFAULT NULL,
  `domain` varchar(255) NOT NULL,
  `scope` varchar(255) DEFAULT NULL,
  `availability_zone` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_dns_domains`
--

LOCK TABLES `shadow_dns_domains` WRITE;
/*!40000 ALTER TABLE `shadow_dns_domains` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_dns_domains` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_fixed_ips`
--

DROP TABLE IF EXISTS `shadow_fixed_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_fixed_ips` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address` varchar(39) DEFAULT NULL,
  `network_id` int(11) DEFAULT NULL,
  `allocated` tinyint(1) DEFAULT NULL,
  `leased` tinyint(1) DEFAULT NULL,
  `reserved` tinyint(1) DEFAULT NULL,
  `virtual_interface_id` int(11) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_fixed_ips`
--

LOCK TABLES `shadow_fixed_ips` WRITE;
/*!40000 ALTER TABLE `shadow_fixed_ips` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_fixed_ips` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_floating_ips`
--

DROP TABLE IF EXISTS `shadow_floating_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_floating_ips` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address` varchar(39) DEFAULT NULL,
  `fixed_ip_id` int(11) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `auto_assigned` tinyint(1) DEFAULT NULL,
  `pool` varchar(255) DEFAULT NULL,
  `interface` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_floating_ips`
--

LOCK TABLES `shadow_floating_ips` WRITE;
/*!40000 ALTER TABLE `shadow_floating_ips` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_floating_ips` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_actions`
--

DROP TABLE IF EXISTS `shadow_instance_actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_actions` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `action` varchar(255) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `request_id` varchar(255) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `start_time` datetime DEFAULT NULL,
  `finish_time` datetime DEFAULT NULL,
  `message` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_actions`
--

LOCK TABLES `shadow_instance_actions` WRITE;
/*!40000 ALTER TABLE `shadow_instance_actions` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_actions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_actions_events`
--

DROP TABLE IF EXISTS `shadow_instance_actions_events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_actions_events` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `event` varchar(255) DEFAULT NULL,
  `action_id` int(11) DEFAULT NULL,
  `start_time` datetime DEFAULT NULL,
  `finish_time` datetime DEFAULT NULL,
  `result` varchar(255) DEFAULT NULL,
  `traceback` text,
  `deleted` int(11) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `details` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_actions_events`
--

LOCK TABLES `shadow_instance_actions_events` WRITE;
/*!40000 ALTER TABLE `shadow_instance_actions_events` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_actions_events` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_extra`
--

DROP TABLE IF EXISTS `shadow_instance_extra`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_extra` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_uuid` varchar(36) NOT NULL,
  `numa_topology` text,
  `pci_requests` text,
  PRIMARY KEY (`id`),
  KEY `shadow_instance_extra_idx` (`instance_uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_extra`
--

LOCK TABLES `shadow_instance_extra` WRITE;
/*!40000 ALTER TABLE `shadow_instance_extra` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_extra` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_faults`
--

DROP TABLE IF EXISTS `shadow_instance_faults`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_faults` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `code` int(11) NOT NULL,
  `message` varchar(255) DEFAULT NULL,
  `details` mediumtext,
  `host` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_faults`
--

LOCK TABLES `shadow_instance_faults` WRITE;
/*!40000 ALTER TABLE `shadow_instance_faults` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_faults` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_group_member`
--

DROP TABLE IF EXISTS `shadow_instance_group_member`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_group_member` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_id` varchar(255) DEFAULT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_group_member`
--

LOCK TABLES `shadow_instance_group_member` WRITE;
/*!40000 ALTER TABLE `shadow_instance_group_member` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_group_member` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_group_policy`
--

DROP TABLE IF EXISTS `shadow_instance_group_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_group_policy` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `policy` varchar(255) DEFAULT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_group_policy`
--

LOCK TABLES `shadow_instance_group_policy` WRITE;
/*!40000 ALTER TABLE `shadow_instance_group_policy` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_group_policy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_groups`
--

DROP TABLE IF EXISTS `shadow_instance_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_groups` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `uuid` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_groups`
--

LOCK TABLES `shadow_instance_groups` WRITE;
/*!40000 ALTER TABLE `shadow_instance_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_id_mappings`
--

DROP TABLE IF EXISTS `shadow_instance_id_mappings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_id_mappings` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(36) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_id_mappings`
--

LOCK TABLES `shadow_instance_id_mappings` WRITE;
/*!40000 ALTER TABLE `shadow_instance_id_mappings` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_id_mappings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_info_caches`
--

DROP TABLE IF EXISTS `shadow_instance_info_caches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_info_caches` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `network_info` mediumtext,
  `instance_uuid` varchar(36) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_info_caches`
--

LOCK TABLES `shadow_instance_info_caches` WRITE;
/*!40000 ALTER TABLE `shadow_instance_info_caches` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_info_caches` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_metadata`
--

DROP TABLE IF EXISTS `shadow_instance_metadata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_metadata` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` varchar(255) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_metadata`
--

LOCK TABLES `shadow_instance_metadata` WRITE;
/*!40000 ALTER TABLE `shadow_instance_metadata` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_metadata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_system_metadata`
--

DROP TABLE IF EXISTS `shadow_instance_system_metadata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_system_metadata` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_uuid` varchar(36) NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_system_metadata`
--

LOCK TABLES `shadow_instance_system_metadata` WRITE;
/*!40000 ALTER TABLE `shadow_instance_system_metadata` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_system_metadata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_type_extra_specs`
--

DROP TABLE IF EXISTS `shadow_instance_type_extra_specs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_type_extra_specs` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_type_id` int(11) NOT NULL,
  `key` varchar(255) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_type_extra_specs`
--

LOCK TABLES `shadow_instance_type_extra_specs` WRITE;
/*!40000 ALTER TABLE `shadow_instance_type_extra_specs` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_type_extra_specs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_type_projects`
--

DROP TABLE IF EXISTS `shadow_instance_type_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_type_projects` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_type_id` int(11) NOT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_type_projects`
--

LOCK TABLES `shadow_instance_type_projects` WRITE;
/*!40000 ALTER TABLE `shadow_instance_type_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_type_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instance_types`
--

DROP TABLE IF EXISTS `shadow_instance_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instance_types` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `memory_mb` int(11) NOT NULL,
  `vcpus` int(11) NOT NULL,
  `swap` int(11) NOT NULL,
  `vcpu_weight` int(11) DEFAULT NULL,
  `flavorid` varchar(255) DEFAULT NULL,
  `rxtx_factor` float DEFAULT NULL,
  `root_gb` int(11) DEFAULT NULL,
  `ephemeral_gb` int(11) DEFAULT NULL,
  `disabled` tinyint(1) DEFAULT NULL,
  `is_public` tinyint(1) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instance_types`
--

LOCK TABLES `shadow_instance_types` WRITE;
/*!40000 ALTER TABLE `shadow_instance_types` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instance_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_instances`
--

DROP TABLE IF EXISTS `shadow_instances`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_instances` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `internal_id` int(11) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `image_ref` varchar(255) DEFAULT NULL,
  `kernel_id` varchar(255) DEFAULT NULL,
  `ramdisk_id` varchar(255) DEFAULT NULL,
  `launch_index` int(11) DEFAULT NULL,
  `key_name` varchar(255) DEFAULT NULL,
  `key_data` mediumtext,
  `power_state` int(11) DEFAULT NULL,
  `vm_state` varchar(255) DEFAULT NULL,
  `memory_mb` int(11) DEFAULT NULL,
  `vcpus` int(11) DEFAULT NULL,
  `hostname` varchar(255) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `user_data` mediumtext,
  `reservation_id` varchar(255) DEFAULT NULL,
  `scheduled_at` datetime DEFAULT NULL,
  `launched_at` datetime DEFAULT NULL,
  `terminated_at` datetime DEFAULT NULL,
  `display_name` varchar(255) DEFAULT NULL,
  `display_description` varchar(255) DEFAULT NULL,
  `availability_zone` varchar(255) DEFAULT NULL,
  `locked` tinyint(1) DEFAULT NULL,
  `os_type` varchar(255) DEFAULT NULL,
  `launched_on` mediumtext,
  `instance_type_id` int(11) DEFAULT NULL,
  `vm_mode` varchar(255) DEFAULT NULL,
  `uuid` varchar(36) DEFAULT NULL,
  `architecture` varchar(255) DEFAULT NULL,
  `root_device_name` varchar(255) DEFAULT NULL,
  `access_ip_v4` varchar(39) DEFAULT NULL,
  `access_ip_v6` varchar(39) DEFAULT NULL,
  `config_drive` varchar(255) DEFAULT NULL,
  `task_state` varchar(255) DEFAULT NULL,
  `default_ephemeral_device` varchar(255) DEFAULT NULL,
  `default_swap_device` varchar(255) DEFAULT NULL,
  `progress` int(11) DEFAULT NULL,
  `auto_disk_config` tinyint(1) DEFAULT NULL,
  `shutdown_terminate` tinyint(1) DEFAULT NULL,
  `disable_terminate` tinyint(1) DEFAULT NULL,
  `root_gb` int(11) DEFAULT NULL,
  `ephemeral_gb` int(11) DEFAULT NULL,
  `cell_name` varchar(255) DEFAULT NULL,
  `node` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `locked_by` enum('owner','admin') DEFAULT NULL,
  `cleaned` int(11) DEFAULT NULL,
  `ephemeral_key_uuid` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_instances`
--

LOCK TABLES `shadow_instances` WRITE;
/*!40000 ALTER TABLE `shadow_instances` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_instances` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_iscsi_targets`
--

DROP TABLE IF EXISTS `shadow_iscsi_targets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_iscsi_targets` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `target_num` int(11) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `volume_id` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_iscsi_targets`
--

LOCK TABLES `shadow_iscsi_targets` WRITE;
/*!40000 ALTER TABLE `shadow_iscsi_targets` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_iscsi_targets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_key_pairs`
--

DROP TABLE IF EXISTS `shadow_key_pairs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_key_pairs` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `fingerprint` varchar(255) DEFAULT NULL,
  `public_key` mediumtext,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_key_pairs`
--

LOCK TABLES `shadow_key_pairs` WRITE;
/*!40000 ALTER TABLE `shadow_key_pairs` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_key_pairs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_migrate_version`
--

DROP TABLE IF EXISTS `shadow_migrate_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_migrate_version` (
  `repository_id` varchar(250) NOT NULL,
  `repository_path` text,
  `version` int(11) DEFAULT NULL,
  PRIMARY KEY (`repository_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_migrate_version`
--

LOCK TABLES `shadow_migrate_version` WRITE;
/*!40000 ALTER TABLE `shadow_migrate_version` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_migrate_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_migrations`
--

DROP TABLE IF EXISTS `shadow_migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_migrations` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `source_compute` varchar(255) DEFAULT NULL,
  `dest_compute` varchar(255) DEFAULT NULL,
  `dest_host` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `old_instance_type_id` int(11) DEFAULT NULL,
  `new_instance_type_id` int(11) DEFAULT NULL,
  `source_node` varchar(255) DEFAULT NULL,
  `dest_node` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_migrations`
--

LOCK TABLES `shadow_migrations` WRITE;
/*!40000 ALTER TABLE `shadow_migrations` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_networks`
--

DROP TABLE IF EXISTS `shadow_networks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_networks` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `injected` tinyint(1) DEFAULT NULL,
  `cidr` varchar(43) DEFAULT NULL,
  `netmask` varchar(39) DEFAULT NULL,
  `bridge` varchar(255) DEFAULT NULL,
  `gateway` varchar(39) DEFAULT NULL,
  `broadcast` varchar(39) DEFAULT NULL,
  `dns1` varchar(39) DEFAULT NULL,
  `vlan` int(11) DEFAULT NULL,
  `vpn_public_address` varchar(39) DEFAULT NULL,
  `vpn_public_port` int(11) DEFAULT NULL,
  `vpn_private_address` varchar(39) DEFAULT NULL,
  `dhcp_start` varchar(39) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `cidr_v6` varchar(43) DEFAULT NULL,
  `gateway_v6` varchar(39) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `netmask_v6` varchar(39) DEFAULT NULL,
  `bridge_interface` varchar(255) DEFAULT NULL,
  `multi_host` tinyint(1) DEFAULT NULL,
  `dns2` varchar(39) DEFAULT NULL,
  `uuid` varchar(36) DEFAULT NULL,
  `priority` int(11) DEFAULT NULL,
  `rxtx_base` int(11) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `mtu` int(11) DEFAULT NULL,
  `dhcp_server` varchar(39) DEFAULT NULL,
  `enable_dhcp` tinyint(1) DEFAULT NULL,
  `share_address` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_networks`
--

LOCK TABLES `shadow_networks` WRITE;
/*!40000 ALTER TABLE `shadow_networks` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_networks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_pci_devices`
--

DROP TABLE IF EXISTS `shadow_pci_devices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_pci_devices` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `compute_node_id` int(11) NOT NULL,
  `address` varchar(12) NOT NULL,
  `product_id` varchar(4) DEFAULT NULL,
  `vendor_id` varchar(4) DEFAULT NULL,
  `dev_type` varchar(8) DEFAULT NULL,
  `dev_id` varchar(255) DEFAULT NULL,
  `label` varchar(255) NOT NULL,
  `status` varchar(36) NOT NULL,
  `extra_info` text,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `request_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_pci_devices`
--

LOCK TABLES `shadow_pci_devices` WRITE;
/*!40000 ALTER TABLE `shadow_pci_devices` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_pci_devices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_project_user_quotas`
--

DROP TABLE IF EXISTS `shadow_project_user_quotas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_project_user_quotas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `user_id` varchar(255) NOT NULL,
  `project_id` varchar(255) NOT NULL,
  `resource` varchar(255) NOT NULL,
  `hard_limit` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_project_user_quotas`
--

LOCK TABLES `shadow_project_user_quotas` WRITE;
/*!40000 ALTER TABLE `shadow_project_user_quotas` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_project_user_quotas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_provider_fw_rules`
--

DROP TABLE IF EXISTS `shadow_provider_fw_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_provider_fw_rules` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `protocol` varchar(5) DEFAULT NULL,
  `from_port` int(11) DEFAULT NULL,
  `to_port` int(11) DEFAULT NULL,
  `cidr` varchar(43) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_provider_fw_rules`
--

LOCK TABLES `shadow_provider_fw_rules` WRITE;
/*!40000 ALTER TABLE `shadow_provider_fw_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_provider_fw_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_quota_classes`
--

DROP TABLE IF EXISTS `shadow_quota_classes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_quota_classes` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class_name` varchar(255) DEFAULT NULL,
  `resource` varchar(255) DEFAULT NULL,
  `hard_limit` int(11) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_quota_classes`
--

LOCK TABLES `shadow_quota_classes` WRITE;
/*!40000 ALTER TABLE `shadow_quota_classes` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_quota_classes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_quota_usages`
--

DROP TABLE IF EXISTS `shadow_quota_usages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_quota_usages` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` varchar(255) DEFAULT NULL,
  `resource` varchar(255) DEFAULT NULL,
  `in_use` int(11) NOT NULL,
  `reserved` int(11) NOT NULL,
  `until_refresh` int(11) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_quota_usages`
--

LOCK TABLES `shadow_quota_usages` WRITE;
/*!40000 ALTER TABLE `shadow_quota_usages` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_quota_usages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_quotas`
--

DROP TABLE IF EXISTS `shadow_quotas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_quotas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `resource` varchar(255) NOT NULL,
  `hard_limit` int(11) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_quotas`
--

LOCK TABLES `shadow_quotas` WRITE;
/*!40000 ALTER TABLE `shadow_quotas` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_quotas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_reservations`
--

DROP TABLE IF EXISTS `shadow_reservations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_reservations` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(36) NOT NULL,
  `usage_id` int(11) NOT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `resource` varchar(255) DEFAULT NULL,
  `delta` int(11) NOT NULL,
  `expire` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_reservations`
--

LOCK TABLES `shadow_reservations` WRITE;
/*!40000 ALTER TABLE `shadow_reservations` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_reservations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_s3_images`
--

DROP TABLE IF EXISTS `shadow_s3_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_s3_images` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(36) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_s3_images`
--

LOCK TABLES `shadow_s3_images` WRITE;
/*!40000 ALTER TABLE `shadow_s3_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_s3_images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_security_group_default_rules`
--

DROP TABLE IF EXISTS `shadow_security_group_default_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_security_group_default_rules` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `protocol` varchar(5) DEFAULT NULL,
  `from_port` int(11) DEFAULT NULL,
  `to_port` int(11) DEFAULT NULL,
  `cidr` varchar(43) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_security_group_default_rules`
--

LOCK TABLES `shadow_security_group_default_rules` WRITE;
/*!40000 ALTER TABLE `shadow_security_group_default_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_security_group_default_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_security_group_instance_association`
--

DROP TABLE IF EXISTS `shadow_security_group_instance_association`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_security_group_instance_association` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `security_group_id` int(11) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_security_group_instance_association`
--

LOCK TABLES `shadow_security_group_instance_association` WRITE;
/*!40000 ALTER TABLE `shadow_security_group_instance_association` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_security_group_instance_association` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_security_group_rules`
--

DROP TABLE IF EXISTS `shadow_security_group_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_security_group_rules` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_group_id` int(11) DEFAULT NULL,
  `protocol` varchar(255) DEFAULT NULL,
  `from_port` int(11) DEFAULT NULL,
  `to_port` int(11) DEFAULT NULL,
  `cidr` varchar(43) DEFAULT NULL,
  `group_id` int(11) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_security_group_rules`
--

LOCK TABLES `shadow_security_group_rules` WRITE;
/*!40000 ALTER TABLE `shadow_security_group_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_security_group_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_security_groups`
--

DROP TABLE IF EXISTS `shadow_security_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_security_groups` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_security_groups`
--

LOCK TABLES `shadow_security_groups` WRITE;
/*!40000 ALTER TABLE `shadow_security_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_security_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_services`
--

DROP TABLE IF EXISTS `shadow_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_services` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `host` varchar(255) DEFAULT NULL,
  `binary` varchar(255) DEFAULT NULL,
  `topic` varchar(255) DEFAULT NULL,
  `report_count` int(11) NOT NULL,
  `disabled` tinyint(1) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `disabled_reason` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_services`
--

LOCK TABLES `shadow_services` WRITE;
/*!40000 ALTER TABLE `shadow_services` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_snapshot_id_mappings`
--

DROP TABLE IF EXISTS `shadow_snapshot_id_mappings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_snapshot_id_mappings` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(36) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_snapshot_id_mappings`
--

LOCK TABLES `shadow_snapshot_id_mappings` WRITE;
/*!40000 ALTER TABLE `shadow_snapshot_id_mappings` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_snapshot_id_mappings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_snapshots`
--

DROP TABLE IF EXISTS `shadow_snapshots`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_snapshots` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `volume_id` varchar(36) NOT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `progress` varchar(255) DEFAULT NULL,
  `volume_size` int(11) DEFAULT NULL,
  `scheduled_at` datetime DEFAULT NULL,
  `display_name` varchar(255) DEFAULT NULL,
  `display_description` varchar(255) DEFAULT NULL,
  `deleted` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_snapshots`
--

LOCK TABLES `shadow_snapshots` WRITE;
/*!40000 ALTER TABLE `shadow_snapshots` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_snapshots` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_task_log`
--

DROP TABLE IF EXISTS `shadow_task_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_task_log` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `task_name` varchar(255) NOT NULL,
  `state` varchar(255) NOT NULL,
  `host` varchar(255) NOT NULL,
  `period_beginning` datetime NOT NULL,
  `period_ending` datetime NOT NULL,
  `message` varchar(255) NOT NULL,
  `task_items` int(11) DEFAULT NULL,
  `errors` int(11) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_task_log`
--

LOCK TABLES `shadow_task_log` WRITE;
/*!40000 ALTER TABLE `shadow_task_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_task_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_virtual_interfaces`
--

DROP TABLE IF EXISTS `shadow_virtual_interfaces`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_virtual_interfaces` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address` varchar(255) DEFAULT NULL,
  `network_id` int(11) DEFAULT NULL,
  `uuid` varchar(36) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_virtual_interfaces`
--

LOCK TABLES `shadow_virtual_interfaces` WRITE;
/*!40000 ALTER TABLE `shadow_virtual_interfaces` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_virtual_interfaces` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_volume_id_mappings`
--

DROP TABLE IF EXISTS `shadow_volume_id_mappings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_volume_id_mappings` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(36) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_volume_id_mappings`
--

LOCK TABLES `shadow_volume_id_mappings` WRITE;
/*!40000 ALTER TABLE `shadow_volume_id_mappings` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_volume_id_mappings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_volume_usage_cache`
--

DROP TABLE IF EXISTS `shadow_volume_usage_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_volume_usage_cache` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `volume_id` varchar(36) NOT NULL,
  `tot_last_refreshed` datetime DEFAULT NULL,
  `tot_reads` bigint(20) DEFAULT NULL,
  `tot_read_bytes` bigint(20) DEFAULT NULL,
  `tot_writes` bigint(20) DEFAULT NULL,
  `tot_write_bytes` bigint(20) DEFAULT NULL,
  `curr_last_refreshed` datetime DEFAULT NULL,
  `curr_reads` bigint(20) DEFAULT NULL,
  `curr_read_bytes` bigint(20) DEFAULT NULL,
  `curr_writes` bigint(20) DEFAULT NULL,
  `curr_write_bytes` bigint(20) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `project_id` varchar(36) DEFAULT NULL,
  `user_id` varchar(36) DEFAULT NULL,
  `availability_zone` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_volume_usage_cache`
--

LOCK TABLES `shadow_volume_usage_cache` WRITE;
/*!40000 ALTER TABLE `shadow_volume_usage_cache` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_volume_usage_cache` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shadow_volumes`
--

DROP TABLE IF EXISTS `shadow_volumes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shadow_volumes` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `ec2_id` varchar(255) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `size` int(11) DEFAULT NULL,
  `availability_zone` varchar(255) DEFAULT NULL,
  `mountpoint` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `attach_status` varchar(255) DEFAULT NULL,
  `scheduled_at` datetime DEFAULT NULL,
  `launched_at` datetime DEFAULT NULL,
  `terminated_at` datetime DEFAULT NULL,
  `display_name` varchar(255) DEFAULT NULL,
  `display_description` varchar(255) DEFAULT NULL,
  `provider_location` varchar(256) DEFAULT NULL,
  `provider_auth` varchar(256) DEFAULT NULL,
  `snapshot_id` varchar(36) DEFAULT NULL,
  `volume_type_id` int(11) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `attach_time` datetime DEFAULT NULL,
  `deleted` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shadow_volumes`
--

LOCK TABLES `shadow_volumes` WRITE;
/*!40000 ALTER TABLE `shadow_volumes` DISABLE KEYS */;
/*!40000 ALTER TABLE `shadow_volumes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `snapshot_id_mappings`
--

DROP TABLE IF EXISTS `snapshot_id_mappings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `snapshot_id_mappings` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(36) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `snapshot_id_mappings`
--

LOCK TABLES `snapshot_id_mappings` WRITE;
/*!40000 ALTER TABLE `snapshot_id_mappings` DISABLE KEYS */;
/*!40000 ALTER TABLE `snapshot_id_mappings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `snapshots`
--

DROP TABLE IF EXISTS `snapshots`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `snapshots` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `volume_id` varchar(36) NOT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `progress` varchar(255) DEFAULT NULL,
  `volume_size` int(11) DEFAULT NULL,
  `scheduled_at` datetime DEFAULT NULL,
  `display_name` varchar(255) DEFAULT NULL,
  `display_description` varchar(255) DEFAULT NULL,
  `deleted` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `snapshots`
--

LOCK TABLES `snapshots` WRITE;
/*!40000 ALTER TABLE `snapshots` DISABLE KEYS */;
/*!40000 ALTER TABLE `snapshots` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `task_log`
--

DROP TABLE IF EXISTS `task_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `task_log` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `task_name` varchar(255) NOT NULL,
  `state` varchar(255) NOT NULL,
  `host` varchar(255) NOT NULL,
  `period_beginning` datetime NOT NULL,
  `period_ending` datetime NOT NULL,
  `message` varchar(255) NOT NULL,
  `task_items` int(11) DEFAULT NULL,
  `errors` int(11) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_task_log0task_name0host0period_beginning0period_ending` (`task_name`,`host`,`period_beginning`,`period_ending`),
  KEY `ix_task_log_period_beginning` (`period_beginning`),
  KEY `ix_task_log_host` (`host`),
  KEY `ix_task_log_period_ending` (`period_ending`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `task_log`
--

LOCK TABLES `task_log` WRITE;
/*!40000 ALTER TABLE `task_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `task_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `virtual_interfaces`
--

DROP TABLE IF EXISTS `virtual_interfaces`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `virtual_interfaces` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address` varchar(255) DEFAULT NULL,
  `network_id` int(11) DEFAULT NULL,
  `uuid` varchar(36) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_virtual_interfaces0address0deleted` (`address`,`deleted`),
  KEY `network_id` (`network_id`),
  KEY `virtual_interfaces_instance_uuid_fkey` (`instance_uuid`),
  CONSTRAINT `virtual_interfaces_instance_uuid_fkey` FOREIGN KEY (`instance_uuid`) REFERENCES `instances` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `virtual_interfaces`
--

LOCK TABLES `virtual_interfaces` WRITE;
/*!40000 ALTER TABLE `virtual_interfaces` DISABLE KEYS */;
/*!40000 ALTER TABLE `virtual_interfaces` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `volume_id_mappings`
--

DROP TABLE IF EXISTS `volume_id_mappings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `volume_id_mappings` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(36) NOT NULL,
  `deleted` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `volume_id_mappings`
--

LOCK TABLES `volume_id_mappings` WRITE;
/*!40000 ALTER TABLE `volume_id_mappings` DISABLE KEYS */;
/*!40000 ALTER TABLE `volume_id_mappings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `volume_usage_cache`
--

DROP TABLE IF EXISTS `volume_usage_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `volume_usage_cache` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `volume_id` varchar(36) NOT NULL,
  `tot_last_refreshed` datetime DEFAULT NULL,
  `tot_reads` bigint(20) DEFAULT NULL,
  `tot_read_bytes` bigint(20) DEFAULT NULL,
  `tot_writes` bigint(20) DEFAULT NULL,
  `tot_write_bytes` bigint(20) DEFAULT NULL,
  `curr_last_refreshed` datetime DEFAULT NULL,
  `curr_reads` bigint(20) DEFAULT NULL,
  `curr_read_bytes` bigint(20) DEFAULT NULL,
  `curr_writes` bigint(20) DEFAULT NULL,
  `curr_write_bytes` bigint(20) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `project_id` varchar(36) DEFAULT NULL,
  `user_id` varchar(64) DEFAULT NULL,
  `availability_zone` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `volume_usage_cache`
--

LOCK TABLES `volume_usage_cache` WRITE;
/*!40000 ALTER TABLE `volume_usage_cache` DISABLE KEYS */;
/*!40000 ALTER TABLE `volume_usage_cache` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `volumes`
--

DROP TABLE IF EXISTS `volumes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `volumes` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `ec2_id` varchar(255) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `size` int(11) DEFAULT NULL,
  `availability_zone` varchar(255) DEFAULT NULL,
  `mountpoint` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `attach_status` varchar(255) DEFAULT NULL,
  `scheduled_at` datetime DEFAULT NULL,
  `launched_at` datetime DEFAULT NULL,
  `terminated_at` datetime DEFAULT NULL,
  `display_name` varchar(255) DEFAULT NULL,
  `display_description` varchar(255) DEFAULT NULL,
  `provider_location` varchar(256) DEFAULT NULL,
  `provider_auth` varchar(256) DEFAULT NULL,
  `snapshot_id` varchar(36) DEFAULT NULL,
  `volume_type_id` int(11) DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `attach_time` datetime DEFAULT NULL,
  `deleted` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `volumes_instance_uuid_idx` (`instance_uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `volumes`
--

LOCK TABLES `volumes` WRITE;
/*!40000 ALTER TABLE `volumes` DISABLE KEYS */;
/*!40000 ALTER TABLE `volumes` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-11-17  7:04:59
